<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
if (!checkrights("IP")) fallback("../../index.php");

opentable("Fuball Manager - Database Update");
tablebreak();
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<b>Step 1/11: Checking fussball_manager installation</b><br>';
$version_chk = dbarray(dbquery("Select * from ".$db_prefix."infusions where inf_folder='fussball_manager'"));
if (isset($version_chk['inf_title'])) 
{

/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 2/11: Creating table '.$db_prefix.'man_trophy</b><br>';
if ($r = dbquery("CREATE TABLE IF NOT EXISTS ".$db_prefix."man_trophy (
  trophy_id smallint(5) NOT NULL auto_increment,
  trophy_name varchar(50) NOT NULL default '',
  trophy_image varchar(20) NOT NULL default '',
  PRIMARY KEY  (trophy_id))"))
		echo "Table <b>".$db_prefix."man_trophy</b> successfully created or already existing...<br>";
	else
		echo "ERROR while creating table <b>".$db_prefix."man_trophy</b>!! <br>";
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 3/11: Creating table '.$db_prefix.'man_userhist</b><br>';
if ($r = dbquery("CREATE TABLE IF NOT EXISTS ".$db_prefix."man_userhist (
  user_id smallint(5) NOT NULL default '0',
  user_points int(5) NOT NULL default '0',
  `date` varchar(10) NOT NULL default '0'
	)"))
		echo "Table <b>".$db_prefix."man_userhist</b> successfully created or already existing...<br>";
	else
		echo "ERROR while creating table <b>".$db_prefix."man_userhist</b>!! <br>";
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 4/11: Checking table '.$db_prefix.'man_config</b><br>';
$r = dbquery("describe ".$db_prefix."man_config");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("pl2trans", $s))
echo "Field <b>pl2trans</b> already exists...<br>";
else
{
	echo "Creating field <b>pl2trans</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_config ADD pl2trans INT(2) NOT NULL DEFAULT 10"))
		echo "Field <b>pl2trans</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>pl2trans</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 5/11: Checking table '.$db_prefix.'man_config</b><br>';
$r = dbquery("describe ".$db_prefix."man_config");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("sndpn", $s))
echo "Field <b>sndpn</b> already exists...<br>";
else
{
	echo "Creating field <b>sndpn</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_config ADD sndpn SMALLINT(1) NOT NULL DEFAULT 0"))
		echo "Field <b>sndpn</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>sndpn</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 6/11: Checking table '.$db_prefix.'man_teams</b><br>';
$r = dbquery("describe ".$db_prefix."man_teams");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("team_act", $s))
echo "Field <b>team_act</b> already exists...<br>";
else
{
	echo "Creating field <b>team_act</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_teams ADD team_act SMALLINT(1) NOT NULL DEFAULT 1"))
		echo "Field <b>team_act</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>team_act</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 7/11: updating table '.$db_prefix.'man_teams</b><br>';
$r = dbquery("describe ".$db_prefix."man_teams");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("team_act", $s))
{
	if ($c = dbquery("update ".$db_prefix."man_teams set team_act=0 where team_name IN('2.Liga', '3.Liga', 'Ausland', 'Karriereende', 'Alemannia Aachen', 'Borussia Mnchengladbach', 'FSV Mainz 05')"))
		echo "Table <b>".$db_prefix."man_teams</b> successfully updated...<br>";
	else
		echo "ERROR while updating table <b>'.$db_prefix.'man_teams</b> !!!<br>";
}
else
{
		echo "ERROR while updating table <b>'.$db_prefix.'man_teams</b> !!!<br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 8/11: Checking table '.$db_prefix.'man_users</b><br>';
$r = dbquery("describe ".$db_prefix."man_users");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("user_trophy", $s))
echo "Field <b>user_trophy</b> already exists...<br>";
else
{
	echo "Creating field <b>user_trophy</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_users ADD user_trophy SMALLINT(3) NOT NULL DEFAULT 0"))
		echo "Field <b>user_trophy</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>user_trophy</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 9/11: Checking table '.$db_prefix.'man_transfers</b><br>';
$r = dbquery("describe ".$db_prefix."man_transfers");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("trans_val", $s))
echo "Field <b>trans_val</b> already exists...<br>";
else
{
	echo "Creating field <b>trans_val</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_transfers ADD trans_val INT(9) NOT NULL AFTER trans_to"))
		echo "Field <b>trans_val</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>trans_val</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
echo '<br><b>Step 10/11: Checking table '.$db_prefix.'man_transfers</b><br>';
$r = dbquery("describe ".$db_prefix."man_transfers");
while ($rr = dbarray($r))
{
$s[] = $rr['Field'];
}
if (in_array("com", $s))
echo "Field <b>com</b> already exists...<br>";
else
{
	echo "Creating field <b>com</b>...<br>";
	if ($c = dbquery("ALTER TABLE ".$db_prefix."man_transfers ADD com SMALLINT(5) NOT NULL AFTER trans_id"))
		echo "Field <b>com</b> successfully created...<br>";
	else
		echo "ERROR while creating Field <b>com</b>!! <br>";
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Update Infusion Version to 1.0.0
echo '<br><b>Step 11/11	: Updating version from 1.0 (Beta) to 1.0.0</b><br>';
$version_chk = dbarray(dbquery("Select * from ".$db_prefix."infusions where inf_folder='fussball_manager'"));
	if ($version_upd = dbquery("update ".$db_prefix."infusions set inf_version='1.0.0' where inf_id=".$version_chk['inf_id']))
		echo "Version successfully updated to 1.0.0<br>";	
	else
		echo "ERROR while updating version !!<br>";
// Update Infusion Version to 1.0.0
/////////////////////////////////////////////////////////////////////////////////////////////////////////////
}
else
{
	echo 'ERROR: fussball_manager is not installed... !!!';
}

echo '<br><br><b><font color="red">Please delete update.php from your server now.<br>
			In case of any error during the update process, please contact ChSchuetz at www.chschuetz.de
			</font></b>';
closetable();
?>