<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

// Infusion general information
$inf_title = $locale['man100'];
$inf_description = $locale['man101'];
$inf_version = "1.0.0";
$inf_developer = "ChSchuetz";
$inf_email = "chris@chschuetz.de";
$inf_weburl = "http://www.chschuetz.de";

$inf_folder = "fussball_manager"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "fussball_manager_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['man102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "fussball_manager.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 17; // Number of new db tables to create or drop.
$inf_insertdbrows = 7; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "man_communities (
  com_id smallint(5) NOT NULL auto_increment,
  com_name varchar(35) NOT NULL default '',
  com_prv smallint(1) NOT NULL default '0',
  com_pw varchar(255) NOT NULL default '',
  PRIMARY KEY  (com_id)
);";


$inf_newtable_[2] = "man_config (
  min_players int(2) NOT NULL default '0',
  max_players int(2) NOT NULL default '0',
  show_offers int(1) NOT NULL default '0',
  allow_debts int(1) NOT NULL default '0',
  val_players int(9) NOT NULL default '0',
  money_per_point int(9) NOT NULL default '0',
  missed_pos int(2) NOT NULL default '0',
  `date` int(10) NOT NULL default '0',
  transfer_date int(10) NOT NULL default '0',
  note_1 int(2) NOT NULL default '0',
  note_15 int(2) NOT NULL default '0',
  note_2 int(2) NOT NULL default '0',
  note_25 int(2) NOT NULL default '0',
  note_3 int(2) NOT NULL default '0',
  note_35 int(2) NOT NULL default '0',
  note_4 int(2) NOT NULL default '0',
  note_45 int(2) NOT NULL default '0',
  note_5 int(2) NOT NULL default '0',
  note_55 int(2) NOT NULL default '0',
  note_6 int(2) NOT NULL default '0',
  yellow2 int(2) NOT NULL default '0',
  red int(2) NOT NULL default '0',
  goal int(2) NOT NULL default '0',
  pen int(2) NOT NULL default '0',
  pl2trans int(2) NOT NULL default '0',
  sndpn smallint(1) NOT NULL default '0'
);";

$inf_newtable_[3] = "man_env (
  env_id smallint(5) NOT NULL auto_increment,
  envcat_id smallint(5) NOT NULL default '0',
  env_name varchar(50) NOT NULL default '',
  env_descr text NOT NULL,
  env_image varchar(20) NOT NULL default '',
  env_price int(12) NOT NULL default '0',
  env_points int(5) NOT NULL default '0',
  env_cost int(9) NOT NULL default '0',
  env_bmoney int(12) NOT NULL default '0',
  env_bpoints int(5) NOT NULL default '0',
  PRIMARY KEY  (env_id)
);";


$inf_newtable_[4] = "man_envcat (
  envcat_id smallint(5) NOT NULL auto_increment,
  envcat_name varchar(50) NOT NULL default '',
  PRIMARY KEY  (envcat_id)
)
;";

$inf_newtable_[5] = "man_news (
  news_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  news_title varchar(200) NOT NULL default '',
  news_text text NOT NULL,
  news_datestamp int(10) default NULL,
  PRIMARY KEY  (news_id)
)
;";

$inf_newtable_[6] = "man_offers (
  offer_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  pl_id smallint(5) NOT NULL default '0',
  user_id smallint(5) NOT NULL default '0',
  offer float NOT NULL default '0',
  PRIMARY KEY  (offer_id)
)
;";

$inf_newtable_[7] = "man_players (
  pl_id smallint(5) NOT NULL auto_increment,
  pl_name varchar(25) NOT NULL default '',
  pl_team smallint(5) NOT NULL default '0',
  pl_value double NOT NULL default '0',
  pl_pos varchar(15) NOT NULL default '',
  pl_points int(5) NOT NULL default '0',
  pl_pic varchar(30) NOT NULL default '',
  PRIMARY KEY  (pl_id)
)
;";


$inf_newtable_[8] = "man_plcom (
  pl_id smallint(5) NOT NULL default '0',
  pl_owner smallint(5) NOT NULL default '0',
  com smallint(5) NOT NULL default '0',
  pl_isset int(1) NOT NULL default '0',
  pl_listed int(1) NOT NULL default '0'
)
;";


$inf_newtable_[9] = "man_plhist (
  pl_id smallint(5) NOT NULL default '0',
  pl_pkt int(3) NOT NULL default '0',
  date int(10) NOT NULL default '0'
);";



$inf_newtable_[10] = "man_plscore (
  pl_id smallint(5) NOT NULL default '0',
  pl_note float NOT NULL default '0',
  pl_goals int(2) NOT NULL default '0',
  pl_pen int(2) NOT NULL default '0',
  pl_2y int(1) NOT NULL default '0',
  pl_r int(1) NOT NULL default '0',
  PRIMARY KEY  (pl_id)
)
;";


$inf_newtable_[11] = "man_sponsors (
  sp_id smallint(5) NOT NULL auto_increment,
  sp_name varchar(25) NOT NULL default '',
  sp_banner varchar(25) NOT NULL default '',
  sp_descr varchar(255) NOT NULL default '',
  sp_min_value int(12) NOT NULL default '0',
  sp_min_points int(4) NOT NULL default '0',
  sp_bmoney int(9) NOT NULL default '0',
  sp_website varchar(50) NOT NULL default '',
  PRIMARY KEY  (sp_id)
);";


$inf_newtable_[12] = "man_teams (
  team_id smallint(5) NOT NULL auto_increment,
  team_name varchar(30) NOT NULL default '',
  team_short char(3) NOT NULL default '',
  team_logo varchar(30) NOT NULL default '',
  team_website varchar(50) NOT NULL default '',
  team_act smallint(1) NOT NULL default '1',
  PRIMARY KEY  (team_id)
)
;";

$inf_newtable_[13] = "man_transfers (
  trans_id smallint(5) NOT NULL auto_increment,
  com smallint(5) NOT NULL default '0',
  pl_id smallint(5) NOT NULL default '0',
  trans_from smallint(5) NOT NULL default '0',
  trans_to smallint(5) NOT NULL default '0',
  trans_val int(12) NOT NULL default '0',
  trans_date char(10) NOT NULL default '',
  PRIMARY KEY  (trans_id)
)
;";

$inf_newtable_[14] = "man_userenv (
  user_id smallint(5) NOT NULL default '0',
  envcat_id smallint(5) NOT NULL default '0',
  env_id smallint(5) NOT NULL default '0'
)
;";

$inf_newtable_[15] = "man_users (
  user_id smallint(5) NOT NULL default '0',
  user_teamname varchar(25) NOT NULL default '',
  user_value float NOT NULL default '0',
  user_points int(9) NOT NULL default '0',
  user_com smallint(5) NOT NULL default '0',
  user_sponsor smallint(5) NOT NULL default '0',
  user_icon varchar(30) NOT NULL default '',
  user_trophy smallint(3) NOT NULL default '0',
  PRIMARY KEY  (user_id)
)
;";

$inf_newtable_[16] = "man_trophy (
  trophy_id smallint(5) NOT NULL auto_increment,
  trophy_name varchar(50) NOT NULL default '',
  trophy_image varchar(20) NOT NULL default '',
  PRIMARY KEY  (trophy_id)
)
;";

$inf_newtable_[17] = "man_userhist (
  user_id smallint(5) NOT NULL default '0',
  user_points int(5) NOT NULL default '0',
  date varchar(10) NOT NULL default '0'
)
;";


$inf_insertdbrow_[1] = "man_config VALUES (11, 20, 1, 1, 50000, 35000, 5, 1163975400, 1163890624, 12, 10, 8, 6, 4, 2, 0, 2, 4, 6, 8, 3, 6, 5, 3, 10, 0)";

$inf_insertdbrow_[2] = "man_env VALUES 
(1, 1, 'Stadion (klein)', 'Ein kleines Stadion kostet pro Spieltag 25.000 EUR und bringt Dir pro Spieltag 100.000 EUR ein.', 'stadionkleinee3.jpg', 2500000, 100, 25000, 100000, 0),
(2, 1, 'Stadion (mittel)', 'Ein mittleres Stadion kostet pro Spieltag 50.000 EUR und bringt Dir pro Spieltag 200.000 EUR ein.', 'stadionmittelzt6.jpg', 8000000, 200, 50000, 200000, 0),
(3, 1, 'Stadion (Gro)', 'Ein groes Stadion kostet pro Spieltag 100.000 EUR und bringt Dir pro Spieltag 300.000 EUR ein.', 'stadiongrossci9.jpg', 15000000, 300, 100000, 300000, 0),
(5, 2, 'Normales Trainingscenter', 'Trainingscenter klein,\r\nbringt 1 Punkt pro Spieltag, kostet pro Spieltag 75.000 EUR.', 'noimage.gif', 2500000, 100, 75000, 0, 1),
(6, 2, 'Luxus Trainingscentrum', 'Das Luxus teil bringt Dir pro Spieltag 2 Punkte auf Dein Konto und kostet 150.000 EUR pro Spieltag.', 'noimage.gif', 10000000, 200, 150000, 0, 2),
(7, 4, 'kleiner Fanladen', 'Bringt 10.000 EUR pro Spieltag und kostet pro Spieltag 2.500 EUR.', 'noimage.gif', 50000, 50, 2500, 10000, 0),
(8, 4, 'mittlerer Fanladen', 'Bringt 20.000 EUR pro Spieltag und kostet pro Spieltag 5.000 EUR.', 'noimage.gif', 150000, 100, 5000, 20000, 0),
(9, 4, 'groer Fanladen', 'Bringt 40.000 pro Spieltag und kostet pro Spieltag 20.000 EUR.', 'noimage.gif', 300000, 150, 20000, 40000, 0),
(10, 5, 'Bierstand klein', 'Bringt 5.000 EUR pro Spieltag und kostet pro Spieltag 1.500 EUR.', 'bierstand_klein.jpg', 10000, 0, 1500, 5000, 0),
(11, 5, 'Bierstand mittel', 'Bringt 7.500 EUR pro Spieltag und kostet pro Spieltag 2.500 EUR.', 'bierstand_mittel.jpg', 20000, 20, 2500, 7500, 0),
(12, 5, 'Bierstand gro', 'Bringt 10.000 EUR pro Spieltag und kostet pro Spieltag 3.500 EUR.', 'bierstand_gross.jpg', 50000, 50, 3500, 10000, 0),
(13, 6, 'Kartencenter', 'Durch das Kartencenter nimmst Du pro Spieltag\r\n50.000 EUR ein. Es kostet Dich pro Spieltag 10.000 EUR.', 'kartencenter.jpg', 500000, 150, 10000, 50000, 0),
(14, 3, 'Christoph Daum', 'Christoph Daum ist ein Spitzentrainer.\r\nEr bringt Dir pro Spieltag zwei zustzliche Punkte ein.\r\nKostet allerdings 75.000 EUR pro Spieltag.', 'daum.jpg', 100000, 200, 75000, 0, 2),
(15, 3, 'Ottmar Hitzfeld', 'Der bertrainer from Hell.\r\nBringt 4 zustzliche Punkte pro Spieltag, will dafr aber all euer Geld.\r\nKostet 125.000 EUR pro Spieltag.\r\n', 'hitzfeld.jpg', 250000, 500, 125000, 0, 4)
;";

$inf_insertdbrow_[3] = "man_envcat VALUES 
(1, 'Stadien'),
(2, 'Trainingscenter'),
(3, 'Trainer'),
(4, 'Fanshops'),
(5, 'Speis & Trank'),
(6, 'Kartencenter')
;";

$inf_insertdbrow_[4] = "man_players VALUES 
(1, 'Klose', 13, 18900000, 'D', 89, 'm_klose.jpg'),
(2, 'Podolski', 13, 9450000, 'D', -2, 'l_podolski.jpg'),
(3, 'Makaay', 19, 9950000, 'D', 0, ''),
(4, 'Pizarro', 19, 7340000, 'D', 0, ''),
(5, 'Santa Cruz', 19, 5620000, 'D', 0, ''),
(6, 'Halil Altintop', 2, 6850000, 'D', 25, 'halil_altintop.jpg'),
(8, 'Valdez', 3, 4520000, 'D', 4, 'n_valdez.jpg'),
(9, 'Vittek', 9, 5930000, 'D', -3, 'r_vittek.jpg'),
(10, 'Kuranyi', 2, 9690000, 'D', 64, 'k_kuranyi.jpg'),
(11, 'Lvenkrands', 2, 5610000, 'D', -6, 'p_loevenkrands.jpg'),
(12, 'Kieling', 17, 8665000, 'D', 75, 's_kiessling.jpg'),
(13, 'Klasnic', 7, 4720000, 'D', 24, 'i_klasnic.jpg'),
(14, 'Barbarez', 17, 6540000, 'D', 60, 's_barbarez.jpg'),
(15, 'Smolarek', 19, 4460000, 'D', -6, 'e_smolarek.jpg'),
(16, 'Hugo Almeida', 7, 6440000, 'D', 67, 'h_almeida.jpg'),
(17, 'Sanogo', 7, 5330000, 'D', 71, 'b_sanogo.jpg'),
(18, 'Klimowicz', 3, 5630000, 'D', 11, 'd_klimowicz.jpg'),
(19, 'Thurk', 20, 1000000, 'D', 3, 'm_thurk.jpg'),
(20, 'Amanatidis', 6, 6390000, 'D', 64, 'i_amanatidis.jpg'),
(21, 'Tomasson', 19, 3000000, 'D', 0, ''),
(22, 'Hanke', 8, 6390000, 'D', 78, 'm_hanke.jpg'),
(23, 'Larsen', 2, 3180000, 'D', 4, 's_larsen.jpg'),
(24, 'Pantelic', 11, 5710000, 'D', 77, 'm_pantelic.jpg'),
(25, 'Guerrero', 15, 4750000, 'D', 36, 'p_guerrero.jpg'),
(26, 'Voronin', 19, 4345000, 'D', 0, ''),
(27, 'Asamoah', 2, 4300000, 'D', 36, 'g_asamoah.jpg'),
(28, 'Neuville', 20, 2340000, 'D', 0, ''),
(29, 'Lauth', 8, 2190000, 'D', -8, 'b_lauth.jpg'),
(30, 'Gimenez', 19, 3910000, 'D', 0, ''),
(31, 'Brdaric', 8, 1940000, 'D', 0, 't_brdaric.jpg'),
(32, 'Ahanfouf', 20, 2090000, 'D', 0, 'a_ahanfouf.jpg'),
(33, 'Rsler', 20, 2840000, 'D', 0, ''),
(34, 'Hashemian', 8, 2930000, 'D', 11, 'v_hashemian.jpg'),
(35, 'Auer', 10, 2000000, 'D', 0, 'b_auer.jpg'),
(36, 'Zuma', 12, 2270000, 'D', 9, 's_zuma.jpg'),
(37, 'Saenko', 9, 3770000, 'D', -10, 'i_saenke.jpg'),
(38, 'Schlaudraff', 13, 2420000, 'D', -2, 'j_schlaudraff.jpg'),
(39, 'Gomez', 18, 6050000, 'D', 71, 'm_gomez.jpg'),
(40, 'Boakye', 20, 1500000, 'D', 2, 'i_boakye.jpg'),
(41, 'Gekas', 17, 8150000, 'D', 62, 'gekas.jpg'),
(42, 'Sonck', 20, 1680000, 'D', 0, ''),
(43, 'Eigler', 12, 3390000, 'D', 15, 'c_eigler.jpg'),
(44, 'Edu', 19, 1800000, 'D', 0, ''),
(45, 'Zidan', 15, 6300000, 'D', 17, 'm_zidan.jpg'),
(46, 'Rafael', 20, 2270000, 'D', 0, ''),
(47, 'Bechmann', 10, 3350000, 'D', 45, 't_bechmann.jpg'),
(48, 'Sverkos', 19, 1600000, 'D', 0, ''),
(49, 'Nemeth', 20, 1710000, 'D', 0, ''),
(50, 'Takahara', 19, 2820000, 'D', -3, 'n_takahara.jpg'),
(51, 'Stajner', 8, 2610000, 'D', 3, 'j_stajner.jpg'),
(52, 'Streller', 19, 1980000, 'D', 0, ''),
(53, 'Ljuboja', 5, 1710000, 'D', 0, 'd_ljuboja.jpg'),
(54, 'Thorvaldsson', 19, 1440000, 'D', 0, 'g_thorvaldsson.jpg'),
(55, 'Ebbers', 20, 880000, 'D', 0, ''),
(56, 'Casey', 20, 1300000, 'D', 0, ''),
(57, 'Menseguez', 19, 1420000, 'D', 0, 'j_menseguez.jpg'),
(58, 'Hunt', 7, 2440000, 'D', 6, 'a_hunt.jpg'),
(59, 'Radu', 18, 3000000, 'D', 8, 's_radu.jpg'),
(60, 'Kahe', 20, 1180000, 'D', 0, ''),
(61, 'Schroth', 20, 1260000, 'D', 0, ''),
(62, 'Khler', 6, 2650000, 'C', 15, 'b_koehler.jpg'),
(63, 'Masmanidis', 12, 1890000, 'D', 17, 'i_masmanidis.jpg'),
(64, 'Lakic', 19, 1200000, 'D', 0, 's_lakic.jpg'),
(65, 'Kntzel', 20, 1000000, 'D', 0, 'm_kuentzel.jpg'),
(66, 'Ruman', 20, 1330000, 'D', 0, ''),
(67, 'Kennedy', 24, 500000, 'D', 9, 'j_kennedy.jpg'),
(68, 'Cacau', 18, 5650000, 'D', 51, 'cacau.jpg'),
(69, 'Amoah', 19, 1000000, 'D', 0, ''),
(70, 'Fabio Junior', 19, 1060000, 'D', 0, ''),
(71, 'Benko', 9, 1000000, 'D', 0, 'l_benko.jpg'),
(72, 'Sibon', 19, 1100000, 'D', 0, ''),
(73, 'Szabics', 20, 680000, 'D', 0, ''),
(74, 'Wichniarek', 12, 3620000, 'D', 59, 'a_wichniarek.jpg'),
(75, 'Kioyo', 19, 1010000, 'D', -2, 'f_kioyo.jpg'),
(76, 'van Hout', 19, 680000, 'D', 0, ''),
(77, 'Dejagah', 5, 3020000, 'D', 57, 'a_dejagah.jpg'),
(78, 'Diakit', 20, 700000, 'D', 0, ''),
(79, 'Jungnickel', 21, 700000, 'D', 0, ''),
(80, 'Krontiris', 20, 640000, 'D', 0, ''),
(81, 'Grote', 10, 2440000, 'D', 17, 'd_grote.jpg'),
(82, 'Amri', 20, 970000, 'D', 0, ''),
(83, 'Jovanovic', 20, 960000, 'D', 0, ''),
(84, 'S. Okoronkwo', 21, 600000, 'D', 0, ''),
(85, 'Baumgart', 21, 680000, 'D', 0, 's_baumgart.jpg'),
(86, 'Hoogendorp', 19, 500000, 'D', 0, ''),
(87, 'J. Tadic', 19, 485000, 'D', 0, ''),
(88, 'Jendrisek', 19, 560000, 'D', 0, ''),
(89, 'Rathgeber', 20, 400000, 'D', 0, ''),
(90, 'Papadopulos', 14, 225000, 'D', -2, 'm_papadopulos.jpg'),
(91, 'Berisha', 19, 180000, 'D', 0, ''),
(92, 'Polenz', 20, 300000, 'D', 0, ''),
(93, 'Montabell', 21, 200000, 'D', 0, 'f_montabell.jpg'),
(94, 'Saka', 20, 320000, 'D', 0, 'k_saka.jpg'),
(95, 'Pupalovic', 20, 200000, 'D', 0, ''),
(96, 'Amachaibou', 21, 200000, 'D', 0, ''),
(97, 'Stroh-Engel', 21, 200000, 'D', 0, ''),
(98, 'Pagenburg', 20, 590000, 'D', 0, 'c_pagenburg.jpg'),
(99, 'Nehrig', 20, 200000, 'D', 0, ''),
(100, 'Ede', 11, 650000, 'D', 0, 'c_ede.jpg'),
(101, 'Trytko', 14, 200000, 'D', 0, 'p_trytko.jpg'),
(102, 'D. Vrancic', 20, 100000, 'D', 0, ''),
(103, 'E. ztrk', 5, 100000, 'D', 0, 'e_oeztuerk.jpg'),
(104, 'Ibisevic', 20, 1150000, 'D', 0, ''),
(105, 'Hahne', 21, 100000, 'D', 0, 'h_hahne.jpg'),
(106, 'Hennings', 20, 100000, 'D', 0, ''),
(107, 'Rama', 21, 100000, 'D', 0, 'v_rama.jpg'),
(108, 'Damm', 21, 100000, 'D', 0, ''),
(109, 'Weber', 9, 100000, 'C', 0, 'c_weber.jpg'),
(110, 'Sam', 15, 100000, 'D', 0, 's_sam.jpg'),
(111, 'Neumann', 21, 100000, 'D', 0, ''),
(112, 'Frings', 7, 10780000, 'C', 12, 't_frings.jpg'),
(113, 'van Bommel', 13, 11440000, 'C', 47, 'm_v_bommel.jpg'),
(114, 'van der Vaart', 15, 14660000, 'C', 117, 'r_van_der_vaart.jpg'),
(115, 'Schweinsteiger', 13, 8560000, 'C', 25, 'b_schweinsteiger.jpg'),
(116, 'Diego', 7, 13120000, 'C', 125, 'Diego28021985.png'),
(117, 'Kehl', 3, 6680000, 'C', 12, 's_kehl.jpg'),
(118, 'Bastrk', 18, 6720000, 'C', 11, 'y_basturk.jpg'),
(119, 'Hargreaves', 19, 6225000, 'C', 0, ''),
(120, 'Lincoln', 19, 6940000, 'C', 0, ''),
(121, 'Borowski', 7, 5990000, 'C', 12, 't_borowski.jpg'),
(122, 'Pienaar', 19, 5300000, 'C', 0, ''),
(123, 'Demichelis', 13, 7265000, 'C', 51, 'm_demichelis.jpg'),
(124, 'Barnetta', 17, 8060000, 'C', 86, 't_barnetta.jpg'),
(125, 'Gilberto', 19, 6480000, 'C', 21, 'gilberto.jpg'),
(126, 'Mintal', 9, 5230000, 'C', 34, 'm_mintal.jpg'),
(127, 'B. Schneider', 17, 6500000, 'C', 10, 'b_schneider.jpg'),
(128, 'F. Ernst', 2, 5960000, 'C', 48, 'f_ernst.jpg'),
(129, 'Deisler', 22, 3485000, 'C', 0, ''),
(130, 'Polanski', 20, 3440000, 'C', 0, ''),
(131, 'Santana', 5, 3740000, 'C', 6, 'j_santana.jpg'),
(132, 'Freier', 17, 4890000, 'C', 32, 'p_freier.jpg'),
(133, 'Salihamidzic', 19, 4140000, 'C', 0, ''),
(134, 'Jarolim', 15, 6840000, 'C', 52, 'd_jarolim.jpg'),
(135, 'Kobiashvili', 2, 3690000, 'C', 17, 'l_kobiashvili.jpg'),
(136, 'Kringe', 3, 5430000, 'C', 58, 'f_kringe.jpg'),
(137, 'A. Meier', 6, 4890000, 'C', 36, 'a_meier.jpg'),
(138, 'de Jong', 15, 4140000, 'C', 30, 'n_de_jong.jpg'),
(139, 'Tinga', 3, 4680000, 'C', 26, 'tinga.jpg'),
(140, 'N. Sahin', 19, 2880000, 'C', 0, ''),
(141, 'dos Santos', 19, 2985000, 'C', 0, ''),
(142, 'Rolfes', 17, 5790000, 'C', 64, 's_rolfes.jpg'),
(143, 'da Silva', 18, 3280000, 'C', 6, 'a_da_silva.jpg'),
(144, 'Bajramovic', 2, 3820000, 'C', 12, 'z_bajramovic.jpg'),
(145, 'Galasek', 9, 5230000, 'C', 42, 't_galasek.jpg'),
(146, 'Babic', 19, 2800000, 'C', 0, ''),
(147, 'Jones', 2, 4120000, 'C', 54, 'j_jones.jpg'),
(148, 'Demel', 15, 3460000, 'C', 28, 'g_demel.jpg'),
(149, 'Polak', 19, 2980000, 'C', 0, ''),
(150, 'Insua', 20, 3100000, 'C', 0, ''),
(151, 'K. Boateng', 19, 2890000, 'C', 0, ''),
(152, 'Karimi', 19, 2890000, 'C', 0, ''),
(153, 'Zdebel', 10, 3440000, 'C', 14, 't_zdebel.jpg'),
(154, 'Baumann', 7, 2720000, 'C', 18, 'f_baumann.jpg'),
(155, 'Bruggink', 8, 4040000, 'C', -2, 'a_bruggink.jpg'),
(156, 'Misimovic', 9, 5750000, 'C', 71, 'z_misimovic.jpg'),
(157, 'Hamit Altintop', 13, 4490000, 'C', 59, 'hamit_altintop.jpg'),
(158, 'Trochowski', 15, 3170000, 'C', 22, 'p_trochowski.jpg'),
(159, 'Varela', 2, 2390000, 'C', 0, 'g_varela.jpg'),
(160, 'Hitzlsperger', 18, 5420000, 'C', 51, 't_hitzlsperger.jpg'),
(161, 'A. Farnerud', 18, 2600000, 'C', 6, 'a_farnerud.jpg'),
(162, 'Pardo', 18, 4320000, 'C', 28, 'p_pardo.jpg'),
(163, 'Kluge', 9, 4200000, 'C', 41, 'p_kluge.jpg'),
(164, 'Engelhardt', 9, 3030000, 'C', 10, 'm_engelhardt.jpg'),
(165, 'Balitsch', 8, 3780000, 'C', 29, 'h_balitsch.jpg'),
(166, 'Hilbert', 18, 5580000, 'C', 36, 'r_hilbert.jpg'),
(167, 'Kruska', 3, 2220000, 'C', -2, 'm_a_kruska.jpg'),
(168, 'A. Streit', 2, 5500000, 'C', 36, 'a_streit.jpg'),
(169, 'Dabrowski', 10, 3190000, 'C', 13, 'c_dabrowski.jpg'),
(170, 'Scholl', 22, 2130000, 'C', 0, ''),
(171, 'Lala', 8, 2340000, 'C', 7, 'a_lala.jpg'),
(172, 'Krzynowek', 5, 3270000, 'C', 33, 'j_krzynowek.jpg'),
(173, 'Kauf', 12, 3150000, 'C', 23, 'r_kauf.jpg'),
(174, 'Reghecampf', 20, 2430000, 'C', 0, ''),
(175, 'Preu', 6, 2070000, 'C', 0, 'c_preuss.jpg'),
(176, 'D. Jensen', 7, 4140000, 'C', 63, 'd_jensen.jpg'),
(177, 'Shao', 14, 2430000, 'C', 10, 'j_shao.jpg'),
(178, 'Azaouagh', 10, 1980000, 'C', 0, 'm_azouagh.jpg'),
(179, 'D. Degen', 20, 1890000, 'C', 0, ''),
(180, 'Mnari', 9, 2040000, 'C', 0, 'j_mnari.jpg'),
(181, 'Yankov', 8, 2700000, 'C', 6, 'c_yankov.jpg'),
(182, 'O. Addo', 15, 1400000, 'C', 0, 'o_addo.jpg'),
(183, 'Plahenrich', 20, 1700000, 'C', 0, ''),
(184, 'Feulner', 20, 2300000, 'C', 0, ''),
(185, 'van der Leegte', 19, 1880000, 'C', 0, ''),
(186, 'Wicky', 19, 1180000, 'C', 0, 'r_wicky.jpg'),
(187, 'F. Gerber', 20, 1990000, 'C', 0, ''),
(188, 'S. Pinto', 8, 2440000, 'C', 26, 's_pinto.jpg'),
(189, 'Bierofka', 20, 1420000, 'C', 0, ''),
(190, 'M. Fink', 6, 2590000, 'C', 31, 'm_fink.jpg'),
(191, 'Svrd', 20, 1120000, 'C', 0, ''),
(192, 'Kamper', 12, 2950000, 'C', 20, 'j_kamper.jpg'),
(193, 'Gentner', 5, 2080000, 'C', 28, 'c_gentner.jpg'),
(194, 'Hristov', 19, 1200000, 'C', 0, ''),
(195, 'Fiel', 20, 1080000, 'C', 0, ''),
(196, 'Vata', 20, 1710000, 'C', 0, ''),
(197, 'Matth. Lehmann', 20, 1620000, 'C', 0, ''),
(198, 'Thijs', 20, 1200000, 'C', 0, ''),
(199, 'Pekovic', 20, 1560000, 'C', 0, ''),
(200, 'Ottl', 13, 1515000, 'C', 11, 'a_ottl.jpg'),
(201, 'Kucera', 12, 2610000, 'C', 7, 'r_kucera.jpg'),
(202, 'Castro', 17, 2910000, 'B', 36, 'g_castro.jpg'),
(203, 'Ricken', 21, 1100000, 'C', 0, 'l_ricken.jpg'),
(204, 'Babatz', 20, 1100000, 'C', 0, ''),
(205, 'Karhan', 20, 1340000, 'C', 0, ''),
(206, 'Trojan', 20, 1340000, 'C', 0, ''),
(207, 'Bandrowski', 19, 1160000, 'C', 0, 't_bandrowski.jpg'),
(208, 'Ramelow', 17, 1330000, 'C', 15, 'c_ramelow.jpg'),
(209, 'O. Schrder', 10, 1510000, 'C', -8, 'o_schroeder.jpg'),
(210, 'Schrter', 23, 1180000, 'C', 0, 's_schroeter.jpg'),
(211, 'Cairo', 19, 1000000, 'C', 0, ''),
(212, 'Heidrich', 20, 940000, 'C', 0, ''),
(213, 'El Fakiri', 20, 640000, 'C', 0, ''),
(214, 'T. Marx', 12, 940000, 'C', -8, 't_marx.jpg'),
(215, 'Athirson', 19, 1060000, 'C', 0, ''),
(216, 'Huggel', 19, 1510000, 'C', 0, ''),
(217, 'Chahed', 11, 1150000, 'C', 3, 's_chahed.jpg'),
(218, 'Delura', 19, 1420000, 'C', 0, ''),
(219, 'Kristiansen', 9, 1720000, 'C', 16, 'j_kristiansen.jpg'),
(220, 'D. Kobylik', 12, 1000000, 'C', 0, 'd_kobylik.jpg'),
(221, 'Schwegler', 17, 1120000, 'C', 0, 'p_schwegler.jpg'),
(222, 'Dardai', 11, 2070000, 'C', 12, 'p_dardai.jpg'),
(223, 'T. Rost', 14, 2550000, 'C', 35, 't_rost.jpg'),
(224, 'Gunkel', 20, 1380000, 'C', 0, ''),
(225, 'Ziebig', 14, 1380000, 'C', 27, 'd_ziebig.jpg'),
(226, 'Huszti', 8, 4860000, 'C', 70, 's_huszti.jpg'),
(227, 'Munteanu', 19, 2100000, 'C', -6, 'v_munteanu.jpg'),
(228, 'Bhme', 12, 2420000, 'C', 16, 'j_boehme.jpg'),
(229, 'Neuendorf', 21, 920000, 'C', 0, ''),
(230, 'Meiner', 18, 800000, 'C', 0, 's_meissner.jpg'),
(231, 'Sarpei', 17, 1820000, 'C', 28, 'h_sarpei.jpg'),
(232, 'Gresko', 17, 1790000, 'C', 8, 'v_gresko.jpg'),
(233, 'Vranjes', 7, 1700000, 'C', 4, 'j_vranjes.jpg'),
(234, 'Banovic', 20, 1400000, 'C', 0, ''),
(235, 'Imhof', 10, 1520000, 'C', 18, 'd_imhof.jpg'),
(236, 'M. Ndjeng', 20, 860000, 'C', 0, ''),
(237, 'Makiadi', 5, 1310000, 'C', 0, 'c_makiadi.jpg'),
(238, 'Chr. Mller', 21, 860000, 'C', 0, ''),
(239, 'Frstner', 13, 785000, 'C', 0, 's_fuerstner.jpg'),
(240, 'Rivic', 14, 860000, 'C', 4, 's_rivic.jpg'),
(241, 'Weissenberger', 6, 880000, 'C', 6, 'm_weissenberger.jpg'),
(242, 'Thiam', 5, 800000, 'C', 10, 'p_thiam.jpg'),
(243, 'A. Schmidt', 11, 560000, 'C', 0, 'a_schmidt.jpg'),
(244, 'Cimen', 20, 500000, 'C', 0, ''),
(245, 'Laas', 5, 1490000, 'C', 0, 'a_laas.jpg'),
(246, 'K. Fischer', 20, 500000, 'C', 0, ''),
(247, 'A. Huber', 20, 500000, 'C', 0, ''),
(248, 'Baumjohann', 20, 560000, 'C', 0, ''),
(249, 'Karl', 20, 500000, 'C', 0, ''),
(250, 'Tyrala', 3, 500000, 'D', 0, 's_tyrala.jpg'),
(251, 'Kunert', 15, 500000, 'C', 0, 't_kunert.jpg'),
(252, 'Wosz', 22, 730000, 'C', 0, ''),
(253, 'Aidoo', 21, 400000, 'C', 0, ''),
(254, 'Schuppan', 14, 400000, 'C', 0, 's_schuppan.jpg'),
(255, 'Ebert', 11, 1900000, 'C', 35, 'p_ebert.jpg'),
(256, 'Ilicevic', 20, 400000, 'C', 0, 'i_ilicevic.jpg'),
(257, 'Evljuskin', 5, 400000, 'C', 0, 's_evljuskin.jpg'),
(258, 'Benjamin', 15, 1260000, 'C', 15, 'c_benjamin.jpg'),
(259, 'Nagy', 21, 300000, 'C', 0, ''),
(260, 'Kirch', 12, 660000, 'C', 12, 'o_kirch.jpg'),
(261, 'Fillinger', 15, 300000, 'C', 0, 'm_fillinger.jpg'),
(262, 'Danneberg', 21, 180000, 'C', 0, ''),
(263, 'de Wit', 20, 300000, 'C', 0, ''),
(264, 'Ikeng', 21, 300000, 'C', 0, 'ikeng.jpg'),
(265, 'M. Vrancic', 20, 480000, 'C', 0, ''),
(266, 'Tekkan', 19, 200000, 'C', 0, ''),
(267, 'Lamprecht', 20, 350000, 'B', 0, 'c_lamprecht.jpg'),
(268, 'Dietwald', 21, 200000, 'C', 0, ''),
(269, 'Heppke', 2, 200000, 'C', 0, 'm_heppke.jpg'),
(270, 'Vacek', 19, 200000, 'C', 0, ''),
(271, 'Fleers', 20, 140000, 'C', 0, ''),
(272, 'Toski', 6, 470000, 'C', 5, 'f_toski.jpg'),
(273, 'zil', 7, 1820000, 'C', 20, 'm_oezil.jpg'),
(274, 'Kocin', 12, 200000, 'C', 0, 'u_kocin.jpg'),
(275, 'Huber', 21, 100000, 'C', 0, ''),
(276, 'Szikal', 9, 100000, 'C', 0, 's_szikal.jpg'),
(277, 'Feilhaber', 19, 100000, 'C', 0, ''),
(278, 'Rosenthal', 8, 2470000, 'C', 19, 'j_rosenthal.jpg'),
(279, 'Balaban', 20, 100000, 'C', 0, ''),
(280, 'Ben-Hatira', 15, 220000, 'C', 0, 'ben_hatira.jpg'),
(281, 'Lahm', 13, 10125000, 'B', 20, 'p_lahm.jpg'),
(282, 'Lucio', 13, 9545000, 'B', 20, 'lucio.jpg'),
(283, 'van Buyten', 13, 8885000, 'B', 16, 'd_v_buyten.jpg'),
(284, 'Sagnol', 13, 7165000, 'B', 2, 'w_sagnol.jpg'),
(285, 'Mertesacker', 7, 9820000, 'B', 55, 'p_mertesacker.jpg'),
(286, 'Sorin', 15, 8180000, 'B', 0, 'j_sorin.jpg'),
(287, 'Mathijsen', 15, 8850000, 'B', 53, 'j_mathijsen.jpg'),
(288, 'Juan', 19, 6630000, 'B', 0, ''),
(289, 'Kompany', 15, 6990000, 'B', 33, 'v_komany.jpg'),
(290, 'Dede', 3, 6800000, 'B', 28, 'dede.jpg'),
(291, 'Bordon', 2, 9410000, 'B', 70, 'bordon.jpg'),
(292, 'Ismael', 8, 4985000, 'B', 0, 'v_ismael.jpg'),
(293, 'Fernando Meira', 18, 6750000, 'B', 21, 'f_meira.jpg'),
(294, 'Rafinha', 2, 8250000, 'B', 62, 'rafinha.jpg'),
(295, 'Simunic', 11, 3940000, 'B', 16, 'j_simunic.jpg'),
(296, 'C. Metzelder', 19, 4100000, 'B', 0, ''),
(297, 'Jansen', 13, 10720000, 'B', 24, 'm_jansen.jpg'),
(298, 'A. Friedrich', 11, 4490000, 'B', 16, 'a_friedrich.jpg'),
(299, 'Atouba', 15, 3950000, 'B', 4, 't_atouba.jpg'),
(300, 'Wom', 7, 3990000, 'B', 0, 'p_wome.jpg'),
(301, 'Krstajic', 2, 5420000, 'B', 21, 'm_krstajic.jpg'),
(302, 'Delpierre', 18, 4560000, 'B', 2, 'm_delpierre.jpg'),
(303, 'P. Degen', 3, 3480000, 'B', 8, 'phillipp_degen.jpg'),
(304, 'Osorio', 18, 4050000, 'B', -2, 'r_osorio.jpg'),
(305, 'Naldo', 7, 5640000, 'B', 44, 'naldo.jpg'),
(306, 'Wrns', 3, 2290000, 'B', -18, 'c_woerns.jpg'),
(307, 'Mahdavikia', 6, 3850000, 'B', 10, 'm_mahdavikia.jpg'),
(308, 'M. Friedrich', 17, 4480000, 'B', 46, 'm_friedrich.jpg'),
(309, 'Roque Junior', 23, 2560000, 'B', 0, ''),
(310, 'C. Schulz', 8, 3880000, 'B', 36, 'c_schulz.jpg'),
(311, 'Haggui', 17, 3370000, 'B', 37, 'k_haggui.jpg'),
(312, 'Cherundolo', 8, 3890000, 'B', 16, 's_cherundolo.jpg'),
(313, 'Owomoyela', 7, 2480000, 'B', 0, 'p_owomoyela.jpg'),
(314, 'C. Fritz', 7, 3350000, 'B', 31, 'c_fritz.jpg'),
(315, 'Rodriguez', 19, 2000000, 'B', 8, 'd_rodriguez.jpg'),
(316, 'Westermann', 2, 4400000, 'B', 50, 'h_westermann.jpg'),
(317, 'Boka', 18, 1880000, 'B', 4, 'a_boka.jpg'),
(318, 'Maltritz', 10, 3570000, 'B', 26, 'm_maltritz.jpg'),
(319, 'McKenna', 20, 2580000, 'B', 0, ''),
(320, 'Hofland', 19, 2460000, 'B', 0, ''),
(321, 'D.-R. Cha', 20, 1740000, 'B', 0, ''),
(322, 'Brzenska', 3, 1980000, 'B', -5, 'm_brzenska.jpg'),
(323, 'Fathi', 11, 2550000, 'B', 13, 'm_fathi.jpg'),
(324, 'Stenman', 19, 2100000, 'B', 0, ''),
(325, 'Pinola', 9, 3360000, 'B', 4, 'j_pinola.jpg'),
(326, 'Van der Heyden', 5, 1840000, 'B', -6, 'p_van_der_heyden.jpg'),
(327, 'Madlung', 5, 2890000, 'B', 19, 'a_madlung.jpg'),
(328, 'Glauber', 9, 1720000, 'B', 2, 'glauber.jpg'),
(329, 'Fahrenhorst', 8, 2730000, 'B', 9, 'f_fahrenhorst.jpg'),
(330, 'van Burik', 22, 1950000, 'B', 0, ''),
(331, 'Noveski', 20, 2100000, 'B', 0, ''),
(332, 'Korzynietz', 12, 1500000, 'B', -8, 'b_korzynietz.jpg'),
(333, 'Abel', 2, 1860000, 'B', 0, 'm_abel.jpg'),
(334, 'Kyrgiakos', 6, 4260000, 'B', 46, 's_kyrgiakos.jpg'),
(335, 'Magnin', 18, 3990000, 'B', 26, 'l_magnin.jpg'),
(336, 'Chris', 6, 2310000, 'B', 17, 'chris.jpg'),
(337, 'Spycher', 6, 2400000, 'B', 18, 'c_spycher.jpg'),
(338, 'L. Andreasen', 19, 4000000, 'C', 16, 'l_andreasen.jpg'),
(339, 'Vasoski', 6, 2760000, 'B', 6, 'a_vasoski.jpg'),
(340, 'Z Antonio', 20, 1560000, 'B', 0, ''),
(341, 'B. Svensson', 20, 1520000, 'B', 0, ''),
(342, 'Beck', 18, 1970000, 'B', 19, 'a_beck.jpg'),
(343, 'Klitzpera', 20, 1270000, 'B', 0, ''),
(344, 'Pasanen', 7, 2980000, 'B', 44, 'p_pasanen.jpg'),
(345, 'Lell', 13, 1405000, 'B', 12, 'c_lell.jpg'),
(346, 'P. Ochs', 6, 3100000, 'B', 26, 'p_ochs.jpg'),
(347, 'Schuler', 12, 720000, 'B', -10, 'm_schuler.jpg'),
(348, 'Meichelbeck', 10, 1440000, 'B', -2, 'm_meichelbeck.jpg'),
(349, 'V. da Silva', 14, 1770000, 'B', 11, 'v_da_silva.jpg'),
(350, 'Borges', 12, 930000, 'B', 0, 'm_borges.jpg'),
(351, 'B. Lense', 25, 1200000, 'B', 4, 'b_lense.jpg'),
(352, 'Gabriel', 12, 1470000, 'B', -6, 'p_gabriel.jpg'),
(353, 'Bgelund', 20, 1260000, 'B', 0, ''),
(354, 'A. Wolf', 9, 4650000, 'B', 48, 'a_wolf.jpg'),
(355, 'Quiroga', 5, 2280000, 'B', 6, 'f_quiroga.jpg'),
(356, 'Rose', 20, 1610000, 'B', 0, ''),
(357, 'Nikl', 21, 1280000, 'B', 0, 'm_nikl.jpg'),
(358, 'Sichone', 20, 1130000, 'B', 0, ''),
(359, 'D. Reinhardt', 9, 2120000, 'B', 12, 'd_reinhardt.jpg'),
(360, 'Daems', 20, 1100000, 'B', 0, ''),
(361, 'Pallas', 21, 1100000, 'B', 0, ''),
(362, 'Rehmer', 21, 940000, 'B', 0, ''),
(363, 'B. Reinhardt', 15, 3220000, 'B', 44, 'b_reinhardt.jpg'),
(364, 'Drsek', 10, 940000, 'B', -4, 'p_drsek.jpg'),
(365, 'Mhrle', 20, 760000, 'B', -2, 'u_moehrle.jpg'),
(366, 'A. Grlitz', 24, 1735000, 'B', 17, 'a_goerlitz.jpg'),
(367, 'Kukielka', 14, 2650000, 'B', 32, 'm_kukielka.jpg'),
(368, 'Mitreski', 14, 1120000, 'B', 8, 'i_mitreski.jpg'),
(369, 'Weigelt', 20, 1180000, 'B', 0, ''),
(370, 'Zuraw', 8, 1060000, 'B', 0, 'd_zuraw.jpg'),
(371, 'N. Herzig', 20, 760000, 'B', 0, ''),
(372, 'Leiwakabessy', 20, 1060000, 'B', 0, ''),
(373, 'Sidney', 20, 900000, 'B', 0, ''),
(374, 'Babbel', 22, 800000, 'B', 0, ''),
(375, 'Helveg', 19, 800000, 'B', 0, ''),
(376, 'Butscher', 20, 860000, 'B', 0, ''),
(377, 'Klingbeil', 19, 800000, 'B', 0, ''),
(378, 'Madouni', 19, 740000, 'B', 0, ''),
(379, 'Noll', 20, 800000, 'B', 0, ''),
(380, 'A. Meyer', 23, 900000, 'B', 0, 'a_meyer.jpg'),
(381, 'Vinicius', 8, 2510000, 'B', 2, 'vinicius.jpg'),
(382, 'Cagara', 19, 800000, 'B', 0, 'd_cagara.jpg'),
(383, 'Reinhard', 24, 800000, 'B', 0, 'c_reinhard.jpg'),
(384, 'Russ', 6, 1670000, 'B', 17, 'm_russ.jpg'),
(385, 'Heffernan', 19, 800000, 'B', 0, ''),
(386, 'Beauchamp', 9, 950000, 'B', -8, 'm_beauchamp.jpg'),
(387, 'Stehle', 20, 1060000, 'B', 0, ''),
(388, 'Amedick', 3, 760000, 'B', -2, 'm_amedick.jpg'),
(389, 'Demirtas', 20, 1300000, 'B', 0, ''),
(390, 'Dum', 17, 640000, 'B', 2, 's_dum.jpg'),
(391, 'Boenisch', 7, 880000, 'B', 2, 's_boenisch.jpg'),
(392, 'P. Bnig', 10, 1080000, 'B', -4, 'p_boenig.jpg'),
(393, 'T. Paulus', 20, 600000, 'B', 0, ''),
(394, 'Compper', 20, 720000, 'B', 0, ''),
(395, 'S. Halfar', 20, 480000, 'B', -4, 's_halfar.jpg'),
(396, 'Tarnat', 8, 2480000, 'B', 29, 'm_tarnat.jpg'),
(397, 'H. Gerber', 21, 500000, 'B', 0, ''),
(398, 'Rau', 12, 500000, 'B', 0, 't_rau.jpg'),
(399, 'Schckel', 20, 500000, 'B', 0, ''),
(400, 'C. Andersson', 19, 500000, 'B', 0, ''),
(401, 'Gunesch', 20, 560000, 'B', 0, ''),
(402, 'Bollmann', 12, 100000, 'B', -22, 'm_bollmann.jpg'),
(403, 'Casper', 20, 440000, 'B', 0, ''),
(404, 'Pander', 2, 1970000, 'B', 35, 'c_pander.jpg'),
(405, 'Callsen-Bracker', 17, 1130000, 'B', 0, 'callsen_bracker.jpg'),
(406, 'Hoogland', 20, 740000, 'B', 0, ''),
(407, 'Szelesi', 19, 980000, 'B', 0, 'z_szelesi.jpg'),
(408, 'Alex', 5, 500000, 'B', 0, 'alex.jpg'),
(409, 'Stegmayer', 20, 340000, 'B', 0, ''),
(410, 'Hnemeier', 3, 400000, 'B', 0, ''),
(411, 'Samba', 19, 400000, 'B', 0, ''),
(412, 'Troest', 19, 300000, 'B', 0, ''),
(413, 'R. Mller', 20, 300000, 'B', 0, ''),
(414, 'Kanik', 14, 300000, 'B', 0, 'l_kanik.jpg'),
(415, 'Wallschlger', 11, 200000, 'B', 0, 'a_wallschlaeger.jpg'),
(416, 'Chaftar', 6, 140000, 'B', 0, 'm_chaftar.jpg'),
(417, 'Tasci', 18, 370000, 'B', -3, 's_tasci.jpg'),
(418, 'Levels', 20, 200000, 'B', 0, ''),
(419, 'Tour', 20, 200000, 'B', 0, 'a_toure.jpg'),
(420, 'Vrzogic', 3, 200000, 'B', 0, 'd_vrzogic.jpg'),
(421, 'Hampel', 21, 100000, 'B', 0, ''),
(422, 'Mohr', 21, 100000, 'B', 0, ''),
(423, 'Marheineke', 21, 100000, 'B', 0, 'm_marheineke.jpg'),
(424, 'S. Mller', 21, 100000, 'B', 0, ''),
(425, 'Hillenbrand', 21, 150000, 'B', 2, 'n_hillenbrand.jpg'),
(426, 'F. Rost', 15, 8320000, 'A', 46, 'f_rost.jpg'),
(427, 'Weidenfeller', 3, 6320000, 'A', 10, 'r_weidenfeller.jpg'),
(428, 'Kahn', 13, 6885000, 'A', 32, 'o_kahn.jpg'),
(429, 'Enke', 8, 7480000, 'A', 54, 'r_enke.jpg'),
(430, 'Hildebrand', 19, 5860000, 'A', 0, ''),
(431, 'Wiese', 7, 5200000, 'A', 38, 't_wiese.jpg'),
(432, 'Fiedler', 11, 3500000, 'A', 0, 'c_fiedler.jpg'),
(433, 'Keller', 20, 3200000, 'A', 0, ''),
(434, 'Rensing', 13, 2645000, 'A', 18, 'm_rensing.jpg'),
(435, 'R. Schfer', 18, 4320000, 'A', 30, 'r_schaefer.jpg'),
(436, 'Kirschstein', 20, 1800000, 'A', 0, ''),
(437, 'Jentzsch', 5, 4500000, 'A', 32, 's_jentzsch.jpg'),
(438, 'Wache', 20, 3060000, 'A', 0, ''),
(439, 'Butt', 19, 1260000, 'A', 0, ''),
(440, 'Nikolov', 6, 2540000, 'A', 14, 'o_nikolov.jpg'),
(441, 'Nicht', 20, 1560000, 'A', 0, ''),
(442, 'Reinke', 22, 1420000, 'A', 0, ''),
(443, 'Piplica', 14, 2740000, 'A', 18, 't_piplica.jpg'),
(444, 'Hain', 12, 3340000, 'A', 34, 'm_hain.jpg'),
(445, 'Wchter', 25, 1600000, 'A', 20, 's_waechter.jpg'),
(446, 'Wetklo', 20, 1300000, 'A', 0, ''),
(447, 'Bade', 3, 900000, 'A', 0, ''),
(448, 'Prll', 6, 2600000, 'A', 44, 'm_proell.jpg'),
(449, 'R. Adler', 17, 3780000, 'A', 60, 'r_adler.jpg'),
(450, 'Skov-Jensen', 19, 600000, 'A', 0, ''),
(451, 'B. Meier', 22, 500000, 'A', 0, ''),
(452, 'Klewer', 9, 500000, 'A', 0, 'd_klewer.jpg'),
(453, 'Juric', 8, 500000, 'A', 0, 'f_juric.jpg'),
(454, 'Vander', 7, 440000, 'A', -2, 'c_vander.jpg'),
(455, 'S. Straub', 20, 1580000, 'A', 0, ''),
(456, 'Tremmel', 14, 1340000, 'A', 20, 'g_tremmel.jpg'),
(457, 'Melka', 20, 500000, 'A', 0, ''),
(458, 'Stuhr-Ellegaard', 19, 380000, 'A', 0, ''),
(459, 'Heinen', 12, 2500000, 'A', 0, ''),
(460, 'Golz', 8, 400000, 'A', 0, 'r_golz.jpg'),
(461, 'Marc Ziegler', 3, 1120000, 'A', 12, 'm_ziegler.jpg'),
(462, 'Heimeroth', 20, 1060000, 'A', 0, ''),
(463, 'Lenz', 5, 480000, 'A', 6, 'a_lenz.jpg'),
(464, 'Renno', 10, 600000, 'A', 10, 'r_renno.jpg'),
(465, 'K. Jensen', 20, 300000, 'A', 0, ''),
(466, 'Fernandez', 17, 300000, 'A', 0, 'b_fernandez.jpg'),
(467, 'Ischdonat', 20, 200000, 'A', 0, ''),
(468, 'Neuer', 2, 3500000, 'A', 32, 'm_neuer.jpg'),
(469, 'J. Zimmermann', 6, 200000, 'A', 0, 'j_zimmermann.jpg'),
(470, 'Dreher', 13, 205000, 'A', 0, 'b_dreher.jpg'),
(471, 'Platins', 20, 100000, 'A', 0, 'p_platins.jpg'),
(472, 'Thoms', 21, 100000, 'A', 0, ''),
(473, 'Hesse', 20, 220000, 'A', 0, ''),
(474, 'Langer', 21, 280000, 'A', 0, 'm_langer.jpg'),
(475, 'Pellatz', 7, 100000, 'A', 0, 'n_pellatz.jpg'),
(476, 'Stephan', 9, 100000, 'A', 0, 'a_stephan.jpg'),
(477, 'M. Jensen', 8, 100000, 'A', 0, 'm_jensen.jpg'),
(478, 'Hesl', 15, 100000, 'A', 0, 'w_hesl.jpg'),
(479, 'Formann', 21, 100000, 'A', 0, ''),
(480, 'Sela', 20, 100000, 'A', 0, ''),
(481, 'Lamczyk', 21, 100000, 'A', 0, ''),
(483, 'A. Albers', 21, 150000, 'A', 0, ''),
(484, 'Marius Niculae', 20, 1560000, 'D', 0, ''),
(485, 'Soto', 20, 860000, 'C', 0, ''),
(486, 'Gohouri', 20, 1230000, 'B', 0, ''),
(487, 'Skela', 14, 2120000, 'C', 38, 'e_skela.jpg'),
(488, 'Epalle', 10, 4110000, 'C', 29, 'j_epalle.jpg'),
(489, 'A. Frei', 3, 10230000, 'D', 0, 'a_frei.jpg'),
(490, 'Marcelinho', 5, 9690000, 'C', 42, 'marcelinho.jpg'),
(491, 'Hill', 5, 480000, 'D', 0, 'k_hill.jpg'),
(492, 'Drobny', 11, 3560000, 'A', 40, 'j_drobny.jpg'),
(493, 'Cvitanovic', 14, 1240000, 'B', 4, 'm_cvitanovic.jpg'),
(494, 'Thygesen', 20, 1260000, 'D', 0, 'noimage.jpg'),
(495, 'Heller', 6, 1000000, 'D', 0, 'm_heller.jpg'),
(496, 'V. Schmidt', 21, 260000, 'B', 0, 'v_schmidt.jpg'),
(497, 'Niemeyer', 7, 2830000, 'C', 13, 'p_niemeyer.jpg'),
(498, 'Rosenberg', 7, 5770000, 'D', 49, 'm_rosenberg.jpg'),
(499, 'Mineiro', 11, 3030000, 'C', -2, 'mineiro.jpg'),
(500, 'Olic', 15, 8700000, 'D', 80, 'i_olic.jpg'),
(501, 'A.Yahia', 10, 2620000, 'B', 4, 'a_yahia.jpg'),
(502, 'Spiranovic', 9, 100000, 'B', -12, 'm_spiranovic.jpg'),
(503, 'J. Boateng', 15, 1300000, 'B', 38, 'j_boateng.jpg'),
(504, 'Khedira', 18, 2470000, 'C', 19, 's_khedira.jpg'),
(505, 'Hummels', 3, 250000, 'B', 0, 'm_hummels.jpg'),
(506, 'F. Ribery', 13, 28060000, 'C', 102, 'f_ribery.jpg'),
(507, 'Ze Roberto', 13, 10520000, 'C', 84, 'z_roberto.jpg'),
(508, 'Sosa', 13, 9760000, 'C', -8, 'j_e_sosa.jpg'),
(509, 'Bopp', 21, 100000, 'C', 0, 'bopp.jpg'),
(510, 'Kroos', 13, 100000, 'C', -8, 't_kroos.jpg'),
(511, 'Luca Toni', 13, 31440000, 'D', 98, 'l_toni.jpg'),
(512, 'S. Wagner', 21, 150000, 'D', 0, 's_wagner.jpg'),
(513, 'Tosic', 7, 3600000, 'B', 20, 'd_tosic.jpg'),
(514, 'C. Alberto', 19, 7680000, 'C', -4, 'c_alberto.jpg'),
(515, 'Artmann', 7, 250000, 'C', 0, 'k_artmann.jpg'),
(516, 'Bischoff', 7, 300000, 'C', 0, 'a_bischoff.jpg'),
(517, 'Mosquera', 20, 250000, 'D', 5, 'j_mosquera.jpg'),
(518, 'Schindler', 7, 350000, 'D', 0, 'k_schindler.jpg'),
(519, 'Harnik', 7, 700000, 'D', 15, 'm_harnik.jpg'),
(520, 'A. Stolz', 18, 100000, 'A', 0, 'a_stolz.jpg'),
(521, 'Gledson', 25, 2500000, 'B', 0, 'gledson.jpg'),
(522, 'Mandjeck', 20, 100000, 'C', 0, 'g_mandjeck.jpg'),
(523, 'Ewerthon', 19, 5000000, 'D', 3, 'ewerthon.jpg'),
(524, 'Marica', 18, 7840000, 'D', 28, 'c_marica.jpg'),
(525, 'Fhrmann', 2, 300000, 'A', 0, 'r_faehrmann.jpg'),
(526, 'Schober', 2, 1000000, 'A', 0, 'm_schober.jpg'),
(527, 'Tapalovic', 2, 150000, 'A', 0, 't_tapalovic.jpg'),
(528, 'Hwedes', 2, 280000, 'B', 4, 'b_hoewedes.jpg'),
(529, 'Rakitic', 2, 6860000, 'C', 62, 'i_rakitic.jpg'),
(530, 'R. Wolf', 15, 100000, 'A', 0, 'r_wolf.jpg'),
(531, 'Langkamp', 24, 100000, 'B', 0, 's_langkamp.jpg'),
(532, 'Brecko', 15, 790000, 'B', 8, 'm_brecko.jpg'),
(533, 'Castelen', 15, 6340000, 'C', 28, 'r_castelen.jpg'),
(534, 'Kucukovic', 20, 400000, 'D', 0, 'm_kucukovic.jpg'),
(535, 'Choupo-Moting', 15, 620000, 'D', 14, 'choupo_moting.jpg'),
(536, 'R. Kovac', 3, 2080000, 'B', -14, 'r_kovac.jpg'),
(537, 'Federico', 3, 3130000, 'C', 21, 'g_federico.jpg'),
(538, 'Petric', 3, 6000000, 'C', 80, 'm_petric.jpg'),
(539, 'Blaszczykowski', 3, 4180000, 'C', 16, 'j_blaszczykowski.jpg'),
(540, 'D. Gordon', 3, 360000, 'C', 2, 'd_gordon.jpg'),
(541, 'Buckley', 3, 510000, 'D', -8, 'd_buckley.jpg'),
(542, 'Domaschke', 17, 125000, 'A', 0, 'e_domaschke.jpg'),
(543, 'Sinkieweicz', 17, 2120000, 'B', -6, 'l_sinkiewicz.jpg'),
(544, 'Vidal', 17, 6670000, 'B', 39, 'a_vidal.jpg'),
(545, 'R. Faty', 19, 1000000, 'C', 0, 'r_faty.jpg'),
(546, 'Kurdov', 17, 550000, 'D', 0, 'a_kurdov.jpg'),
(547, 'Blazek', 9, 2160000, 'A', 22, 'j_blazek.jpg'),
(548, 'Jacobsen', 9, 1560000, 'B', 2, 'l_jacobsen.jpg'),
(549, 'R. Schmidt', 9, 160000, 'B', -8, 'r_schmidt.jpg'),
(550, 'Kammermeyer', 9, 100000, 'B', 0, 'm_kammermeyer.jpg'),
(551, 'Vidosic', 9, 200000, 'C', 0, 'd_vidosic.jpg'),
(552, 'Kling', 9, 100000, 'C', 0, 'l_kling.jpg'),
(553, 'Charisteas', 9, 4540000, 'D', 18, 'a_charisteas.jpg'),
(554, 'Jelic', 19, 200000, 'D', 0, 'p_jelic.jpg'),
(555, 'N. Adler', 9, 980000, 'D', 16, 'n_adler.jpg'),
(556, 'Deumeland', 5, 100000, 'A', 0, 'j_deumeland.jpg'),
(557, 'M. Schfer', 5, 1760000, 'B', 32, 'm_schaefer.jpg'),
(558, 'R. Costa', 5, 4700000, 'B', 15, 'r_costa.jpg'),
(559, 'D. Reiche', 5, 100000, 'B', 0, 'd_reiche.jpg'),
(560, 'D. Baier', 5, 750000, 'C', 0, 'd_baier.jpg'),
(561, 'S. Riether', 5, 1800000, 'C', 10, 's_riether.jpg'),
(562, 'Dzeko', 5, 5890000, 'D', 63, 'e_dzeko.jpg'),
(563, 'V. ztrk', 21, 100000, 'D', 0, ''),
(564, 'Mame Niang', 5, 540000, 'D', -2, 'm_niang.jpg'),
(565, 'T. Kleine', 20, 1730000, 'B', -9, 't_kleine.jpg'),
(566, 'Sal Zizzo', 8, 400000, 'C', 0, 's_zizzo.jpg'),
(567, 'G. Krebs', 8, 440000, 'C', -2, 'g_krebs.jpg'),
(568, 'Bikmaz', 21, 100000, 'C', 0, 'f_bikmaz.jpg'),
(569, 'Galindo', 6, 1160000, 'B', 12, 'a_galindo.jpg'),
(570, 'Inamoto', 6, 2130000, 'C', -4, 'j_inamoto.jpg'),
(571, 'Ljubicic', 6, 100000, 'C', 0, 'k_ljubicic.jpg'),
(572, 'Gng', 11, 10000, 'A', 0, 'c_gaeng.jpg'),
(573, 'P. Bieler', 11, 450000, 'B', 0, 'p_bieler.jpg'),
(574, 'Lucio de Souza', 11, 3810000, 'C', 27, 'lucio_de_souza.jpg'),
(575, 'Cubukcu', 11, 100000, 'C', 0, 'b_cubukcu.jpg'),
(576, 'C. Mller', 14, 230000, 'C', -4, 'c_mueller.jpg'),
(577, 'Ibrahima Traore', 11, 100000, 'C', 0, 'i_traore.jpg'),
(578, 'Okoronkwo', 11, 1280000, 'D', 26, 's_okoronkwo.jpg'),
(579, 'Piszczek', 11, 1000000, 'D', -10, 'l_piszczek.jpg'),
(580, 'Rowen Fernandez', 12, 810000, 'A', 2, 'r_fernandez.jpg'),
(581, 'D. Riemer', 12, 100000, 'A', 0, 'd_riemer.jpg'),
(582, 'Mijatovic', 12, 1800000, 'B', 0, 'a_mijatovic.jpg'),
(583, 'M. Langkamp', 12, 520000, 'B', -6, 'm_langkamp.jpg'),
(584, 'N. Fischer', 12, 100000, 'B', 0, 'n_fischer.jpg'),
(585, 'Rodenberg', 12, 100000, 'B', 0, 'm_rodenberg.jpg'),
(586, 'Nils-Christian Schmidt', 12, 100000, 'B', 0, 'n_schmidt.jpg'),
(587, 'Nkosi', 12, 520000, 'C', -6, 's_nkosi.jpg'),
(588, 'S. Aigner', 12, 350000, 'C', 0, 's_aigner.jpg'),
(589, 'Tesche', 12, 280000, 'C', -4, 'r_tesche.jpg'),
(590, 'Leonidas', 12, 790000, 'D', -2, 'leonidas.jpg'),
(591, 'Heerwagen', 10, 1000000, 'A', 0, 'p_heerwagen.jpg'),
(592, 'Lastuvka', 10, 2820000, 'A', 14, 'j_lastuvka.jpg'),
(593, 'Concha', 10, 1540000, 'B', 18, 'm_concha.jpg'),
(594, 'Mavraj', 10, 250000, 'B', 0, 'm_mavraj.jpg'),
(595, 'Pfertzel', 10, 1920000, 'B', -11, 'm_pfertzel.jpg'),
(596, 'P. Fabian', 10, 100000, 'B', 0, 'p_fabian.jpg'),
(597, 'D. Fuchs', 10, 1750000, 'C', 25, 'd_fuchs.jpg'),
(598, 'Schmidtgal', 10, 200000, 'C', 0, 'h_schmidtgal.jpg'),
(599, 'Zajas', 10, 100000, 'C', 0, 'd_zajas.jpg'),
(600, 'Sestak', 10, 3570000, 'D', 94, 's_sestak.jpg'),
(601, 'Mieciel', 10, 2960000, 'D', 32, 'm_mieciel.jpg'),
(602, 'M. Sand', 10, 250000, 'D', 0, 'm_sand.jpg'),
(603, 'Beuckert', 23, 200000, 'A', 0, 's_beuckert.jpg'),
(604, 'M. Herzog', 23, 700000, 'A', 0, 'm_herzog.jpg'),
(605, 'Starke', 23, 2460000, 'A', 52, 't_starke.jpg'),
(606, 'C. Weber', 23, 1500000, 'B', 0, 'chr_weber.jpg'),
(607, 'Filipescu', 23, 980000, 'B', -4, 'i_filipescu.jpg'),
(608, 'Schlicke', 23, 1550000, 'B', 5, 'b_schlicke.jpg'),
(609, 'Fernando Santos', 23, 680000, 'B', -4, 'f_santos.jpg'),
(610, 'Lamey', 23, 640000, 'B', -2, 'm_lamey.jpg'),
(611, 'Pablo Caceres', 23, 160000, 'B', -5, 'p_rodriguez.jpg'),
(612, 'Necat Aygn', 23, 250000, 'B', 0, 'n_ayguen.jpg'),
(613, 'Blank', 23, 500000, 'B', 0, 's_blank.jpg'),
(614, 'Hausweiler', 22, 200000, 'C', 0, 'm_hausweiler.jpg'),
(615, 'Blago', 23, 1500000, 'C', 10, 'blago.jpg'),
(616, 'Tararache', 23, 1880000, 'C', -4, 'm_tararache.jpg'),
(617, 'Tiffert', 23, 1320000, 'C', -6, 'c_tiffert.jpg'),
(618, 'Bodzek', 23, 550000, 'C', 0, 'a_bodzek.jpg'),
(619, 'A. Voss', 23, 450000, 'C', 0, 'a_voss.jpg'),
(620, 'Mokhtari', 19, 1970000, 'C', -1, 'y_mokhtari.jpg'),
(621, 'Ivica Grlic', 23, 2240000, 'C', 38, 'i_grlic.jpg'),
(622, 'Neumayr', 23, 450000, 'C', 0, 'm_neumayr.jpg'),
(623, 'Tobias Willi', 23, 540000, 'C', -2, 't_willi.jpg'),
(624, 'Maicon', 23, 690000, 'C', 13, 'maicon.jpg'),
(625, 'Nils-Ole Book', 23, 700000, 'C', 0, 'n_book.jpg'),
(626, 'Lavric', 23, 2620000, 'D', 14, 'k_lavric.jpg'),
(627, 'Mohamadou Idrissou', 20, 1240000, 'D', -12, 'm_idrissou.jpg'),
(628, 'Daun', 23, 760000, 'D', -8, 'm_daun.jpg'),
(629, 'Kurth', 21, 400000, 'D', 0, 'm_kurth.jpg'),
(630, 'Ishiaku', 23, 2990000, 'D', 33, 'm_ishiaku.jpg'),
(631, 'Terodde', 23, 150000, 'D', 0, 's_terodde.jpg'),
(632, 'Mlders', 23, 150000, 'D', 0, 's_moelders.jpg'),
(633, 'Ailton', 23, 1100000, 'D', -5, 'ailton.jpg'),
(634, 'Miller', 24, 3640000, 'A', 38, 'm_miller.jpg'),
(635, 'Kornetzky', 24, 610000, 'A', 12, 'j_kornetzky.jpg'),
(636, 'Maik Franz', 24, 3120000, 'B', 44, 'm_franz.jpg'),
(637, 'Eggimann', 24, 3570000, 'B', 59, 'm_eggimann.jpg'),
(638, 'Stoll', 24, 870000, 'B', 4, 'm_stoll.jpg'),
(639, 'Eichner', 24, 2190000, 'B', 33, 'c_eichner.jpg'),
(640, 'F. Dick', 24, 600000, 'B', 0, 'f_dick.jpg'),
(641, 'Aduobe', 24, 1820000, 'C', 4, 'g_aduobe.jpg'),
(642, 'Carnell', 24, 1700000, 'C', 0, 'b_carnell.jpg'),
(643, 'Staffeldt', 24, 700000, 'C', 0, 't_staffeldt.jpg'),
(644, 'Porcello', 24, 2940000, 'C', 38, 'm_porcello.jpg'),
(645, 'Mutzel', 24, 1230000, 'C', 16, 'm_mutzel.jpg'),
(646, 'Buck', 24, 1060000, 'C', 2, 's_buck.jpg'),
(647, 'Hajnal', 24, 3990000, 'C', 83, 't_hajnal.jpg'),
(648, 'Timm', 24, 2590000, 'D', 28, 'c_timm.jpg'),
(649, 'Kapllani', 24, 2200000, 'D', 10, 'e_kapllani.jpg'),
(650, 'Orahovac', 20, 470000, 'D', 4, 's_orahovic.jpg'),
(651, 'Freis', 24, 1910000, 'D', 17, 's_freis.jpg'),
(652, 'Alexander Iashvili', 24, 1320000, 'D', 4, 'a_iashvili.jpg'),
(653, 'Mnnel', 14, 200000, 'A', 0, 'm_maennel.jpg'),
(654, 'Angelov', 14, 1070000, 'B', 19, 's_angelov.jpg'),
(655, 'Wachsmuth', 14, 250000, 'B', 0, 't_wachsmuth.jpg'),
(656, 'A. Feick', 14, 200000, 'B', 0, 'a_feick.jpg'),
(657, 'Ipsa', 14, 500000, 'B', 0, 'k_ipsa.jpg'),
(658, 'Burca', 14, 400000, 'B', 0, 'o_burca.jpg'),
(659, 'Bassila', 14, 2410000, 'C', 22, 'c_bassila.jpg'),
(660, 'Lerchl', 14, 200000, 'C', 0, 'm_lerchl.jpg'),
(661, 'Aloneftis', 14, 1620000, 'C', 4, 'e_aloneftis.jpg'),
(662, 'Rangelov', 14, 2710000, 'D', 57, 'd_rangelov.jpg'),
(663, 'D. Srensen', 14, 1900000, 'D', 40, 'd_soerensen.jpg'),
(664, 'Hahnel', 25, 350000, 'A', 0, 'j_hahnel.jpg'),
(665, 'Klandt', 21, 150000, 'A', 0, 'p_klandt.jpg'),
(666, 'D. Langen', 25, 1620000, 'B', 24, 'd_langen.jpg'),
(667, 'Pearce', 25, 1510000, 'B', -8, 'h_pearce.jpg'),
(668, 'Orestes', 25, 1180000, 'B', 16, 'orestes.jpg'),
(669, 'T. Sebastian', 25, 1680000, 'B', 16, 't_sebastian.jpg'),
(670, 'Morais', 25, 620000, 'B', 4, 'd_morais.jpg'),
(671, 'Rydlewicz', 25, 340000, 'C', -2, 'r_rydlewicz.jpg'),
(672, 'Cetkovic', 25, 860000, 'C', -8, 'd_cetkovic.jpg'),
(673, 'Yelen', 25, 1340000, 'C', -2, 'z_yelen.jpg'),
(674, 'Stein', 25, 1450000, 'C', 15, 'm_stein.jpg'),
(675, 'Gyaki', 25, 175000, 'C', 0, 'r_gyaki.jpg'),
(676, 'C. Rahn', 25, 1190000, 'C', 13, 'c_rahn.jpg'),
(677, 'Rathgeb', 25, 1380000, 'C', 31, 't_rathgeb.jpg'),
(678, 'Beinlich', 25, 1680000, 'C', 6, 's_beinlich.jpg'),
(679, 'Tting', 25, 100000, 'C', 0, 's_tueting.jpg'),
(680, 'Fin Bartels', 25, 200000, 'C', 0, 'f_bartels.jpg'),
(681, 'Blow', 25, 2020000, 'C', 34, 'k_buelow.jpg'),
(682, 'Kern', 25, 2970000, 'D', 49, 'e_kern.jpg'),
(683, 'Hhnge', 25, 1320000, 'D', 29, 's_haehnge.jpg'),
(684, 'Shapourzadeh', 25, 700000, 'D', 0, 'a_shapourzadeh.jpg'),
(685, 'Dorn', 25, 1070000, 'D', 9, 'r_dorn.jpg'),
(686, 'M. Schied', 20, 600000, 'D', 0, 'm_schied.jpg'),
(687, 'Addy-Waku Menga', 25, 680000, 'D', 6, 'a_menga.jpg'),
(689, 'Simunek', 5, 4360000, 'B', 12, 'j_simunek.jpg'),
(690, 'Grossmller', 2, 4150000, 'C', 5, 'c_grossmueller.jpg'),
(691, 'Pischorn', 18, 150000, 'B', 0, 'm_pischorn.jpg'),
(692, 'Josue', 5, 4280000, 'C', 26, 'josue.jpg'),
(693, 'Lustenberger', 11, 750000, 'C', 5, 'f_lustenberger.jpg'),
(694, 'von Bergen', 11, 1380000, 'B', -4, 's_von_bergen.jpg'),
(695, 'Grahn', 11, 760000, 'C', -8, 't_grahn.jpg'),
(696, 'Lima', 11, 3540000, 'D', -7, 'a_lima.jpg'),
(697, 'Agali', 25, 1360000, 'D', 12, 'v_agali.jpg'),
(698, 'Aleksandrov', 21, 200000, 'C', 0, ''),
(699, 'Grafite', 5, 7700000, 'D', 40, 'grafite.jpg'),
(700, 'Bulykin', 17, 400000, 'D', 0, 'd_bulykin.jpg'),
(701, 'D. Halfar', 12, 900000, 'C', 0, 'd_halfar.jpg'),
(702, 'Abardonado', 9, 1000000, 'B', 0, ''),
(703, 'Jan Koller', 9, 3000000, 'D', 0, ''),
(704, 'M. Stadel', 12, 100000, 'B', 0, ''),
(705, 'Versick', 12, 100000, 'D', 0, ''),
(706, 'Breno', 13, 12000000, 'B', 0, ''),
(707, 'Httecke', 3, 250000, 'A', 0, ''),
(708, 'Rukavina', 3, 2750000, 'B', 0, ''),
(709, 'Njambe', 3, 200000, 'B', 0, ''),
(710, 'Mehmet Akgn', 3, 100000, 'C', 0, ''),
(711, 'C. Eggert', 3, 200000, 'C', 0, ''),
(712, 'C. Nthe', 3, 200000, 'D', 0, ''),
(713, 'Senesie', 3, 300000, 'D', 0, ''),
(714, 'Caio', 6, 4000000, 'C', 0, ''),
(715, 'Mantzios', 6, 2200000, 'D', 0, ''),
(716, 'M. Fenin', 6, 3500000, 'D', 0, ''),
(717, 'M. Hess', 6, 100000, 'D', 0, ''),
(718, 'Galm', 6, 100000, 'D', 0, ''),
(719, 'Tsoumou', 6, 100000, 'D', 0, ''),
(720, 'T. Franke', 14, 100000, 'B', 0, ''),
(721, 'Radeljic', 14, 700000, 'B', 0, ''),
(722, 'Bankert', 14, 100000, 'B', 0, ''),
(723, 'Vasiljevic', 14, 300000, 'C', 0, ''),
(724, 'Branko Jelic', 14, 300000, 'D', 0, ''),
(725, 'Hensel', 14, 100000, 'D', 0, ''),
(726, 'Ze Roberto de Oliveira', 2, 3000000, 'C', 0, ''),
(727, 'Vicente Sanchez', 2, 2400000, 'D', 0, ''),
(728, 'Odjidja-Ofoe', 15, 500000, 'C', 0, ''),
(729, 'Putsilo', 15, 600000, 'C', 0, ''),
(730, 'Zimmerman', 15, 200000, 'D', 0, ''),
(731, 'Chrisantus', 15, 400000, 'D', 0, ''),
(732, 'Kronholm', 25, 350000, 'A', 0, ''),
(733, 'Lukimya-Mulongoti', 25, 250000, 'B', 0, ''),
(734, 'Burchert', 11, 100000, 'A', 0, ''),
(735, 'Steinwarth', 11, 100000, 'C', 0, ''),
(736, 'Arguez', 11, 200000, 'C', 0, ''),
(737, 'Kacar', 11, 3500000, 'C', 0, ''),
(738, 'Raffael', 11, 4500000, 'D', 0, ''),
(739, 'Domovchiyski', 11, 2000000, 'D', 0, ''),
(740, 'T. Unger', 24, 100000, 'A', 0, ''),
(741, 'Veigneau', 23, 550000, 'B', 0, ''),
(742, 'Niculescu', 23, 1200000, 'D', 0, ''),
(743, 'Vrucina', 23, 1300000, 'D', 0, ''),
(744, 'Ulreich', 18, 100000, 'A', 0, ''),
(745, 'Elson', 18, 500000, 'C', 0, ''),
(746, 'Perchtold', 18, 300000, 'C', 0, ''),
(747, 'J. Schuster', 18, 250000, 'C', 0, ''),
(748, 'Schipplock', 18, 200000, 'D', 0, ''),
(749, 'Fischer', 18, 300000, 'D', 0, ''),
(750, 'Shinji Ono', 10, 3750000, 'C', 0, ''),
(751, 'Marc Sand', 10, 200000, 'D', 0, ''),
(752, 'Belik', 10, 1500000, 'D', 0, ''),
(753, 'Benaglio', 5, 2000000, 'A', 0, ''),
(754, 'Karimov', 5, 350000, 'B', 0, ''),
(755, 'Hasebe', 5, 1500000, 'C', 0, ''),
(756, 'Kreuels', 5, 200000, 'D', 0, ''),
(757, 'Karow', 5, 100000, 'B', 0, ''),
(758, 'Skacel', 11, 2500000, 'C', 0, ''),
(759, 'Fernando Avalo', 23, 1000000, 'B', 0, '')
;";

$inf_insertdbrow_[5] = "man_teams VALUES 
(1, 'Borussia Mnchengladbach', 'BMG', 'borussia_m_gladbach.gif', 'http://www.borussia.de', 0),
(2, 'FC Schalke 04', 'S04', 'fc_schlake_04.gif', 'http://www.schalke04.de/', 1),
(18, 'VfB Stuttgart', 'VFB', 'vfb_stuttgart.gif', 'http://www.vfb-stuttgart.de/', 1),
(3, 'Borussia Dortmund', 'BVB', 'borussia_dortmund.gif', 'http://www.bvb.de/', 1),
(4, 'Alemannia Aachen', 'ALA', 'tsv_alemania_aachen.gif', 'http://www.alemannia-aachen.de/', 0),
(5, 'VfL Wolfsburg', 'WLF', 'wolfsburg.gif', 'http://www.vfl-wolfsburg.de/', 1),
(6, 'Eintracht Frankfurt', 'EFF', 'eintracht_frankfurt.gif', 'http://www.eintracht.de/', 1),
(7, 'Werder Bremen', 'SVW', 'werder_bremen.gif', 'http://www.werder.de', 1),
(8, 'Hannover 96', 'H96', 'hannover_96.gif', 'http://www.hannover96.de/', 1),
(9, '1. FC Nrnberg', 'FCN', 'nuernberg.gif', 'http://www.fcn.de/', 1),
(10, 'VfL Bochum', 'BCH', 'vfl_bochum.gif', 'http://www.vfl-bochum.de/', 1),
(11, 'Hertha BSC Berlin', 'BSC', 'hertha_bsc_berlin.gif', 'http://www.herthabsc.de', 1),
(12, 'Arminia Bielefeld', 'ABF', 'bielefeld.gif', 'http://www.arminia-bielefeld.de/', 1),
(13, 'Bayern Mnchen', 'FCB', 'bayern.gif', 'http://www.fcb.de', 1),
(14, 'Energie Cottbus', 'COT', 'fc_energie_cottbus.gif', 'http://www.fcenergie.de/', 1),
(15, 'Hamburger SV', 'HSV', 'hsv.gif', 'http://www.hsv.de', 1),
(16, 'FSV Mainz 05', 'FSV', 'mainz.gif', 'http://fsvmainz05.de', 0),
(17, 'Bayer Leverkusen', 'LEV', 'bayer_04_leverkusen.gif', 'http://www.bayer04.de/', 1),
(19, 'Ausland', 'AUS', 'noimage.gif', 'http://www.transfermarkt.de', 0),
(20, '2.Liga', 'BL2', 'noimage.gif', 'http://www.transfermarkt.de', 0),
(21, '3.Liga', 'RL', 'noimage.gif', 'http://www.transfermarkt.de', 0),
(22, 'Karriereende', 'KAR', '', 'http://www.transfermarkt.de', 0),
(23, 'MSV Duisburg', 'MSV', 'msv_duisburg.jpg', 'http://www.msv-duisburg.de/', 1),
(24, 'Karlsruher SC', 'KSC', 'ksc.jpg', 'http://www.ksc.de/', 1),
(25, 'Hansa Rostock', 'ROS', 'hansa_rostock.jpg', 'http://www.fc-hansa.de/', 1)
;";


$inf_insertdbrow_[6] = "man_sponsors VALUES 
(1, 'Sunday-Musik', 'sunday.gif', 'Bringt 100.000 EUR ein,<br> wenn Du am Spieltag<br>\r\nmindestens 30 Punkte holst.<br>\r\nVorraussetzung ist ein Mannschaftswert von\r\n<u>30 Mio.</u>', 30000000, 30, 100000, 'http://www.sunday-musik.de'),
(2, 'PHP-Fusion.de', 'php-fusion.gif', 'Deutsche Support Seite', 20000000, 20, 75000, 'http://www.php-fusion.de'),
(3, 'Fehrs.net', 'fehrs.gif', 'Der Weg zu Fehrsi immer lohnt,<br>\r\nauch wenn man etwas weiter wohnt.', 12500000, 15, 50000, 'http://www.fehrs.net'),
(4, 'www.tus-boys.de', 'tusbanner_gr.jpg', 'Das ist die Seite des TuS Koblenz Fanclubs TuS-Boys since 04.<br>\r\nNews, Bilder, Diskussionen, Comunity usw. rund um die TuS Koblenz', 15000000, 17, 65000, 'http://www.tus-boys.de'),
(5, 'Denis G.', 'decege.gif', 'Ein hamburger Jung, wie er im Buche steht.', 22500000, 22, 80000, 'http://www.decege.de'),
(6, 'Jay Production', 'jay_production.jpg', 'Bei Jay Production handelt es sich um ein <br>\r\nHip-Hop Label. Remixe stellt Jay himself euch dort<br>\r\nzur Verfgung.', 18000000, 18, 70000, 'http://www.jaymaster.de.ms'),
(7, 'MyHP-Service', 'MYHP-Service.jpg', 'Hier richtet man euch kostenlos eure eigene <br> Homepage ein. Keine einfache so wie man sie bei Oyla, ... kennt.<br> NEIN, eine richtige selbstndige Homepage.', 19500000, 19, 85000, 'http://www.myhp-service.de.vu/')
;";
   
   
$inf_insertdbrow_[7] = "man_plhist VALUES 
(435, 4, 1186997833),
(293, 0, 1186997833),
(417, 2, 1186997833),
(166, 8, 1186997833),
(317, 4, 1186997833),
(143, 4, 1186997833),
(160, 4, 1186997833),
(162, 7, 1186997833),
(504, 11, 1186997833),
(68, 0, 1186997833),
(524, 0, 1186997833),
(468, 4, 1186997833),
(301, 2, 1186997833),
(291, 2, 1186997833),
(294, 2, 1186997833),
(404, 0, 1186997833),
(128, 2, 1186997833),
(135, 9, 1186997833),
(273, 2, 1186997833),
(27, -4, 1186997833),
(10, 0, 1186997833),
(11, -6, 1186997833),
(147, -4, 1186997833),
(529, 11, 1186997833),
(428, 2, 1186997833),
(282, 4, 1186997833),
(281, 8, 1186997833),
(123, 4, 1186997833),
(297, 4, 1186997833),
(115, 2, 1186997833),
(113, 4, 1186997833),
(506, 8, 1186997833),
(507, 8, 1186997833),
(1, 20, 1186997833),
(511, 8, 1186997833),
(445, -2, 1186997833),
(351, -2, 1186997833),
(669, -4, 1186997833),
(668, -2, 1186997833),
(667, -4, 1186997833),
(678, 0, 1186997833),
(676, -4, 1186997833),
(674, -6, 1186997833),
(673, -4, 1186997833),
(682, -2, 1186997833),
(672, 0, 1186997833),
(681, 0, 1186997833),
(666, 0, 1186997833),
(449, 4, 1186997833),
(308, 2, 1186997833),
(202, 0, 1186997833),
(311, 0, 1186997833),
(232, 2, 1186997833),
(127, 0, 1186997833),
(12, 0, 1186997833),
(142, 2, 1186997833),
(221, 0, 1186997833),
(124, 0, 1186997833),
(41, -2, 1186997833),
(390, 2, 1186997833),
(443, 10, 1186997833),
(368, 6, 1186997833),
(367, 8, 1186997833),
(407, 0, 1186997833),
(493, 0, 1186997833),
(223, 2, 1186997833),
(240, 2, 1186997833),
(661, 4, 1186997833),
(487, -4, 1186997833),
(663, 0, 1186997833),
(75, -2, 1186997833),
(662, 0, 1186997833),
(592, 0, 1186997833),
(318, 0, 1186997833),
(348, -4, 1186997833),
(501, 0, 1186997833),
(593, 2, 1186997833),
(169, 4, 1186997833),
(153, 2, 1186997833),
(81, 2, 1186997833),
(600, 13, 1186997833),
(47, 13, 1186997833),
(488, 8, 1186997833),
(601, 2, 1186997833),
(431, 2, 1186997833),
(310, -2, 1186997833),
(314, 0, 1186997833),
(305, -4, 1186997833),
(285, 2, 1186997833),
(121, 2, 1186997833),
(176, 0, 1186997833),
(116, 9, 1186997833),
(338, -4, 1186997833),
(17, 13, 1186997833),
(498, 0, 1186997833),
(518, 4, 1186997833),
(429, 6, 1186997833),
(565, -2, 1186997833),
(396, 0, 1186997833),
(312, 4, 1186997833),
(370, 0, 1186997833),
(165, 0, 1186997833),
(181, 2, 1186997833),
(188, 0, 1186997833),
(226, 2, 1186997833),
(22, -4, 1186997833),
(155, -2, 1186997833),
(34, 0, 1186997833),
(278, 4, 1186997833),
(29, 2, 1186997833),
(426, 8, 1186997833),
(148, 4, 1186997833),
(258, 11, 1186997833),
(289, 4, 1186997833),
(287, 6, 1186997833),
(134, 2, 1186997833),
(114, 8, 1186997833),
(158, 4, 1186997833),
(138, 2, 1186997833),
(500, -2, 1186997833),
(45, 0, 1186997833),
(535, 2, 1186997833),
(448, 4, 1186997833),
(346, 0, 1186997833),
(337, 4, 1186997833),
(384, 6, 1186997833),
(334, 6, 1186997833),
(307, 2, 1186997833),
(137, 2, 1186997833),
(168, 6, 1186997833),
(190, 4, 1186997833),
(570, 2, 1186997833),
(20, 11, 1186997833),
(175, 2, 1186997833),
(492, 4, 1186997833),
(298, 2, 1186997833),
(217, 0, 1186997833),
(323, 2, 1186997833),
(243, 0, 1186997833),
(222, 0, 1186997833),
(125, 0, 1186997833),
(576, -4, 1186997833),
(255, -2, 1186997833),
(24, -4, 1186997833),
(579, -4, 1186997833),
(574, 4, 1186997833),
(578, 2, 1186997833),
(437, 0, 1186997833),
(365, -2, 1186997833),
(561, -2, 1186997833),
(327, -4, 1186997833),
(557, -2, 1186997833),
(560, 0, 1186997833),
(227, 2, 1186997833),
(193, 0, 1186997833),
(131, 2, 1186997833),
(59, 7, 1186997833),
(490, 0, 1186997833),
(77, 0, 1186997833),
(562, 0, 1186997833),
(444, 4, 1186997833),
(347, 4, 1186997833),
(402, 4, 1186997833),
(582, 2, 1186997833),
(583, 2, 1186997833),
(228, 8, 1186997833),
(201, 2, 1186997833),
(589, 2, 1186997833),
(587, 4, 1186997833),
(74, 11, 1186997833),
(43, 11, 1186997833),
(36, 4, 1186997833),
(260, 5, 1186997833),
(427, 2, 1186997833),
(306, -2, 1186997833),
(290, 2, 1186997833),
(303, -2, 1186997833),
(536, -6, 1186997833),
(117, 0, 1186997833),
(139, -2, 1186997833),
(539, -2, 1186997833),
(538, 4, 1186997833),
(18, -6, 1186997833),
(15, -6, 1186997833),
(541, -6, 1186997833),
(8, 2, 1186997833),
(136, 5, 1186997833),
(605, 2, 1186997833),
(608, 4, 1186997833),
(611, 6, 1186997833),
(607, 2, 1186997833),
(610, 6, 1186997833),
(627, 4, 1186997833),
(621, 6, 1186997833),
(616, 9, 1186997833),
(617, 4, 1186997833),
(615, 4, 1186997833),
(630, 20, 1186997833),
(547, 0, 1186997833),
(354, 0, 1186997833),
(359, 2, 1186997833),
(219, 0, 1186997833),
(386, 2, 1186997833),
(164, 0, 1186997833),
(145, 2, 1186997833),
(156, 4, 1186997833),
(37, -2, 1186997833),
(9, 0, 1186997833),
(553, -4, 1186997833),
(548, 2, 1186997833),
(126, 4, 1186997833),
(67, 2, 1186997833),
(634, 6, 1186997833),
(366, 4, 1186997833),
(636, 2, 1186997833),
(637, 2, 1186997833),
(639, 2, 1186997833),
(642, 0, 1186997833),
(645, 0, 1186997833),
(641, 0, 1186997833),
(647, 18, 1186997833),
(648, 2, 1186997833),
(649, -2, 1186997833),
(643, 0, 1186997833),
(634, 2, 1187593912),
(366, -2, 1187593912),
(636, 11, 1187593912),
(637, 0, 1187593912),
(639, 2, 1187593912),
(648, 0, 1187593912),
(642, 2, 1187593912),
(645, -2, 1187593912),
(641, 4, 1187593912),
(647, 2, 1187593912),
(649, 0, 1187593912),
(429, 4, 1187593912),
(565, 4, 1187593912),
(312, 0, 1187593912),
(329, -2, 1187593912),
(395, 0, 1187593912),
(165, 11, 1187593912),
(29, 0, 1187593912),
(171, 2, 1187593912),
(155, 4, 1187593912),
(226, -2, 1187593912),
(22, 13, 1187593912),
(51, 0, 1187593912),
(468, 2, 1187593912),
(301, 4, 1187593912),
(291, 13, 1187593912),
(294, 0, 1187593912),
(404, 15, 1187593912),
(128, 6, 1187593912),
(144, 4, 1187593912),
(135, 8, 1187593912),
(529, 6, 1187593912),
(27, 13, 1187593912),
(10, 11, 1187593912),
(11, 2, 1187593912),
(427, 2, 1187593912),
(306, -4, 1187593912),
(290, 0, 1187593912),
(136, -2, 1187593912),
(536, -8, 1187593912),
(167, -4, 1187593912),
(139, -6, 1187593912),
(539, -6, 1187593912),
(538, -6, 1187593912),
(18, -6, 1187593912),
(541, -6, 1187593912),
(8, 9, 1187593912),
(537, 0, 1187593912),
(431, 4, 1187593912),
(310, -4, 1187593912),
(344, 0, 1187593912),
(305, -6, 1187593912),
(285, 0, 1187593912),
(233, -4, 1187593912),
(154, 0, 1187593912),
(176, -4, 1187593912),
(116, -2, 1187593912),
(16, -4, 1187593912),
(17, -4, 1187593912),
(514, -4, 1187593912),
(518, -4, 1187593912),
(428, 4, 1187593912),
(282, 2, 1187593912),
(281, 2, 1187593912),
(123, 0, 1187593912),
(345, 4, 1187593912),
(115, 4, 1187593912),
(113, 4, 1187593912),
(506, 15, 1187593912),
(507, 8, 1187593912),
(1, 0, 1187593912),
(511, 13, 1187593912),
(157, 13, 1187593912),
(200, 5, 1187593912),
(492, 4, 1187593912),
(298, 6, 1187593912),
(217, 7, 1187593912),
(323, 9, 1187593912),
(243, 2, 1187593912),
(222, 2, 1187593912),
(255, 4, 1187593912),
(499, 2, 1187593912),
(574, 6, 1187593912),
(24, 2, 1187593912),
(578, 11, 1187593912),
(435, 2, 1187593912),
(335, 2, 1187593912),
(293, -2, 1187593912),
(417, -4, 1187593912),
(166, 4, 1187593912),
(143, -2, 1187593912),
(160, 9, 1187593912),
(162, 2, 1187593912),
(504, 0, 1187593912),
(524, 2, 1187593912),
(523, -2, 1187593912),
(161, 2, 1187593912),
(444, 4, 1187593912),
(347, 0, 1187593912),
(402, -4, 1187593912),
(582, 0, 1187593912),
(583, 0, 1187593912),
(228, 2, 1187593912),
(201, 9, 1187593912),
(589, 0, 1187593912),
(587, -2, 1187593912),
(74, 11, 1187593912),
(43, 2, 1187593912),
(63, 2, 1187593912),
(192, 0, 1187593912),
(448, 2, 1187593912),
(346, 0, 1187593912),
(337, 0, 1187593912),
(384, 9, 1187593912),
(334, 4, 1187593912),
(307, 2, 1187593912),
(137, 9, 1187593912),
(168, 6, 1187593912),
(190, 0, 1187593912),
(570, -2, 1187593912),
(19, 2, 1187593912),
(175, 0, 1187593912),
(445, -6, 1187593912),
(351, -2, 1187593912),
(669, 0, 1187593912),
(668, 7, 1187593912),
(667, 0, 1187593912),
(678, 4, 1187593912),
(676, -2, 1187593912),
(666, 2, 1187593912),
(673, -4, 1187593912),
(682, 0, 1187593912),
(672, -2, 1187593912),
(686, 2, 1187593912),
(683, 0, 1187593912),
(547, 2, 1187593912),
(354, 4, 1187593912),
(359, 2, 1187593912),
(219, 6, 1187593912),
(328, 0, 1187593912),
(163, 9, 1187593912),
(145, 11, 1187593912),
(126, 2, 1187593912),
(37, 0, 1187593912),
(9, 0, 1187593912),
(553, 0, 1187593912),
(164, -2, 1187593912),
(67, 2, 1187593912),
(180, 0, 1187593912),
(605, 0, 1187593912),
(608, 0, 1187593912),
(611, 0, 1187593912),
(607, -4, 1187593912),
(610, 0, 1187593912),
(627, 0, 1187593912),
(621, 0, 1187593912),
(616, -2, 1187593912),
(617, -2, 1187593912),
(615, 2, 1187593912),
(630, -2, 1187593912),
(633, -2, 1187593912),
(628, -2, 1187593912),
(626, 9, 1187593912),
(437, 2, 1187593912),
(561, 2, 1187593912),
(327, 11, 1187593912),
(557, 2, 1187593912),
(689, -2, 1187593912),
(355, 0, 1187593912),
(77, 2, 1187593912),
(193, 0, 1187593912),
(131, 0, 1187593912),
(59, 7, 1187593912),
(490, 15, 1187593912),
(560, 4, 1187593912),
(242, 2, 1187593912),
(426, 6, 1187593912),
(148, 4, 1187593912),
(299, 0, 1187593912),
(289, 8, 1187593912),
(287, 4, 1187593912),
(134, 2, 1187593912),
(114, 7, 1187593912),
(158, 0, 1187593912),
(138, 4, 1187593912),
(533, 8, 1187593912),
(45, 4, 1187593912),
(500, 2, 1187593912),
(449, 8, 1187593912),
(308, 4, 1187593912),
(202, 2, 1187593912),
(311, 2, 1187593912),
(544, -2, 1187593912),
(127, -2, 1187593912),
(12, -2, 1187593912),
(142, 2, 1187593912),
(221, 0, 1187593912),
(124, 4, 1187593912),
(41, -2, 1187593912),
(14, 2, 1187593912),
(443, 0, 1187593912),
(368, 0, 1187593912),
(367, 6, 1187593912),
(654, 2, 1187593912),
(493, 4, 1187593912),
(223, 2, 1187593912),
(240, 2, 1187593912),
(661, -2, 1187593912),
(487, 9, 1187593912),
(75, 0, 1187593912),
(663, 0, 1187593912),
(662, 4, 1187593912),
(177, 4, 1187593912),
(592, 10, 1187593912),
(318, 2, 1187593912),
(348, 2, 1187593912),
(501, 2, 1187593912),
(593, 0, 1187593912),
(169, 2, 1187593912),
(153, 4, 1187593912),
(81, 6, 1187593912),
(600, 2, 1187593912),
(47, 18, 1187593912),
(488, -2, 1187593912),
(601, 2, 1187593912),
(256, 0, 1187593912),
(592, 2, 1188196812),
(318, 6, 1188196812),
(392, 2, 1188196812),
(595, 4, 1188196812),
(501, 2, 1188196812),
(169, 6, 1188196812),
(597, 2, 1188196812),
(153, 4, 1188196812),
(600, 11, 1188196812),
(47, 0, 1188196812),
(488, 6, 1188196812),
(601, 0, 1188196812),
(81, 0, 1188196812),
(235, 5, 1188196812),
(426, 2, 1188196812),
(148, 2, 1188196812),
(299, -2, 1188196812),
(289, -4, 1188196812),
(287, 4, 1188196812),
(134, 2, 1188196812),
(114, 3, 1188196812),
(158, -4, 1188196812),
(138, 0, 1188196812),
(533, 2, 1188196812),
(45, 0, 1188196812),
(280, 0, 1188196812),
(500, -4, 1188196812),
(435, 2, 1188196812),
(335, 0, 1188196812),
(293, 4, 1188196812),
(417, 4, 1188196812),
(304, 6, 1188196812),
(160, 0, 1188196812),
(166, -2, 1188196812),
(162, 4, 1188196812),
(161, -2, 1188196812),
(39, 11, 1188196812),
(524, 0, 1188196812),
(230, 0, 1188196812),
(523, 2, 1188196812),
(605, 8, 1188196812),
(608, 0, 1188196812),
(611, 2, 1188196812),
(607, 2, 1188196812),
(610, 0, 1188196812),
(627, 2, 1188196812),
(621, 0, 1188196812),
(616, -7, 1188196812),
(617, 2, 1188196812),
(609, 0, 1188196812),
(630, -2, 1188196812),
(624, 2, 1188196812),
(428, 4, 1188196812),
(282, 4, 1188196812),
(281, 4, 1188196812),
(123, 6, 1188196812),
(345, 4, 1188196812),
(157, 11, 1188196812),
(115, 6, 1188196812),
(113, 13, 1188196812),
(506, 8, 1188196812),
(507, 6, 1188196812),
(511, 11, 1188196812),
(512, 0, 1188196812),
(429, 6, 1188196812),
(565, -4, 1188196812),
(312, 0, 1188196812),
(329, -4, 1188196812),
(395, -4, 1188196812),
(165, 0, 1188196812),
(29, -4, 1188196812),
(171, -7, 1188196812),
(155, -4, 1188196812),
(278, -4, 1188196812),
(22, -2, 1188196812),
(181, -2, 1188196812),
(51, 0, 1188196812),
(226, 0, 1188196812),
(449, 4, 1188196812),
(308, 11, 1188196812),
(231, 4, 1188196812),
(202, 4, 1188196812),
(311, 6, 1188196812),
(208, 6, 1188196812),
(127, 8, 1188196812),
(142, 4, 1188196812),
(124, 6, 1188196812),
(12, 6, 1188196812),
(41, 11, 1188196812),
(634, -4, 1188196812),
(366, -6, 1188196812),
(636, -6, 1188196812),
(637, -6, 1188196812),
(639, -4, 1188196812),
(648, -6, 1188196812),
(642, -4, 1188196812),
(645, -4, 1188196812),
(641, -6, 1188196812),
(652, -2, 1188196812),
(649, -2, 1188196812),
(643, -4, 1188196812),
(651, 0, 1188196812),
(547, 0, 1188196812),
(354, 2, 1188196812),
(359, 0, 1188196812),
(386, -2, 1188196812),
(328, -2, 1188196812),
(163, 0, 1188196812),
(145, 6, 1188196812),
(126, 0, 1188196812),
(37, 0, 1188196812),
(9, 4, 1188196812),
(67, -4, 1188196812),
(156, 0, 1188196812),
(164, 2, 1188196812),
(431, 4, 1188196812),
(310, 0, 1188196812),
(344, 4, 1188196812),
(305, 0, 1188196812),
(285, 4, 1188196812),
(233, 2, 1188196812),
(154, 2, 1188196812),
(176, 0, 1188196812),
(116, 4, 1188196812),
(16, -4, 1188196812),
(498, -4, 1188196812),
(519, 13, 1188196812),
(461, 2, 1188196812),
(306, 2, 1188196812),
(290, 2, 1188196812),
(303, 6, 1188196812),
(322, 4, 1188196812),
(136, 11, 1188196812),
(537, 4, 1188196812),
(139, 2, 1188196812),
(539, 8, 1188196812),
(8, 4, 1188196812),
(538, 2, 1188196812),
(18, 18, 1188196812),
(541, 8, 1188196812),
(443, 0, 1188196812),
(368, -2, 1188196812),
(367, 2, 1188196812),
(654, 2, 1188196812),
(493, 0, 1188196812),
(223, 2, 1188196812),
(240, -4, 1188196812),
(487, 0, 1188196812),
(662, -4, 1188196812),
(663, 0, 1188196812),
(75, 0, 1188196812),
(177, 0, 1188196812),
(661, 0, 1188196812),
(444, 4, 1188196812),
(347, 0, 1188196812),
(260, 2, 1188196812),
(582, 2, 1188196812),
(583, 4, 1188196812),
(228, 0, 1188196812),
(201, 2, 1188196812),
(589, 0, 1188196812),
(587, -4, 1188196812),
(74, 11, 1188196812),
(43, 0, 1188196812),
(63, 11, 1188196812),
(332, 0, 1188196812),
(492, 0, 1188196812),
(295, -4, 1188196812),
(217, 0, 1188196812),
(323, -4, 1188196812),
(694, 4, 1188196812),
(222, 2, 1188196812),
(255, 6, 1188196812),
(243, 0, 1188196812),
(574, 2, 1188196812),
(578, -2, 1188196812),
(695, 0, 1188196812),
(125, 2, 1188196812),
(579, 0, 1188196812),
(448, 6, 1188196812),
(307, 4, 1188196812),
(337, 2, 1188196812),
(339, 2, 1188196812),
(384, 2, 1188196812),
(62, 4, 1188196812),
(137, 13, 1188196812),
(168, 6, 1188196812),
(190, 0, 1188196812),
(570, 2, 1188196812),
(20, 0, 1188196812),
(19, 0, 1188196812),
(445, 6, 1188196812),
(351, 4, 1188196812),
(669, 2, 1188196812),
(668, 0, 1188196812),
(667, -4, 1188196812),
(678, 2, 1188196812),
(674, 2, 1188196812),
(666, 4, 1188196812),
(673, 0, 1188196812),
(686, -2, 1188196812),
(682, 2, 1188196812),
(670, 2, 1188196812),
(687, 6, 1188196812),
(437, 8, 1188196812),
(355, 4, 1188196812),
(327, 4, 1188196812),
(557, 0, 1188196812),
(689, 2, 1188196812),
(172, 9, 1188196812),
(561, 0, 1188196812),
(77, 6, 1188196812),
(490, 0, 1188196812),
(692, -3, 1188196812),
(59, 2, 1188196812),
(193, 0, 1188196812),
(468, 0, 1188196812),
(301, 0, 1188196812),
(291, 2, 1188196812),
(294, 2, 1188196812),
(404, 0, 1188196812),
(128, 2, 1188196812),
(144, -2, 1188196812),
(147, 6, 1188196812),
(529, 4, 1188196812),
(27, 0, 1188196812),
(10, 6, 1188196812),
(273, 2, 1188196812),
(6, 9, 1188196812),
(468, 6, 1188809149),
(301, 4, 1188809149),
(316, 2, 1188809149),
(294, 4, 1188809149),
(404, 4, 1188809149),
(128, 6, 1188809149),
(147, 4, 1188809149),
(273, 4, 1188809149),
(529, 6, 1188809149),
(27, 2, 1188809149),
(10, 11, 1188809149),
(315, 4, 1188809149),
(11, 0, 1188809149),
(449, 10, 1188809149),
(308, 0, 1188809149),
(231, 4, 1188809149),
(202, 4, 1188809149),
(311, -2, 1188809149),
(208, 0, 1188809149),
(127, 0, 1188809149),
(142, 4, 1188809149),
(124, 2, 1188809149),
(12, 0, 1188809149),
(41, 9, 1188809149),
(232, 0, 1188809149),
(431, 4, 1188809149),
(344, 11, 1188809149),
(305, 4, 1188809149),
(285, 4, 1188809149),
(513, 4, 1188809149),
(233, 0, 1188809149),
(154, 6, 1188809149),
(176, 4, 1188809149),
(116, 10, 1188809149),
(16, 4, 1188809149),
(17, 9, 1188809149),
(338, 4, 1188809149),
(448, 0, 1188809149),
(307, -2, 1188809149),
(337, 2, 1188809149),
(339, 2, 1188809149),
(384, -2, 1188809149),
(62, -4, 1188809149),
(137, -2, 1188809149),
(168, 4, 1188809149),
(190, 0, 1188809149),
(570, 2, 1188809149),
(20, -2, 1188809149),
(50, 0, 1188809149),
(19, 5, 1188809149),
(492, 0, 1188809149),
(298, 2, 1188809149),
(295, -2, 1188809149),
(217, 2, 1188809149),
(323, 2, 1188809149),
(222, 6, 1188809149),
(125, 6, 1188809149),
(255, 4, 1188809149),
(574, 2, 1188809149),
(24, 9, 1188809149),
(696, 2, 1188809149),
(578, 5, 1188809149),
(437, 4, 1188809149),
(561, 0, 1188809149),
(327, 0, 1188809149),
(557, -2, 1188809149),
(689, -2, 1188809149),
(172, 2, 1188809149),
(355, -2, 1188809149),
(560, -2, 1188809149),
(77, 9, 1188809149),
(490, 0, 1188809149),
(59, -4, 1188809149),
(242, 0, 1188809149),
(40, 0, 1188809149),
(429, 2, 1188809149),
(565, -2, 1188809149),
(396, 2, 1188809149),
(312, 0, 1188809149),
(329, 2, 1188809149),
(165, 4, 1188809149),
(51, 2, 1188809149),
(181, 4, 1188809149),
(278, 11, 1188809149),
(226, 4, 1188809149),
(22, 11, 1188809149),
(34, 11, 1188809149),
(310, 2, 1188809149),
(592, -2, 1188809149),
(318, 1, 1188809149),
(392, -2, 1188809149),
(595, -2, 1188809149),
(501, -4, 1188809149),
(169, 0, 1188809149),
(153, 0, 1188809149),
(81, 0, 1188809149),
(600, 2, 1188809149),
(47, 7, 1188809149),
(488, 0, 1188809149),
(443, 0, 1188809149),
(85, 4, 1188809149),
(368, 2, 1188809149),
(367, 2, 1188809149),
(654, 4, 1188809149),
(223, 6, 1188809149),
(487, 4, 1188809149),
(662, 6, 1188809149),
(663, 7, 1188809149),
(659, 0, 1188809149),
(75, 4, 1188809149),
(177, 2, 1188809149),
(547, 10, 1188809149),
(354, 11, 1188809149),
(359, 2, 1188809149),
(219, 0, 1188809149),
(328, 2, 1188809149),
(163, 0, 1188809149),
(145, 2, 1188809149),
(180, -2, 1188809149),
(37, -2, 1188809149),
(9, -7, 1188809149),
(67, -4, 1188809149),
(156, 2, 1188809149),
(126, 0, 1188809149),
(445, 0, 1188809149),
(666, -2, 1188809149),
(669, 0, 1188809149),
(670, 2, 1188809149),
(668, 4, 1188809149),
(676, 4, 1188809149),
(677, 0, 1188809149),
(684, 2, 1188809149),
(681, 0, 1188809149),
(682, 4, 1188809149),
(697, 4, 1188809149),
(674, 0, 1188809149),
(461, 4, 1188809149),
(306, 2, 1188809149),
(290, 0, 1188809149),
(303, 4, 1188809149),
(322, 2, 1188809149),
(136, 0, 1188809149),
(537, 9, 1188809149),
(139, 0, 1188809149),
(539, -2, 1188809149),
(18, 2, 1188809149),
(8, 0, 1188809149),
(541, 0, 1188809149),
(538, 0, 1188809149),
(605, 2, 1188809149),
(608, 2, 1188809149),
(611, 0, 1188809149),
(607, 2, 1188809149),
(610, 0, 1188809149),
(627, 0, 1188809149),
(621, 6, 1188809149),
(617, 2, 1188809149),
(624, 9, 1188809149),
(615, 6, 1188809149),
(630, 18, 1188809149),
(626, 4, 1188809149),
(444, 4, 1188809149),
(347, -2, 1188809149),
(402, -6, 1188809149),
(582, -2, 1188809149),
(583, 4, 1188809149),
(228, 2, 1188809149),
(201, 2, 1188809149),
(589, -2, 1188809149),
(587, -4, 1188809149),
(74, 2, 1188809149),
(43, -2, 1188809149),
(63, 0, 1188809149),
(260, 0, 1188809149),
(352, -2, 1188809149),
(426, 4, 1188809149),
(363, 0, 1188809149),
(299, 2, 1188809149),
(287, 4, 1188809149),
(503, 8, 1188809149),
(134, 4, 1188809149),
(158, 0, 1188809149),
(138, 6, 1188809149),
(500, 4, 1188809149),
(533, 6, 1188809149),
(25, 2, 1188809149),
(45, 5, 1188809149),
(428, 6, 1188809149),
(282, 4, 1188809149),
(281, 0, 1188809149),
(123, 4, 1188809149),
(345, 0, 1188809149),
(157, 6, 1188809149),
(115, -2, 1188809149),
(113, 2, 1188809149),
(506, 0, 1188809149),
(507, 2, 1188809149),
(1, 7, 1188809149),
(2, 0, 1188809149),
(634, 10, 1188809149),
(366, 6, 1188809149),
(636, 2, 1188809149),
(637, 2, 1188809149),
(639, 4, 1188809149),
(648, 4, 1188809149),
(642, 0, 1188809149),
(645, 0, 1188809149),
(641, -2, 1188809149),
(647, 11, 1188809149),
(651, -2, 1188809149),
(435, 4, 1188809149),
(335, 6, 1188809149),
(293, 4, 1188809149),
(417, 2, 1188809150),
(304, 2, 1188809150),
(160, -4, 1188809150),
(166, 2, 1188809150),
(162, 2, 1188809150),
(504, 2, 1188809150),
(39, 0, 1188809150),
(524, -2, 1188809150),
(523, 2, 1188809150),
(461, 6, 1190011713),
(306, 2, 1190011713),
(290, 8, 1190011713),
(303, 2, 1190011713),
(322, 4, 1190011713),
(136, 2, 1190011713),
(537, 0, 1190011713),
(139, 8, 1190011713),
(539, 8, 1190011713),
(18, 9, 1190011713),
(538, 18, 1190011713),
(167, 4, 1190011713),
(431, 2, 1190011713),
(344, -2, 1190011713),
(305, -4, 1190011713),
(285, 0, 1190011713),
(513, -2, 1190011713),
(233, -4, 1190011713),
(154, 2, 1190011713),
(176, 0, 1190011713),
(116, 0, 1190011713),
(16, 0, 1190011713),
(17, 2, 1190011713),
(338, -12, 1190011713),
(391, 2, 1190011713),
(435, 4, 1190011713),
(335, 2, 1190011713),
(293, 6, 1190011713),
(417, 4, 1190011713),
(304, 4, 1190011713),
(143, 4, 1190011713),
(166, 2, 1190011713),
(162, 6, 1190011713),
(504, 6, 1190011713),
(68, 13, 1190011713),
(524, 2, 1190011713),
(39, 13, 1190011713),
(523, 5, 1190011713),
(443, 6, 1190011713),
(85, -4, 1190011713),
(368, -2, 1190011713),
(367, 0, 1190011713),
(654, -4, 1190011713),
(223, 0, 1190011713),
(487, -2, 1190011713),
(662, -4, 1190011713),
(663, -4, 1190011713),
(659, -4, 1190011713),
(75, -2, 1190011713),
(661, 2, 1190011713),
(240, 0, 1190011713),
(428, 4, 1190011713),
(282, -2, 1190011713),
(123, 2, 1190011713),
(345, 2, 1190011713),
(297, 2, 1190011713),
(115, 0, 1190011713),
(113, 2, 1190011713),
(506, 4, 1190011713),
(507, 2, 1190011713),
(1, 11, 1190011713),
(511, 6, 1190011713),
(157, 2, 1190011713),
(468, 4, 1190011713),
(291, 2, 1190011713),
(316, 4, 1190011713),
(294, 2, 1190011713),
(404, 2, 1190011713),
(128, 6, 1190011713),
(147, 4, 1190011713),
(529, 11, 1190011713),
(27, 2, 1190011713),
(10, -2, 1190011713),
(11, -4, 1190011713),
(449, 4, 1190011713),
(308, 7, 1190011713),
(202, 2, 1190011713),
(311, 11, 1190011713),
(232, 2, 1190011713),
(127, 4, 1190011713),
(142, 0, 1190011713),
(124, 2, 1190011713),
(544, 2, 1190011713),
(12, -2, 1190011713),
(41, -2, 1190011713),
(592, 2, 1190011713),
(318, 2, 1190011713),
(595, -3, 1190011713),
(501, 2, 1190011713),
(593, 2, 1190011713),
(169, -2, 1190011713),
(153, 0, 1190011713),
(81, 4, 1190011713),
(600, 2, 1190011713),
(47, -2, 1190011713),
(488, 2, 1190011713),
(235, 0, 1190011713),
(547, 2, 1190011713),
(354, 4, 1190011713),
(325, 0, 1190011713),
(359, 0, 1190011713),
(328, -4, 1190011713),
(163, -4, 1190011713),
(126, 9, 1190011713),
(180, 0, 1190011713),
(156, 11, 1190011713),
(219, 0, 1190011713),
(553, 0, 1190011713),
(164, 4, 1190011713),
(67, 2, 1190011713),
(429, 4, 1190011713),
(565, 0, 1190011713),
(396, 2, 1190011713),
(312, 2, 1190011713),
(329, -2, 1190011713),
(165, 2, 1190011713),
(310, -7, 1190011713),
(51, 0, 1190011713),
(278, 4, 1190011713),
(226, 4, 1190011713),
(22, 18, 1190011713),
(155, -2, 1190011713),
(444, 2, 1190011713),
(398, 2, 1190011713),
(347, 0, 1190011713),
(582, 2, 1190011713),
(583, 2, 1190011713),
(228, 6, 1190011713),
(63, 2, 1190011713),
(201, 4, 1190011713),
(589, 2, 1190011713),
(74, 11, 1190011713),
(43, 18, 1190011713),
(173, 2, 1190011713),
(445, -2, 1190011713),
(351, 2, 1190011713),
(669, 0, 1190011713),
(668, -6, 1190011713),
(667, 2, 1190011713),
(676, 0, 1190011713),
(682, 11, 1190011713),
(677, 0, 1190011713),
(681, 9, 1190011713),
(684, -4, 1190011713),
(697, -4, 1190011713),
(683, 0, 1190011713),
(671, 0, 1190011713),
(448, 4, 1190011713),
(307, 4, 1190011713),
(337, 4, 1190011713),
(384, 2, 1190011713),
(334, 2, 1190011713),
(241, 8, 1190011713),
(137, 20, 1190011713),
(168, 6, 1190011713),
(190, 2, 1190011713),
(570, 2, 1190011713),
(19, -2, 1190011713),
(339, 2, 1190011713),
(426, -2, 1190011713),
(299, -6, 1190011713),
(289, 2, 1190011713),
(287, 0, 1190011713),
(503, 0, 1190011713),
(134, 0, 1190011713),
(114, 7, 1190011713),
(138, 2, 1190011713),
(500, -2, 1190011713),
(533, 0, 1190011713),
(45, -2, 1190011713),
(363, 0, 1190011713),
(535, 0, 1190011713),
(437, 2, 1190011713),
(242, 2, 1190011713),
(561, -2, 1190011713),
(355, 4, 1190011713),
(557, 0, 1190011713),
(172, 11, 1190011713),
(77, -2, 1190011713),
(490, 0, 1190011713),
(692, 4, 1190011713),
(40, 2, 1190011713),
(699, 0, 1190011713),
(564, -2, 1190011713),
(193, 0, 1190011713),
(634, 4, 1190011713),
(366, 4, 1190011713),
(637, 9, 1190011713),
(639, 11, 1190011713),
(638, 2, 1190011713),
(648, 4, 1190011713),
(642, 0, 1190011713),
(645, 2, 1190011713),
(641, 2, 1190011713),
(647, 6, 1190011713),
(651, 4, 1190011713),
(644, 2, 1190011713),
(652, 2, 1190011713),
(605, 0, 1190011713),
(608, -4, 1190011713),
(611, 2, 1190011713),
(607, 0, 1190011713),
(610, -6, 1190011713),
(621, 0, 1190011713),
(616, -2, 1190011713),
(617, 2, 1190011713),
(624, 0, 1190011713),
(615, 2, 1190011713),
(630, 0, 1190011713),
(609, 0, 1190011713),
(623, 0, 1190011713),
(626, 9, 1190011713),
(492, 4, 1190011713),
(295, 4, 1190011713),
(217, 2, 1190011713),
(323, 2, 1190011713),
(222, 2, 1190011713),
(125, 0, 1190011713),
(255, -2, 1190011713),
(574, 2, 1190011713),
(24, 20, 1190011713),
(696, 0, 1190011713),
(694, 0, 1190011713),
(695, 2, 1190011713),
(592, 2, 1190663532),
(318, 2, 1190663532),
(392, 2, 1190663532),
(501, 4, 1190663532),
(593, 4, 1190663532),
(169, 0, 1190663532),
(597, 4, 1190663532),
(153, 0, 1190663532),
(600, 2, 1190663532),
(47, 2, 1190663532),
(488, -2, 1190663532),
(601, 0, 1190663532),
(448, 2, 1190663532),
(307, 0, 1190663532),
(337, 2, 1190663532),
(384, 4, 1190663532),
(334, 2, 1190663532),
(241, 2, 1190663532),
(137, 0, 1190663532),
(168, 4, 1190663532),
(190, 2, 1190663532),
(570, -2, 1190663532),
(20, 4, 1190663532),
(440, 2, 1190663532),
(50, 0, 1190663532),
(468, 4, 1190663532),
(291, 4, 1190663532),
(316, 6, 1190663532),
(294, 9, 1190663532),
(404, 6, 1190663532),
(128, 2, 1190663532),
(144, 8, 1190663532),
(147, 6, 1190663532),
(529, 0, 1190663532),
(27, 13, 1190663532),
(10, 13, 1190663532),
(315, 2, 1190663532),
(444, 6, 1190663532),
(398, 0, 1190663532),
(347, -2, 1190663532),
(582, -4, 1190663532),
(583, -4, 1190663532),
(228, 0, 1190663532),
(173, 0, 1190663532),
(63, 0, 1190663532),
(201, -4, 1190663532),
(74, -4, 1190663532),
(43, -4, 1190663532),
(192, 0, 1190663532),
(590, -2, 1190663532),
(431, 0, 1190663532),
(344, 0, 1190663532),
(305, 4, 1190663532),
(285, 6, 1190663532),
(513, 0, 1190663532),
(233, 2, 1190663532),
(154, 2, 1190663532),
(176, 8, 1190663532),
(116, 15, 1190663532),
(16, 20, 1190663532),
(17, 9, 1190663532),
(498, 0, 1190663532),
(435, 0, 1190663532),
(335, -2, 1190663532),
(293, -4, 1190663532),
(417, -4, 1190663532),
(304, -4, 1190663532),
(118, -4, 1190663532),
(166, 2, 1190663532),
(162, -4, 1190663532),
(504, 2, 1190663532),
(68, 2, 1190663532),
(39, 9, 1190663532),
(161, 4, 1190663532),
(143, 0, 1190663532),
(426, 4, 1190663532),
(363, 2, 1190663532),
(532, 0, 1190663532),
(287, 6, 1190663532),
(503, 0, 1190663532),
(134, 8, 1190663532),
(114, 11, 1190663532),
(138, 4, 1190663532),
(500, 6, 1190663532),
(533, 2, 1190663532),
(25, 2, 1190663532),
(535, 4, 1190663532),
(547, 6, 1190663532),
(354, 6, 1190663532),
(325, 2, 1190663532),
(359, 4, 1190663532),
(502, -2, 1190663532),
(145, 2, 1190663532),
(156, 0, 1190663532),
(126, 0, 1190663532),
(219, 2, 1190663532),
(180, 0, 1190663532),
(553, -2, 1190663532),
(164, 0, 1190663532),
(555, 2, 1190663532),
(492, 2, 1190663532),
(298, 4, 1190663532),
(295, 2, 1190663532),
(217, 2, 1190663532),
(323, 4, 1190663532),
(222, 2, 1190663532),
(125, 8, 1190663532),
(255, 4, 1190663532),
(574, 11, 1190663532),
(24, 15, 1190663532),
(696, 0, 1190663532),
(578, 5, 1190663532),
(427, 2, 1190663532),
(306, -4, 1190663532),
(290, 0, 1190663532),
(136, 2, 1190663532),
(322, -2, 1190663532),
(537, -2, 1190663532),
(167, 0, 1190663532),
(139, 0, 1190663532),
(539, 4, 1190663532),
(18, 2, 1190663532),
(538, 18, 1190663532),
(541, 6, 1190663532),
(443, 4, 1190663532),
(368, 0, 1190663532),
(367, 0, 1190663532),
(654, 0, 1190663532),
(493, -2, 1190663532),
(349, 0, 1190663532),
(223, -2, 1190663532),
(661, 0, 1190663532),
(487, 0, 1190663532),
(662, 2, 1190663532),
(663, 9, 1190663532),
(177, 4, 1190663532),
(437, 6, 1190663532),
(561, 2, 1190663532),
(355, 2, 1190663532),
(557, 0, 1190663532),
(689, 0, 1190663532),
(242, 0, 1190663532),
(172, 9, 1190663532),
(560, 2, 1190663532),
(490, 2, 1190663532),
(692, 0, 1190663532),
(562, 9, 1190663532),
(77, 0, 1190663532),
(445, 4, 1190663532),
(674, 2, 1190663532),
(666, 4, 1190663533),
(669, 4, 1190663533),
(668, 4, 1190663533),
(676, 4, 1190663533),
(682, 9, 1190663533),
(677, 2, 1190663533),
(681, 2, 1190663533),
(683, 11, 1190663533),
(697, 4, 1190663533),
(605, 6, 1190663533),
(608, -4, 1190663533),
(611, -2, 1190663533),
(610, -2, 1190663533),
(609, -2, 1190663533),
(627, -2, 1190663533),
(621, 0, 1190663533),
(616, 0, 1190663533),
(626, -4, 1190663533),
(615, 0, 1190663533),
(630, -4, 1190663533),
(623, 0, 1190663533),
(624, 2, 1190663533),
(628, 0, 1190663533),
(429, -2, 1190663533),
(565, 0, 1190663533),
(312, -2, 1190663533),
(329, -2, 1190663533),
(381, -4, 1190663533),
(165, -4, 1190663533),
(171, -2, 1190663533),
(51, -4, 1190663533),
(278, 0, 1190663533),
(226, -2, 1190663533),
(22, 0, 1190663533),
(29, 0, 1190663533),
(34, -4, 1190663533),
(449, 2, 1190663533),
(308, 4, 1190663533),
(231, 4, 1190663533),
(202, 2, 1190663533),
(311, 4, 1190663533),
(14, 6, 1190663533),
(12, 11, 1190663533),
(142, 2, 1190663533),
(124, 6, 1190663533),
(544, 15, 1190663533),
(41, 9, 1190663533),
(634, 0, 1190663533),
(366, 4, 1190663533),
(636, -2, 1190663533),
(637, 0, 1190663533),
(639, 0, 1190663533),
(648, 0, 1190663533),
(642, 2, 1190663533),
(645, 0, 1190663533),
(644, 7, 1190663533),
(647, 2, 1190663533),
(651, -2, 1190663533),
(652, 2, 1190663533),
(649, 2, 1190663533),
(428, 2, 1190663533),
(282, 4, 1190663533),
(123, 2, 1190663533),
(345, 0, 1190663533),
(297, 4, 1190663533),
(200, 2, 1190663533),
(157, 13, 1190663533),
(113, 2, 1190663533),
(506, 2, 1190663533),
(1, 13, 1190663533),
(511, 13, 1190663533),
(507, 9, 1190663533),
(2, 2, 1190663533),
(427, -4, 1190877628),
(306, -4, 1190877628),
(290, 0, 1190877628),
(322, -6, 1190877628),
(136, -9, 1190877628),
(537, 0, 1190877628),
(139, 0, 1190877628),
(539, 2, 1190877628),
(18, -2, 1190877628),
(538, 0, 1190877628),
(541, 0, 1190877628),
(8, 0, 1190877628),
(426, 4, 1190877628),
(363, 2, 1190877628),
(532, 4, 1190877628),
(287, 4, 1190877628),
(503, 2, 1190877628),
(134, 4, 1190877628),
(114, 15, 1190877628),
(138, 2, 1190877628),
(500, 9, 1190877628),
(533, 0, 1190877628),
(25, 13, 1190877628),
(158, 4, 1190877628),
(492, 0, 1190877628),
(298, -4, 1190877628),
(295, -4, 1190877628),
(217, 0, 1190877628),
(323, 0, 1190877628),
(222, -4, 1190877628),
(125, 4, 1190877628),
(255, 0, 1190877628),
(574, 0, 1190877628),
(24, 11, 1190877628),
(696, -4, 1190877628),
(578, -2, 1190877628),
(695, -2, 1190877628),
(445, 4, 1190877628),
(674, 2, 1190877628),
(666, 6, 1190877628),
(669, 4, 1190877628),
(668, 0, 1190877628),
(676, 13, 1190877628),
(682, 4, 1190877628),
(677, 8, 1190877628),
(681, 2, 1190877628),
(683, 9, 1190877628),
(697, 0, 1190877628),
(685, 9, 1190877628),
(437, 2, 1190877628),
(561, 0, 1190877628),
(355, 2, 1190877628),
(327, 0, 1190877628),
(689, 4, 1190877628),
(242, 4, 1190877628),
(172, 0, 1190877628),
(77, 2, 1190877628),
(490, 0, 1190877628),
(692, 11, 1190877628),
(699, 2, 1190877628),
(562, 4, 1190877628),
(431, 2, 1190877628),
(344, 4, 1190877628),
(305, 2, 1190877628),
(285, 4, 1190877628),
(513, 2, 1190877628),
(233, 0, 1190877628),
(176, 2, 1190877628),
(116, 9, 1190877628),
(519, -2, 1190877628),
(16, 0, 1190877628),
(17, -2, 1190877628),
(497, 0, 1190877628),
(605, 2, 1190877628),
(623, 0, 1190877628),
(608, 4, 1190877628),
(611, -2, 1190877628),
(609, 0, 1190877628),
(621, 4, 1190877628),
(616, 2, 1190877628),
(617, -2, 1190877628),
(615, 2, 1190877628),
(626, -2, 1190877628),
(630, 0, 1190877628),
(468, 4, 1190877628),
(291, 6, 1190877628),
(316, 6, 1190877628),
(294, 2, 1190877628),
(404, 0, 1190877628),
(128, 8, 1190877628),
(144, 4, 1190877628),
(147, 6, 1190877628),
(529, 6, 1190877628),
(10, 9, 1190877628),
(6, 11, 1190877628),
(11, 8, 1190877628),
(435, 2, 1190877628),
(293, 2, 1190877628),
(417, 2, 1190877628),
(304, 0, 1190877628),
(317, 2, 1190877628),
(118, 2, 1190877628),
(166, 9, 1190877628),
(162, 4, 1190877628),
(504, 2, 1190877628),
(68, 4, 1190877628),
(39, 2, 1190877628),
(524, 0, 1190877628),
(161, 2, 1190877628),
(592, 0, 1190877628),
(318, -4, 1190877628),
(392, 0, 1190877628),
(501, -4, 1190877628),
(593, 0, 1190877628),
(169, -2, 1190877628),
(81, 0, 1190877628),
(595, -2, 1190877628),
(488, -2, 1190877628),
(235, 0, 1190877628),
(601, -2, 1190877628),
(600, -2, 1190877628),
(47, -4, 1190877628),
(428, 4, 1190877628),
(283, 2, 1190877628),
(123, 9, 1190877628),
(345, 2, 1190877628),
(297, 4, 1190877628),
(157, 2, 1190877628),
(113, 4, 1190877628),
(506, 6, 1190877628),
(507, 4, 1190877628),
(1, 27, 1190877628),
(511, 9, 1190877628),
(443, -4, 1190877628),
(349, -6, 1190877628),
(368, -6, 1190877628),
(654, -2, 1190877628),
(493, -2, 1190877628),
(223, 0, 1190877628),
(367, -2, 1190877628),
(177, 0, 1190877628),
(487, -2, 1190877628),
(662, -4, 1190877628),
(663, -4, 1190877628),
(85, 0, 1190877628),
(75, 0, 1190877628),
(547, 0, 1190877628),
(325, 2, 1190877628),
(359, 2, 1190877628),
(386, 0, 1190877628),
(502, -2, 1190877628),
(163, 4, 1190877628),
(145, 2, 1190877628),
(156, 0, 1190877628),
(126, 7, 1190877628),
(219, 0, 1190877628),
(553, -2, 1190877628),
(549, 0, 1190877628),
(67, -2, 1190877628),
(551, 0, 1190877628),
(449, 0, 1190877628),
(308, 8, 1190877628),
(202, 4, 1190877628),
(311, 6, 1190877628),
(232, 0, 1190877628),
(14, -2, 1190877628),
(142, 2, 1190877628),
(124, 13, 1190877628),
(544, 2, 1190877628),
(12, 13, 1190877628),
(41, 0, 1190877628),
(231, 2, 1190877628),
(444, 0, 1190877628),
(332, 0, 1190877628),
(347, 0, 1190877628),
(582, 0, 1190877628),
(583, 0, 1190877628),
(228, 2, 1190877628),
(173, 2, 1190877628),
(201, 0, 1190877628),
(74, 2, 1190877628),
(43, -4, 1190877628),
(590, 0, 1190877628),
(63, -2, 1190877628),
(192, -2, 1190877628),
(429, 6, 1190877628),
(396, 2, 1190877628),
(312, 2, 1190877628),
(329, 4, 1190877628),
(381, 4, 1190877628),
(165, 2, 1190877628),
(310, 4, 1190877628),
(155, -2, 1190877628),
(278, -2, 1190877628),
(226, 9, 1190877628),
(22, -2, 1190877628),
(171, 2, 1190877628),
(188, 5, 1190877628),
(448, 2, 1190877628),
(307, 0, 1190877628),
(346, 4, 1190877628),
(384, 0, 1190877628),
(334, 4, 1190877628),
(137, -2, 1190877629),
(168, -2, 1190877629),
(50, 0, 1190877629),
(190, 2, 1190877629),
(570, -2, 1190877629),
(20, -2, 1190877629),
(62, 2, 1190877629),
(19, 0, 1190877629),
(634, 8, 1190877629),
(366, 1, 1190877629),
(636, 9, 1190877629),
(637, 6, 1190877629),
(639, 4, 1190877629),
(648, -2, 1190877629),
(642, 0, 1190877629),
(645, 4, 1190877629),
(641, 4, 1190877629),
(647, 4, 1190877629),
(651, 0, 1190877629),
(644, -2, 1190877629),
(652, 2, 1190877629),
(468, 4, 1191177237),
(291, 6, 1191177237),
(316, 2, 1191177237),
(294, 11, 1191177238),
(404, 2, 1191177238),
(128, 4, 1191177238),
(144, 2, 1191177238),
(147, 8, 1191177238),
(529, 0, 1191177238),
(10, 0, 1191177238),
(11, 4, 1191177238),
(492, 2, 1191177238),
(298, 2, 1191177238),
(217, 0, 1191177238),
(323, 0, 1191177238),
(694, -4, 1191177238),
(125, 2, 1191177238),
(243, 2, 1191177238),
(695, -4, 1191177238),
(499, 0, 1191177238),
(574, 0, 1191177238),
(24, 0, 1191177238),
(255, 2, 1191177238),
(696, -4, 1191177238),
(431, 4, 1191177238),
(344, 4, 1191177238),
(305, 6, 1191177238),
(285, 13, 1191177238),
(513, 4, 1191177238),
(233, 2, 1191177238),
(176, 4, 1191177238),
(116, 17, 1191177238),
(497, 13, 1191177238),
(16, 20, 1191177238),
(17, 20, 1191177238),
(314, 4, 1191177238),
(498, 11, 1191177238),
(444, -4, 1191177238),
(398, 0, 1191177238),
(332, -8, 1191177238),
(63, 0, 1191177238),
(582, 0, 1191177238),
(583, -8, 1191177238),
(214, -2, 1191177238),
(228, -6, 1191177238),
(173, -2, 1191177238),
(201, -6, 1191177238),
(74, 3, 1191177238),
(43, -2, 1191177238),
(192, -4, 1191177238),
(347, -4, 1191177238),
(449, 2, 1191177238),
(308, -2, 1191177238),
(231, 2, 1191177238),
(202, 0, 1191177238),
(311, 0, 1191177238),
(14, 2, 1191177238),
(12, 2, 1191177238),
(142, 2, 1191177238),
(124, 2, 1191177238),
(544, 6, 1191177238),
(41, -4, 1191177238),
(434, 8, 1191177238),
(282, 6, 1191177238),
(123, 4, 1191177238),
(345, 2, 1191177238),
(297, 4, 1191177238),
(157, 4, 1191177238),
(113, 2, 1191177238),
(506, 4, 1191177238),
(507, 6, 1191177238),
(1, 4, 1191177238),
(511, 9, 1191177238),
(115, 0, 1191177238),
(426, 4, 1191177238),
(363, 11, 1191177238),
(532, -2, 1191177238),
(287, -2, 1191177238),
(503, 2, 1191177238),
(134, 4, 1191177238),
(114, 13, 1191177238),
(158, 0, 1191177238),
(138, 0, 1191177238),
(500, 2, 1191177238),
(25, -2, 1191177238),
(148, 2, 1191177238),
(437, 0, 1191177238),
(561, 2, 1191177238),
(355, 0, 1191177238),
(327, 2, 1191177238),
(689, 0, 1191177238),
(242, 0, 1191177238),
(172, 2, 1191177238),
(77, 9, 1191177238),
(490, 2, 1191177238),
(692, 0, 1191177238),
(699, 7, 1191177238),
(557, 4, 1191177238),
(560, 2, 1191177238),
(193, 0, 1191177238),
(592, 2, 1191177238),
(318, -2, 1191177238),
(392, -2, 1191177238),
(501, 2, 1191177238),
(593, 6, 1191177238),
(169, 0, 1191177238),
(153, 0, 1191177238),
(256, 0, 1191177238),
(600, 18, 1191177238),
(47, 2, 1191177238),
(601, 7, 1191177238),
(235, 0, 1191177238),
(547, 2, 1191177238),
(354, 2, 1191177238),
(359, -2, 1191177238),
(549, -2, 1191177238),
(502, -2, 1191177238),
(163, 20, 1191177238),
(145, 0, 1191177238),
(156, 9, 1191177238),
(126, 0, 1191177238),
(219, 4, 1191177238),
(37, 0, 1191177238),
(634, 0, 1191177238),
(636, 8, 1191177238),
(637, 11, 1191177238),
(639, 4, 1191177238),
(643, 4, 1191177238),
(648, -2, 1191177238),
(642, 0, 1191177238),
(645, 4, 1191177238),
(644, 11, 1191177238),
(647, 6, 1191177238),
(651, 9, 1191177238),
(652, 2, 1191177238),
(649, 0, 1191177238),
(427, -4, 1191177238),
(306, 1, 1191177238),
(290, 0, 1191177238),
(539, 0, 1191177238),
(536, -6, 1191177238),
(537, -8, 1191177238),
(167, -4, 1191177238),
(139, -6, 1191177238),
(541, -6, 1191177238),
(18, -4, 1191177238),
(8, -6, 1191177238),
(445, 6, 1191177238),
(674, 4, 1191177238),
(666, 2, 1191177238),
(669, 4, 1191177238),
(668, 9, 1191177238),
(676, 2, 1191177238),
(682, 4, 1191177238),
(677, 11, 1191177238),
(681, 0, 1191177238),
(683, 4, 1191177238),
(697, 2, 1191177238),
(351, 2, 1191177238),
(685, 2, 1191177238),
(435, 0, 1191177238),
(335, 2, 1191177238),
(293, -2, 1191177238),
(417, -2, 1191177238),
(304, 0, 1191177238),
(166, 2, 1191177238),
(162, 2, 1191177238),
(161, 0, 1191177238),
(504, -2, 1191177238),
(68, 2, 1191177238),
(39, 9, 1191177238),
(524, 2, 1191177238),
(523, 0, 1191177238),
(429, 4, 1191177238),
(396, 0, 1191177238),
(312, 2, 1191177238),
(329, 0, 1191177238),
(381, 2, 1191177238),
(310, 18, 1191177238),
(171, -2, 1191177238),
(155, 0, 1191177238),
(278, 0, 1191177238),
(226, 6, 1191177238),
(22, 2, 1191177238),
(188, 2, 1191177238),
(605, 6, 1191177238),
(623, 0, 1191177238),
(608, -2, 1191177238),
(621, -2, 1191177238),
(611, 0, 1191177238),
(627, -4, 1191177238),
(616, -2, 1191177238),
(617, 0, 1191177238),
(615, -2, 1191177238),
(626, -4, 1191177238),
(630, 9, 1191177238),
(606, -2, 1191177238),
(443, -2, 1191177238),
(349, 2, 1191177238),
(368, -2, 1191177238),
(367, 4, 1191177238),
(493, 2, 1191177238),
(223, 4, 1191177238),
(654, 0, 1191177238),
(487, 4, 1191177238),
(662, 20, 1191177238),
(659, 4, 1191177238),
(663, 8, 1191177238),
(448, 4, 1191177238),
(346, 4, 1191177238),
(337, 2, 1191177238),
(384, -4, 1191177238),
(334, 0, 1191177238),
(62, 0, 1191177238),
(137, -2, 1191177238),
(168, -4, 1191177238),
(190, 4, 1191177238),
(20, 16, 1191177238),
(19, 2, 1191177238),
(307, 0, 1191177238),
(427, 6, 1191829159),
(306, -5, 1191829159),
(290, 0, 1191829159),
(136, 4, 1191829159),
(322, 2, 1191829159),
(537, 11, 1191829159),
(167, 4, 1191829159),
(139, 13, 1191829159),
(18, -2, 1191829159),
(536, 2, 1191829159),
(592, 2, 1191829159),
(318, 2, 1191829159),
(392, 0, 1191829159),
(501, 4, 1191829159),
(593, 0, 1191829159),
(169, -2, 1191829159),
(153, 4, 1191829159),
(256, 2, 1191829159),
(600, 6, 1191829159),
(47, 2, 1191829159),
(601, 9, 1191829159),
(235, 0, 1191829159),
(435, 4, 1191829159),
(293, -6, 1191829159),
(417, -6, 1191829159),
(304, 0, 1191829159),
(317, -2, 1191829159),
(68, 0, 1191829159),
(166, -4, 1191829159),
(162, 0, 1191829159),
(504, 0, 1191829159),
(39, -2, 1191829159),
(335, 0, 1191829159),
(161, 2, 1191829159),
(429, 2, 1191829159),
(310, 4, 1191829159),
(312, 2, 1191829159),
(329, 4, 1191829159),
(381, 2, 1191829159),
(165, 0, 1191829159),
(171, 6, 1191829159),
(188, 4, 1191829159),
(278, 0, 1191829159),
(226, 18, 1191829159),
(22, 6, 1191829159),
(181, 2, 1191829159),
(155, 2, 1191829159),
(468, 2, 1191829159),
(291, 0, 1191829159),
(316, 2, 1191829159),
(294, 4, 1191829159),
(528, -2, 1191829159),
(128, 0, 1191829159),
(144, -4, 1191829159),
(147, 0, 1191829159),
(529, 2, 1191829159),
(27, -4, 1191829159),
(10, -2, 1191829159),
(273, -2, 1191829159),
(11, -2, 1191829159),
(634, 4, 1191829159),
(366, 4, 1191829159),
(636, 8, 1191829159),
(637, 6, 1191829159),
(639, 2, 1191829159),
(648, 20, 1191829159),
(645, 6, 1191829159),
(644, 4, 1191829159),
(652, 0, 1191829159),
(647, 8, 1191829159),
(651, -2, 1191829159),
(649, 4, 1191829159),
(492, 4, 1191829159),
(298, 2, 1191829159),
(295, 4, 1191829159),
(323, 2, 1191829159),
(694, 2, 1191829159),
(222, 0, 1191829159),
(217, -4, 1191829159),
(125, 0, 1191829159),
(499, 2, 1191829159),
(24, -4, 1191829159),
(696, -4, 1191829159),
(255, 2, 1191829159),
(695, 2, 1191829159),
(578, 0, 1191829159),
(443, 4, 1191829159),
(349, -2, 1191829159),
(368, 4, 1191829159),
(367, 6, 1191829159),
(493, 2, 1191829159),
(223, 2, 1191829159),
(654, 4, 1191829159),
(487, 0, 1191829159),
(659, 0, 1191829159),
(662, 4, 1191829159),
(663, -2, 1191829159),
(444, 6, 1191829159),
(347, 2, 1191829159),
(402, -2, 1191829159),
(201, 0, 1191829159),
(583, 0, 1191829159),
(214, -2, 1191829159),
(228, 2, 1191829159),
(173, -2, 1191829159),
(36, -2, 1191829159),
(589, 0, 1191829159),
(74, -2, 1191829159),
(192, 2, 1191829159),
(43, 2, 1191829159),
(426, 6, 1191829159),
(363, 2, 1191829159),
(532, 2, 1191829159),
(287, 0, 1191829159),
(503, 6, 1191829159),
(148, 2, 1191829159),
(134, 4, 1191829159),
(114, 13, 1191829159),
(138, 4, 1191829159),
(500, 6, 1191829159),
(25, 4, 1191829159),
(535, 2, 1191829159),
(437, 4, 1191829159),
(561, 4, 1191829159),
(327, 4, 1191829159),
(557, 4, 1191829159),
(689, 4, 1191829159),
(242, 2, 1191829159),
(172, -4, 1191829159),
(77, -4, 1191829159),
(490, -2, 1191829159),
(692, 2, 1191829159),
(699, 0, 1191829159),
(562, 11, 1191829159),
(560, 0, 1191829159),
(445, 8, 1191829159),
(674, 2, 1191829159),
(666, 2, 1191829159),
(669, 4, 1191829159),
(668, 4, 1191829159),
(676, 0, 1191829160),
(682, -2, 1191829160),
(677, 2, 1191829160),
(681, 2, 1191829160),
(683, -4, 1191829160),
(697, -4, 1191829160),
(685, 0, 1191829160),
(605, 2, 1191829160),
(608, -2, 1191829160),
(611, -9, 1191829160),
(610, 2, 1191829160),
(621, 2, 1191829160),
(616, 0, 1191829160),
(617, -2, 1191829160),
(615, -10, 1191829160),
(630, 4, 1191829160),
(633, 7, 1191829160),
(609, -2, 1191829160),
(627, 4, 1191829160),
(454, 2, 1191829160),
(314, 4, 1191829160),
(344, 6, 1191829160),
(305, 0, 1191829160),
(285, 4, 1191829160),
(112, 6, 1191829160),
(121, 4, 1191829160),
(176, 13, 1191829160),
(116, 2, 1191829160),
(17, 11, 1191829160),
(498, -4, 1191829160),
(338, 9, 1191829160),
(434, 4, 1191829160),
(282, 6, 1191829160),
(123, 6, 1191829160),
(345, 4, 1191829160),
(297, 2, 1191829160),
(200, 4, 1191829160),
(157, 6, 1191829160),
(115, 8, 1191829160),
(507, 15, 1191829160),
(511, 20, 1191829160),
(506, 10, 1191829160),
(38, -2, 1191829160),
(547, -2, 1191829160),
(354, 0, 1191829160),
(359, -4, 1191829160),
(386, -6, 1191829160),
(502, -6, 1191829160),
(163, 0, 1191829160),
(145, -4, 1191829160),
(156, 0, 1191829160),
(180, -2, 1191829160),
(37, -4, 1191829160),
(126, -2, 1191829160),
(549, -4, 1191829160),
(67, 2, 1191829160),
(555, 2, 1191829160),
(448, 4, 1191829160),
(346, 2, 1191829160),
(337, 0, 1191829160),
(384, 2, 1191829160),
(334, 20, 1191829160),
(175, 0, 1191829160),
(137, 2, 1191829160),
(168, 8, 1191829160),
(190, 4, 1191829160),
(20, 0, 1191829160),
(19, -2, 1191829160),
(569, 0, 1191829160),
(449, 2, 1191829160),
(231, 0, 1191829160),
(543, 0, 1191829160),
(202, -4, 1191829160),
(311, 2, 1191829160),
(14, -2, 1191829160),
(142, 4, 1191829160),
(221, 0, 1191829160),
(124, 4, 1191829160),
(544, 0, 1191829160),
(12, 0, 1191829160),
(90, 0, 1191829160),
(443, 0, 1192994936),
(349, 0, 1192994936),
(368, 2, 1192994936),
(367, 0, 1192994936),
(493, -2, 1192994936),
(223, 7, 1192994936),
(654, -2, 1192994936),
(487, 2, 1192994936),
(659, -6, 1192994936),
(662, 0, 1192994936),
(663, -2, 1192994936),
(240, 2, 1192994936),
(605, 4, 1192994936),
(608, 11, 1192994936),
(606, 0, 1192994936),
(610, 0, 1192994936),
(627, 2, 1192994936),
(621, 11, 1192994936),
(616, 2, 1192994936),
(617, 0, 1192994936),
(630, -2, 1192994936),
(633, 0, 1192994936),
(628, -2, 1192994936),
(431, 4, 1192994936),
(314, 4, 1192994936),
(344, 2, 1192994936),
(305, 4, 1192994936),
(285, 4, 1192994936),
(112, 6, 1192994936),
(121, 4, 1192994936),
(176, 4, 1192994936),
(116, 10, 1192994936),
(16, 13, 1192994936),
(17, 2, 1192994936),
(498, 11, 1192994936),
(338, 9, 1192994936),
(492, 2, 1192994936),
(298, 2, 1192994936),
(295, -2, 1192994936),
(694, -4, 1192994936),
(222, 0, 1192994936),
(217, -2, 1192994936),
(323, 0, 1192994936),
(125, 7, 1192994936),
(255, 0, 1192994936),
(695, 0, 1192994936),
(24, -4, 1192994936),
(578, 9, 1192994936),
(449, 6, 1192994936),
(308, 2, 1192994936),
(231, 2, 1192994936),
(543, -4, 1192994936),
(202, 0, 1192994936),
(14, 0, 1192994936),
(12, 13, 1192994936),
(142, 0, 1192994936),
(124, 6, 1192994936),
(544, 2, 1192994936),
(41, 9, 1192994936),
(132, 6, 1192994936),
(427, 2, 1192994936),
(290, 2, 1192994936),
(303, -2, 1192994936),
(322, -2, 1192994936),
(536, -4, 1192994936),
(136, 4, 1192994936),
(537, -2, 1192994936),
(167, 0, 1192994936),
(139, 2, 1192994936),
(18, 0, 1192994936),
(538, 20, 1192994936),
(539, 2, 1192994936),
(540, 2, 1192994936),
(547, 2, 1192994936),
(145, 2, 1192994936),
(359, 2, 1192994936),
(386, 4, 1192994936),
(163, 4, 1192994936),
(156, 11, 1192994936),
(126, 20, 1192994936),
(219, 6, 1192994936),
(180, 4, 1192994936),
(553, 13, 1192994936),
(328, 2, 1192994936),
(67, 11, 1192994936),
(448, -4, 1192994936),
(346, -6, 1192994936),
(337, -4, 1192994936),
(384, -8, 1192994936),
(334, -6, 1192994936),
(137, -4, 1192994936),
(168, 0, 1192994936),
(50, 7, 1192994936),
(190, -4, 1192994936),
(570, -2, 1192994936),
(20, 0, 1192994936),
(592, -4, 1192994936),
(318, 4, 1192994936),
(595, -6, 1192994936),
(501, 0, 1192994936),
(593, 4, 1192994936),
(209, -2, 1192994936),
(153, 2, 1192994936),
(81, 9, 1192994936),
(600, 0, 1192994936),
(47, -2, 1192994936),
(488, -2, 1192994936),
(235, -4, 1192994936),
(434, 2, 1192994936),
(282, 0, 1192994936),
(123, 2, 1192994936),
(345, -2, 1192994936),
(297, 2, 1192994936),
(157, 0, 1192994936),
(113, 2, 1192994936),
(506, 15, 1192994936),
(507, 4, 1192994936),
(1, 2, 1192994936),
(511, -2, 1192994936),
(115, 5, 1192994936),
(445, 0, 1192994936),
(674, 11, 1192994936),
(666, 2, 1192994936),
(669, 2, 1192994936),
(668, 0, 1192994936),
(676, 2, 1192994936),
(682, 0, 1192994936),
(677, 6, 1192994936),
(681, 2, 1192994936),
(683, -2, 1192994936),
(697, -2, 1192994936),
(685, 0, 1192994936),
(468, -4, 1192994936),
(291, 4, 1192994936),
(316, 0, 1192994936),
(315, 2, 1192994936),
(294, 2, 1192994936),
(128, 2, 1192994936),
(144, -2, 1192994936),
(147, 2, 1192994936),
(690, 0, 1192994936),
(27, 11, 1192994936),
(10, 0, 1192994936),
(426, 2, 1192994936),
(363, 6, 1192994936),
(299, 4, 1192994936),
(287, 13, 1192994936),
(503, 6, 1192994936),
(148, 6, 1192994936),
(134, 10, 1192994936),
(158, 8, 1192994936),
(289, 6, 1192994936),
(500, 27, 1192994936),
(45, 6, 1192994936),
(535, 4, 1192994936),
(435, -4, 1192994936),
(417, -1, 1192994936),
(304, -4, 1192994936),
(161, -2, 1192994936),
(118, -4, 1192994936),
(166, -6, 1192994936),
(162, -10, 1192994936),
(504, -4, 1192994936),
(39, -2, 1192994936),
(523, -4, 1192994936),
(230, 0, 1192994936),
(429, 2, 1192994936),
(396, 7, 1192994936),
(312, 2, 1192994936),
(329, 0, 1192994936),
(381, -2, 1192994936),
(165, 0, 1192994936),
(310, 4, 1192994936),
(188, 11, 1192994936),
(278, 2, 1192994936),
(226, -4, 1192994936),
(22, 4, 1192994936),
(29, 0, 1192994936),
(437, 0, 1192994936),
(561, 0, 1192994936),
(327, 0, 1192994936),
(557, 2, 1192994936),
(689, 4, 1192994936),
(242, 2, 1192994936),
(172, 2, 1192994936),
(77, 9, 1192994936),
(490, 9, 1192994936),
(692, -2, 1192994936),
(699, 2, 1192994936),
(227, -4, 1192994936),
(355, 2, 1192994936),
(634, 4, 1192994936),
(366, 0, 1192994936),
(636, 4, 1192994936),
(637, 2, 1192994936),
(639, 2, 1192994936),
(648, -4, 1192994936),
(645, 2, 1192994936),
(644, 6, 1192994936),
(652, -4, 1192994936),
(647, 2, 1192994936),
(651, -2, 1192994936),
(649, 2, 1192994936),
(642, 0, 1192994936),
(444, 2, 1192994936),
(347, 0, 1192994936),
(201, 6, 1192994936),
(589, 0, 1192994936),
(583, 4, 1192994936),
(228, 0, 1192994936),
(173, 4, 1192994936),
(63, 2, 1192994936),
(260, 4, 1192994936),
(74, -4, 1192994936),
(43, -4, 1192994936),
(590, 2, 1192994936),
(214, 0, 1192994936),
(448, 4, 1193605667),
(62, 2, 1193605667),
(346, 4, 1193605667),
(384, 2, 1193605667),
(334, 4, 1193605667),
(241, 0, 1193605667),
(137, 0, 1193605667),
(168, 2, 1193605667),
(190, 2, 1193605667),
(570, 0, 1193605667),
(20, 2, 1193605667),
(19, -2, 1193605667),
(429, 6, 1193605667),
(396, 0, 1193605667),
(312, 2, 1193605667),
(329, 0, 1193605667),
(381, 2, 1193605667),
(165, 2, 1193605667),
(310, 0, 1193605667),
(188, 0, 1193605667),
(278, -2, 1193605667),
(226, 2, 1193605667),
(22, -2, 1193605667),
(171, 4, 1193605667),
(435, 4, 1193605667),
(417, 2, 1193605667),
(304, 0, 1193605667),
(342, 11, 1193605667),
(691, 0, 1193605667),
(118, 2, 1193605667),
(160, 6, 1193605667),
(166, 0, 1193605667),
(504, 2, 1193605667),
(68, 0, 1193605667),
(39, 2, 1193605667),
(449, 2, 1193605667),
(308, 2, 1193605667),
(231, -2, 1193605667),
(202, 2, 1193605667),
(311, 0, 1193605667),
(14, 2, 1193605667),
(12, 0, 1193605667),
(142, 2, 1193605667),
(543, -2, 1193605667),
(124, 0, 1193605667),
(90, -2, 1193605667),
(41, -2, 1193605667),
(232, 0, 1193605667),
(132, 0, 1193605667),
(468, 0, 1193605667),
(291, 2, 1193605667),
(316, 6, 1193605667),
(294, 10, 1193605667),
(404, 6, 1193605667),
(128, 0, 1193605667),
(147, 8, 1193605667),
(11, -4, 1193605667),
(690, 9, 1193605667),
(27, -2, 1193605667),
(10, -2, 1193605667),
(529, 2, 1193605667),
(431, 0, 1193605667),
(305, 11, 1193605667),
(285, 6, 1193605667),
(519, 4, 1193605667),
(513, 2, 1193605667),
(112, 0, 1193605667),
(121, -4, 1193605667),
(176, 4, 1193605667),
(116, -4, 1193605667),
(16, -4, 1193605667),
(17, -2, 1193605667),
(154, 2, 1193605667),
(492, 2, 1193605667),
(298, 2, 1193605667),
(217, -4, 1193605667),
(323, 0, 1193605667),
(694, 2, 1193605667),
(295, 4, 1193605667),
(125, -2, 1193605667),
(255, 0, 1193605667),
(695, -2, 1193605667),
(499, -4, 1193605667),
(24, 9, 1193605667),
(579, -2, 1193605667),
(592, 0, 1193605667),
(318, -6, 1193605667),
(595, -4, 1193605667),
(501, -6, 1193605667),
(593, -2, 1193605667),
(169, -4, 1193605667),
(209, -6, 1193605667),
(81, -4, 1193605667),
(600, -6, 1193605667),
(256, -2, 1193605667),
(488, -6, 1193605667),
(47, -4, 1193605667),
(601, -4, 1193605667),
(444, 2, 1193605667),
(347, 0, 1193605667),
(260, 0, 1193605667),
(201, 0, 1193605667),
(583, -2, 1193605667),
(228, -2, 1193605667),
(173, 4, 1193605667),
(63, 2, 1193605667),
(589, -2, 1193605667),
(74, 4, 1193605667),
(43, 0, 1193605667),
(192, 11, 1193605667),
(590, 0, 1193605667),
(456, 4, 1193605667),
(349, 0, 1193605667),
(368, 0, 1193605667),
(367, 0, 1193605667),
(493, -2, 1193605667),
(223, 0, 1193605667),
(240, -2, 1193605667),
(654, 0, 1193605667),
(487, 4, 1193605667),
(662, 0, 1193605667),
(663, 11, 1193605667),
(659, -2, 1193605667),
(437, 4, 1193605667),
(561, 2, 1193605667),
(327, 4, 1193605667),
(557, 0, 1193605667),
(689, 4, 1193605667),
(227, 2, 1193605667),
(77, 13, 1193605667),
(193, 0, 1193605667),
(490, 4, 1193605667),
(692, 4, 1193605667),
(699, 9, 1193605667),
(131, 0, 1193605667),
(547, -6, 1193605667),
(354, 0, 1193605667),
(145, -2, 1193605667),
(359, -2, 1193605667),
(386, -4, 1193605667),
(163, -2, 1193605667),
(156, 3, 1193605667),
(126, -2, 1193605667),
(219, -2, 1193605667),
(180, -2, 1193605667),
(553, -4, 1193605667),
(37, -2, 1193605667),
(67, 0, 1193605667),
(445, 4, 1193605667),
(674, 2, 1193605667),
(666, -2, 1193605667),
(669, 0, 1193605667),
(668, -2, 1193605667),
(676, 0, 1193605667),
(682, 0, 1193605667),
(677, 2, 1193605667),
(681, 2, 1193605667),
(683, 2, 1193605667),
(697, -4, 1193605667),
(685, 2, 1193605667),
(634, 4, 1193605667),
(366, 2, 1193605667),
(636, 2, 1193605667),
(637, 0, 1193605667),
(639, 2, 1193605667),
(648, 4, 1193605667),
(642, 0, 1193605667),
(645, 4, 1193605667),
(644, 4, 1193605667),
(647, 2, 1193605667),
(651, 0, 1193605667),
(649, 2, 1193605667),
(427, 0, 1193605667),
(290, 2, 1193605667),
(303, 2, 1193605667),
(322, 0, 1193605667),
(536, 2, 1193605667),
(136, 4, 1193605667),
(139, 8, 1193605667),
(541, 0, 1193605667),
(539, 2, 1193605667),
(8, 2, 1193605667),
(538, 2, 1193605667),
(434, 4, 1193605667),
(282, 2, 1193605667),
(123, 4, 1193605667),
(345, -2, 1193605667),
(297, 2, 1193605667),
(115, 0, 1193605667),
(113, 2, 1193605667),
(508, -4, 1193605667),
(507, 6, 1193605667),
(1, 2, 1193605667),
(511, 0, 1193605667),
(157, -2, 1193605667),
(2, 0, 1193605667),
(605, 4, 1193605667),
(623, -2, 1193605667),
(608, 0, 1193605667),
(610, 2, 1193605667),
(609, -2, 1193605667),
(627, -2, 1193605667),
(616, -2, 1193605667),
(617, -4, 1193605667),
(624, 0, 1193605667),
(615, 2, 1193605667),
(628, -2, 1193605667),
(626, 0, 1193605667),
(426, 2, 1193605667),
(363, 2, 1193605667),
(299, 0, 1193605667),
(287, 4, 1193605667),
(503, 2, 1193605667),
(148, 2, 1193605667),
(134, 4, 1193605667),
(45, 2, 1193605667),
(158, 6, 1193605667),
(289, 11, 1193605667),
(500, 2, 1193605667),
(456, 2, 1194213922),
(349, 2, 1194213922),
(368, 0, 1194213922),
(367, 8, 1194213922),
(493, 2, 1194213922),
(223, 4, 1194213922),
(654, 0, 1194213922),
(487, 4, 1194213922),
(659, 11, 1194213922),
(662, 4, 1194213922),
(663, 2, 1194213922),
(468, 4, 1194213922),
(301, 0, 1194213922),
(291, 2, 1194213922),
(316, -4, 1194213922),
(294, 0, 1194213922),
(128, 0, 1194213922),
(147, 2, 1194213922),
(690, -4, 1194213922),
(27, -2, 1194213922),
(10, -4, 1194213922),
(11, 0, 1194213922),
(23, 4, 1194213922),
(273, 4, 1194213922),
(429, 6, 1194213922),
(396, 4, 1194213922),
(312, 2, 1194213922),
(329, 4, 1194213922),
(381, 2, 1194213922),
(310, 11, 1194213922),
(171, 2, 1194213922),
(188, 8, 1194213922),
(278, 4, 1194213922),
(226, 9, 1194213922),
(22, 2, 1194213922),
(155, 2, 1194213922),
(427, 2, 1194213922),
(290, 4, 1194213922),
(303, -4, 1194213922),
(322, 0, 1194213922),
(536, 2, 1194213922),
(136, 9, 1194213922),
(139, 0, 1194213922),
(539, 0, 1194213922),
(8, -2, 1194213922),
(541, -2, 1194213922),
(538, 0, 1194213922),
(167, 0, 1194213922),
(18, 4, 1194213922),
(426, 2, 1194213922),
(363, 9, 1194213922),
(299, 4, 1194213922),
(287, 2, 1194213922),
(503, 0, 1194213922),
(148, 6, 1194213922),
(258, 2, 1194213922),
(114, 8, 1194213922),
(158, 0, 1194213922),
(500, 10, 1194213922),
(25, 11, 1194213922),
(533, 2, 1194213922),
(45, 2, 1194213922),
(532, 4, 1194213922),
(492, 4, 1194213922),
(298, 0, 1194213922),
(217, 2, 1194213922),
(323, 0, 1194213922),
(694, -4, 1194213922),
(295, 2, 1194213922),
(125, 0, 1194213922),
(255, 11, 1194213922),
(695, -2, 1194213922),
(499, 0, 1194213922),
(24, 4, 1194213922),
(579, 0, 1194213922),
(547, 2, 1194213922),
(354, 0, 1194213922),
(359, 0, 1194213922),
(180, 2, 1194213922),
(328, -2, 1194213922),
(163, 0, 1194213922),
(145, 4, 1194213922),
(37, -4, 1194213922),
(156, 6, 1194213922),
(126, 2, 1194213922),
(67, 0, 1194213922),
(164, 2, 1194213922),
(555, 4, 1194213922),
(435, 4, 1194213922),
(335, 2, 1194213922),
(302, 0, 1194213922),
(417, -2, 1194213922),
(342, 6, 1194213922),
(118, 0, 1194213922),
(293, 2, 1194213922),
(160, 4, 1194213922),
(504, 0, 1194213922),
(68, 2, 1194213922),
(39, 13, 1194213922),
(449, 2, 1194213922),
(308, 2, 1194213922),
(202, 6, 1194213922),
(311, 2, 1194213922),
(232, 2, 1194213922),
(14, 22, 1194213922),
(12, 8, 1194213922),
(142, 4, 1194213922),
(124, 2, 1194213922),
(544, 6, 1194213922),
(41, 18, 1194213922),
(444, 0, 1194213922),
(347, -6, 1194213922),
(260, 0, 1194213922),
(402, -6, 1194213922),
(201, -6, 1194213922),
(214, -4, 1194213922),
(398, -2, 1194213922),
(173, -2, 1194213922),
(589, -4, 1194213922),
(36, -4, 1194213922),
(43, -2, 1194213922),
(192, 0, 1194213922),
(701, 0, 1194213922),
(428, 2, 1194213922),
(282, 2, 1194213922),
(281, 0, 1194213922),
(123, 4, 1194213922),
(345, 2, 1194213922),
(157, 0, 1194213922),
(113, 2, 1194213922),
(506, 4, 1194213922),
(507, 10, 1194213922),
(1, 0, 1194213922),
(511, 2, 1194213922),
(115, 2, 1194213922),
(440, 12, 1194213922),
(346, 2, 1194213922),
(337, 4, 1194213922),
(336, 2, 1194213922),
(384, -2, 1194213922),
(569, 6, 1194213922),
(175, -2, 1194213922),
(241, -4, 1194213922),
(570, -2, 1194213922),
(20, -2, 1194213922),
(50, -4, 1194213922),
(431, 4, 1194213922),
(344, 0, 1194213922),
(305, 4, 1194213922),
(285, 2, 1194213922),
(513, 4, 1194213922),
(154, 2, 1194213922),
(121, 0, 1194213922),
(116, 2, 1194213922),
(338, 4, 1194213922),
(16, 11, 1194213922),
(498, 2, 1194213922),
(314, 0, 1194213922),
(445, 0, 1194213922),
(674, 0, 1194213922),
(666, 4, 1194213922),
(669, -2, 1194213922),
(668, 0, 1194213922),
(676, -4, 1194213922),
(671, -2, 1194213922),
(677, 0, 1194213922),
(681, 0, 1194213922),
(682, 2, 1194213922),
(697, 4, 1194213922),
(667, 0, 1194213922),
(685, 0, 1194213922),
(673, 2, 1194213922),
(635, 2, 1194213922),
(366, 0, 1194213922),
(636, 6, 1194213922),
(637, 13, 1194213922),
(639, 0, 1194213922),
(648, 4, 1194213922),
(642, 2, 1194213922),
(645, 0, 1194213922),
(644, 4, 1194213922),
(647, 6, 1194213922),
(649, -2, 1194213922),
(641, 4, 1194213922),
(605, 4, 1194213922),
(608, -10, 1194213922),
(611, -2, 1194213922),
(610, 0, 1194213922),
(627, 0, 1194213922),
(621, 2, 1194213922),
(616, -2, 1194213922),
(617, 2, 1194213922),
(615, 0, 1194213922),
(630, -4, 1194213922),
(620, 2, 1194213922),
(464, 0, 1194213922),
(318, 3, 1194213922),
(595, 0, 1194213922),
(501, 0, 1194213922),
(593, 0, 1194213922),
(169, 2, 1194213922),
(597, 11, 1194213922),
(488, 15, 1194213922),
(600, 18, 1194213922),
(235, 4, 1194213922),
(601, 6, 1194213922),
(364, 0, 1194213922),
(437, -4, 1194213923),
(561, -2, 1194213923),
(355, -8, 1194213923),
(327, -6, 1194213923),
(557, 11, 1194213923),
(227, -4, 1194213923),
(77, -2, 1194213923),
(193, 0, 1194213923),
(490, -2, 1194213923),
(692, 0, 1194213923),
(699, 16, 1194213923),
(242, -2, 1194213923),
(562, 4, 1194213923),
(444, 2, 1194872127),
(347, 2, 1194872127),
(260, 2, 1194872127),
(201, 0, 1194872127),
(583, 0, 1194872127),
(214, 0, 1194872127),
(228, 0, 1194872127),
(173, 9, 1194872127),
(701, 0, 1194872127),
(74, 9, 1194872127),
(192, 6, 1194872127),
(36, 15, 1194872127),
(547, 4, 1194872127),
(354, 5, 1194872127),
(359, -4, 1194872127),
(328, 0, 1194872127),
(549, 0, 1194872127),
(163, -2, 1194872127),
(145, 2, 1194872127),
(37, 0, 1194872127),
(156, 4, 1194872127),
(180, 0, 1194872127),
(126, -2, 1194872127),
(386, -2, 1194872127),
(437, 6, 1194872127),
(561, 4, 1194872127),
(327, 0, 1194872127),
(557, -4, 1194872127),
(558, 2, 1194872127),
(172, 4, 1194872127),
(77, -4, 1194872127),
(193, -2, 1194872127),
(490, 4, 1194872127),
(692, -2, 1194872127),
(699, 4, 1194872127),
(59, -2, 1194872127),
(131, 4, 1194872127),
(449, 10, 1194872127),
(308, 0, 1194872127),
(231, 6, 1194872127),
(202, 4, 1194872127),
(311, 2, 1194872127),
(14, 6, 1194872127),
(132, 4, 1194872127),
(142, 2, 1194872127),
(124, 13, 1194872127),
(544, 6, 1194872127),
(12, 13, 1194872127),
(232, -2, 1194872127),
(435, 0, 1194872127),
(335, 8, 1194872127),
(293, 2, 1194872127),
(302, 2, 1194872127),
(417, 2, 1194872127),
(118, 11, 1194872127),
(160, 8, 1194872127),
(166, 6, 1194872127),
(162, 4, 1194872127),
(68, 6, 1194872127),
(39, 18, 1194872127),
(504, 0, 1194872127),
(428, -2, 1194872127),
(282, -12, 1194872127),
(281, -2, 1194872127),
(123, -6, 1194872127),
(345, -8, 1194872127),
(157, -2, 1194872127),
(510, -4, 1194872127),
(506, -4, 1194872127),
(507, -2, 1194872127),
(2, -4, 1194872127),
(511, 7, 1194872127),
(115, 0, 1194872127),
(1, -2, 1194872127),
(468, 0, 1194872127),
(301, 5, 1194872127),
(316, 4, 1194872127),
(294, 4, 1194872127),
(528, 6, 1194872127),
(144, 0, 1194872127),
(147, 2, 1194872127),
(529, 6, 1194872127),
(27, 2, 1194872127),
(11, -4, 1194872127),
(23, 0, 1194872127),
(128, 0, 1194872127),
(426, 0, 1194872127),
(363, 4, 1194872127),
(299, 0, 1194872127),
(287, 0, 1194872127),
(503, 2, 1194872127),
(148, 0, 1194872127),
(134, 2, 1194872127),
(114, 6, 1194872127),
(289, -2, 1194872127),
(500, 9, 1194872127),
(25, 2, 1194872127),
(533, 0, 1194872127),
(535, 2, 1194872127),
(431, 4, 1194872127),
(314, 2, 1194872127),
(344, 0, 1194872127),
(305, 7, 1194872127),
(285, 4, 1194872127),
(121, 2, 1194872127),
(176, 8, 1194872127),
(116, 22, 1194872127),
(338, 4, 1194872127),
(16, 11, 1194872127),
(498, 0, 1194872127),
(635, -2, 1194872127),
(366, -2, 1194872127),
(636, 0, 1194872127),
(637, -2, 1194872127),
(639, 2, 1194872127),
(648, -2, 1194872127),
(642, -4, 1194872127),
(645, 2, 1194872127),
(644, -2, 1194872127),
(647, 0, 1194872127),
(649, 0, 1194872127),
(651, -4, 1194872127),
(652, -2, 1194872127),
(427, 2, 1194872127),
(290, 4, 1194872127),
(303, 2, 1194872127),
(322, -2, 1194872127),
(536, 0, 1194872127),
(136, 9, 1194872127),
(167, 2, 1194872127),
(139, 0, 1194872127),
(539, 2, 1194872127),
(18, 0, 1194872127),
(538, 0, 1194872127),
(8, -2, 1194872127),
(541, 0, 1194872127),
(537, 2, 1194872127),
(448, 8, 1194872127),
(336, 4, 1194872127),
(334, 4, 1194872127),
(569, 2, 1194872127),
(175, 0, 1194872127),
(62, 0, 1194872127),
(19, 2, 1194872127),
(346, 2, 1194872127),
(337, 2, 1194872127),
(20, 9, 1194872127),
(50, -4, 1194872127),
(307, 0, 1194872127),
(492, 2, 1194872127),
(298, 2, 1194872127),
(217, 2, 1194872127),
(323, 6, 1194872127),
(694, 2, 1194872127),
(295, 4, 1194872127),
(125, 2, 1194872127),
(255, 4, 1194872127),
(499, 0, 1194872127),
(579, -4, 1194872127),
(24, 0, 1194872127),
(696, 9, 1194872127),
(429, 2, 1194872127),
(396, 2, 1194872127),
(312, -2, 1194872127),
(329, 0, 1194872127),
(381, 2, 1194872127),
(310, 4, 1194872127),
(171, 2, 1194872127),
(188, 0, 1194872127),
(278, 4, 1194872127),
(226, 2, 1194872127),
(22, -2, 1194872127),
(165, 2, 1194872127),
(445, 0, 1194872127),
(674, 2, 1194872127),
(666, 2, 1194872127),
(669, 2, 1194872127),
(668, 4, 1194872127),
(676, -2, 1194872127),
(677, 2, 1194872127),
(685, -4, 1194872127),
(681, 4, 1194872127),
(682, 27, 1194872127),
(697, 6, 1194872127),
(673, 0, 1194872127),
(456, 0, 1194872127),
(349, 9, 1194872127),
(368, -6, 1194872127),
(367, -2, 1194872127),
(493, -2, 1194872127),
(223, 2, 1194872127),
(654, -4, 1194872127),
(487, 5, 1194872127),
(659, 0, 1194872127),
(662, 0, 1194872127),
(663, 0, 1194872127),
(225, -2, 1194872127),
(75, 0, 1194872127),
(605, 2, 1194872127),
(611, -2, 1194872127),
(607, -4, 1194872127),
(610, -2, 1194872127),
(621, 2, 1194872127),
(620, -4, 1194872127),
(616, -4, 1194872127),
(617, 0, 1194872127),
(630, 2, 1194872127),
(633, -2, 1194872127),
(626, 2, 1194872127),
(628, 2, 1194872127),
(464, 6, 1194872127),
(318, 4, 1194872127),
(595, 2, 1194872127),
(501, 2, 1194872127),
(593, 0, 1194872127),
(169, 2, 1194872127),
(597, -2, 1194872127),
(488, 4, 1194872127),
(600, 6, 1194872127),
(235, 9, 1194872127),
(601, -4, 1194872127),
(47, 11, 1194872127),
(366, 2, 1196025766),
(642, 2, 1196025766),
(637, 4, 1196025766),
(639, 4, 1196025766),
(651, 11, 1196025766),
(647, 13, 1196025766),
(649, 4, 1196025766),
(635, 2, 1196025766),
(636, 0, 1196025766),
(645, -2, 1196025766),
(650, 4, 1196025766),
(644, 4, 1196025766),
(298, 0, 1196025766),
(217, -2, 1196025766),
(222, 0, 1196025766),
(492, 0, 1196025766),
(255, 2, 1196025766),
(323, -4, 1196025766),
(693, 2, 1196025766),
(578, 0, 1196025766),
(24, 9, 1196025766),
(579, 0, 1196025766),
(295, 0, 1196025766),
(694, 0, 1196025766),
(20, 2, 1196025766),
(336, -4, 1196025766),
(569, -2, 1196025766),
(570, -2, 1196025766),
(334, -2, 1196025766),
(62, 7, 1196025766),
(307, 0, 1196025766),
(346, 0, 1196025766),
(448, 0, 1196025766),
(337, -4, 1196025766),
(50, -2, 1196025766),
(19, -2, 1196025767),
(342, 2, 1196025767),
(68, 13, 1196025767),
(302, 2, 1196025767),
(293, 2, 1196025767),
(39, -2, 1196025767),
(166, 13, 1196025767),
(160, 11, 1196025767),
(504, 0, 1196025767),
(335, 2, 1196025767),
(524, 13, 1196025767),
(162, 8, 1196025767),
(435, 2, 1196025767),
(661, 0, 1196025767),
(654, 0, 1196025767),
(493, -2, 1196025767),
(663, 0, 1196025767),
(75, -2, 1196025767),
(368, 2, 1196025767),
(662, 0, 1196025767),
(240, 2, 1196025767),
(487, 6, 1196025767),
(223, 2, 1196025767),
(456, -2, 1196025767),
(349, 4, 1196025767),
(225, 4, 1196025767),
(154, 4, 1196025767),
(121, 0, 1196025767),
(314, 6, 1196025767),
(176, 2, 1196025767),
(116, 5, 1196025767),
(519, 0, 1196025767),
(13, 4, 1196025767),
(285, 2, 1196025767),
(305, 6, 1196025767),
(344, 0, 1196025767),
(498, -2, 1196025767),
(431, 4, 1196025767),
(517, 5, 1196025767),
(165, 4, 1196025767),
(310, 0, 1196025767),
(429, 0, 1196025767),
(329, -4, 1196025767),
(22, 2, 1196025767),
(34, 0, 1196025767),
(226, 16, 1196025767),
(171, 0, 1196025767),
(29, -2, 1196025767),
(278, 0, 1196025767),
(188, -2, 1196025767),
(396, 0, 1196025767),
(381, -2, 1196025767),
(27, -2, 1196025767),
(144, 2, 1196025767),
(291, 2, 1196025767),
(128, 4, 1196025767),
(6, 11, 1196025767),
(301, -2, 1196025767),
(10, 22, 1196025767),
(468, -2, 1196025767),
(294, 0, 1196025767),
(529, 6, 1196025767),
(316, 2, 1196025767),
(273, 8, 1196025767),
(501, 4, 1196025767),
(593, 6, 1196025767),
(597, 0, 1196025767),
(169, 11, 1196025767),
(488, 8, 1196025767),
(235, 2, 1196025767),
(318, 8, 1196025767),
(601, 20, 1196025767),
(595, 2, 1196025767),
(464, 4, 1196025767),
(600, 8, 1196025767),
(153, 2, 1196025767),
(402, -2, 1196025767),
(228, -2, 1196025767),
(192, 0, 1196025767),
(173, 4, 1196025767),
(260, -4, 1196025767),
(332, 2, 1196025767),
(201, -6, 1196025767),
(583, -8, 1196025767),
(580, -2, 1196025767),
(214, 2, 1196025767),
(74, 0, 1196025767),
(36, 0, 1196025767),
(14, 11, 1196025767),
(124, 2, 1196025767),
(202, 2, 1196025767),
(132, 9, 1196025767),
(41, 9, 1196025767),
(232, 4, 1196025767),
(311, 2, 1196025767),
(12, 6, 1196025767),
(308, 4, 1196025767),
(449, 0, 1196025767),
(142, 13, 1196025767),
(544, 2, 1196025767),
(615, -2, 1196025767),
(606, 0, 1196025767),
(609, -2, 1196025767),
(607, -4, 1196025767),
(630, -2, 1196025767),
(621, -4, 1196025767),
(610, -2, 1196025767),
(627, -6, 1196025767),
(620, 7, 1196025767),
(605, 0, 1196025767),
(617, -2, 1196025767),
(623, -2, 1196025767),
(123, 0, 1196025767),
(506, 15, 1196025767),
(157, 6, 1196025767),
(428, 2, 1196025767),
(1, 11, 1196025767),
(281, 2, 1196025767),
(345, 0, 1196025767),
(511, 0, 1196025767),
(113, 6, 1196025767),
(283, 4, 1196025767),
(507, 2, 1196025767),
(560, -4, 1196025767),
(77, 7, 1196025767),
(562, 0, 1196025767),
(193, 2, 1196025767),
(699, -2, 1196025767),
(437, 2, 1196025767),
(172, -2, 1196025767),
(327, 0, 1196025767),
(490, 4, 1196025767),
(558, -2, 1196025767),
(689, -2, 1196025767),
(326, -6, 1196025767),
(354, 2, 1196025767),
(386, 0, 1196025767),
(547, 2, 1196025767),
(553, 7, 1196025767),
(359, 4, 1196025767),
(164, 4, 1196025767),
(145, 11, 1196025767),
(163, 4, 1196025767),
(126, 2, 1196025767),
(156, 2, 1196025767),
(555, 4, 1196025767),
(388, 0, 1196025767),
(539, -4, 1196025767),
(322, -5, 1196025767),
(290, -4, 1196025767),
(537, -4, 1196025767),
(117, -2, 1196025767),
(18, -2, 1196025767),
(136, 2, 1196025767),
(538, 0, 1196025767),
(536, 0, 1196025767),
(139, -4, 1196025767),
(8, -2, 1196025767),
(427, 0, 1196025767),
(299, 4, 1196025767),
(363, 2, 1196025767),
(258, 2, 1196025767),
(533, 6, 1196025767),
(426, 2, 1196025767),
(134, 4, 1196025767),
(289, 4, 1196025767),
(287, 4, 1196025767),
(500, 9, 1196025767),
(158, 4, 1196025767),
(114, 13, 1196025767),
(697, 0, 1196025767),
(678, 0, 1196025767),
(676, 0, 1196025767),
(666, 0, 1196025767),
(680, 0, 1196025767),
(682, -4, 1196025767),
(668, -2, 1196025767),
(667, 0, 1196025767),
(677, 0, 1196025767),
(674, -4, 1196025767),
(669, -2, 1196025767),
(445, 4, 1196025767),
(673, 0, 1196025767),
(697, 4, 1196628151),
(678, 2, 1196628151),
(676, -2, 1196628151),
(666, -2, 1196628151),
(685, 0, 1196628151),
(682, -2, 1196628151),
(668, 0, 1196628151),
(667, 2, 1196628151),
(677, 0, 1196628151),
(674, 2, 1196628151),
(669, 2, 1196628151),
(445, -6, 1196628151),
(165, 0, 1196628151),
(310, 4, 1196628151),
(312, 4, 1196628151),
(429, 2, 1196628151),
(329, 9, 1196628151),
(22, 9, 1196628151),
(34, 8, 1196628151),
(226, 6, 1196628151),
(171, 4, 1196628151),
(29, -4, 1196628151),
(188, 2, 1196628151),
(51, 5, 1196628151),
(381, 6, 1196628151),
(560, 4, 1196628151),
(77, 2, 1196628151),
(562, 13, 1196628151),
(193, 9, 1196628151),
(699, 4, 1196628151),
(437, -4, 1196628151),
(692, 4, 1196628151),
(463, 2, 1196628151),
(490, 2, 1196628151),
(227, -2, 1196628151),
(355, 2, 1196628151),
(558, 0, 1196628151),
(689, 0, 1196628151),
(20, 2, 1196628151),
(336, 11, 1196628151),
(569, 0, 1196628151),
(62, 4, 1196628151),
(190, 7, 1196628151),
(307, 0, 1196628151),
(346, 8, 1196628151),
(448, 0, 1196628151),
(384, 2, 1196628151),
(337, -2, 1196628151),
(272, 0, 1196628151),
(654, 13, 1196628151),
(659, 6, 1196628151),
(493, 2, 1196628151),
(663, 0, 1196628151),
(368, 4, 1196628151),
(662, 13, 1196628151),
(487, 6, 1196628151),
(223, 2, 1196628151),
(456, 6, 1196628151),
(349, 4, 1196628151),
(225, 6, 1196628151),
(366, 2, 1196628151),
(641, -2, 1196628151),
(637, 4, 1196628151),
(639, -4, 1196628151),
(651, 0, 1196628151),
(647, -2, 1196628151),
(649, 2, 1196628151),
(635, 2, 1196628151),
(645, -2, 1196628151),
(650, 0, 1196628151),
(644, 0, 1196628151),
(638, 2, 1196628151),
(648, -2, 1196628151),
(298, -4, 1196628151),
(217, -2, 1196628151),
(492, 4, 1196628151),
(255, 0, 1196628151),
(323, -4, 1196628151),
(125, 0, 1196628151),
(696, 0, 1196628151),
(693, -2, 1196628151),
(499, -2, 1196628151),
(24, 4, 1196628151),
(295, 0, 1196628151),
(694, 0, 1196628151),
(14, 13, 1196628151),
(124, 13, 1196628151),
(202, 2, 1196628151),
(132, 4, 1196628151),
(311, 2, 1196628151),
(12, 2, 1196628151),
(308, 4, 1196628151),
(449, 4, 1196628151),
(208, 9, 1196628151),
(142, 6, 1196628151),
(231, 4, 1196628151),
(154, 2, 1196628151),
(176, 8, 1196628151),
(116, 6, 1196628151),
(58, 0, 1196628151),
(285, 4, 1196628151),
(305, 6, 1196628151),
(344, 11, 1196628151),
(498, 0, 1196628151),
(17, 11, 1196628151),
(513, 4, 1196628151),
(454, -4, 1196628151),
(233, 6, 1196628151),
(299, -2, 1196628151),
(363, 0, 1196628151),
(533, 2, 1196628151),
(138, 0, 1196628151),
(148, 0, 1196628151),
(426, 0, 1196628151),
(503, 2, 1196628151),
(134, 2, 1196628151),
(289, 0, 1196628151),
(287, 2, 1196628151),
(500, 2, 1196628151),
(158, -4, 1196628151),
(114, 11, 1196628151),
(45, 0, 1196628151),
(27, 2, 1196628151),
(291, 15, 1196628151),
(128, 2, 1196628151),
(6, 0, 1196628151),
(147, 4, 1196628151),
(301, 6, 1196628151),
(10, 0, 1196628151),
(11, 0, 1196628151),
(468, 2, 1196628151),
(294, 0, 1196628151),
(529, 4, 1196628151),
(316, 0, 1196628151),
(273, 2, 1196628151),
(593, 0, 1196628151),
(597, 4, 1196628151),
(364, -4, 1196628151),
(488, -4, 1196628151),
(235, -2, 1196628151),
(318, 2, 1196628151),
(601, -4, 1196628151),
(392, 0, 1196628151),
(595, 0, 1196628151),
(464, -2, 1196628151),
(600, -4, 1196628151),
(118, 2, 1196628151),
(68, 0, 1196628151),
(302, -2, 1196628151),
(293, 9, 1196628151),
(166, 0, 1196628151),
(160, 4, 1196628151),
(504, 0, 1196628151),
(335, 6, 1196628151),
(524, 2, 1196628151),
(304, 0, 1196628151),
(162, 2, 1196628151),
(435, -2, 1196628151),
(417, 0, 1196628151),
(388, 0, 1196628151),
(539, 4, 1196628151),
(290, 4, 1196628151),
(537, 2, 1196628151),
(117, 8, 1196628151),
(136, 4, 1196628151),
(538, 11, 1196628151),
(536, 2, 1196628151),
(139, 2, 1196628151),
(8, 0, 1196628151),
(427, 6, 1196628151),
(352, 2, 1196628151),
(444, 2, 1196628151),
(192, 2, 1196628151),
(173, 4, 1196628151),
(260, 0, 1196628151),
(332, 4, 1196628151),
(201, -2, 1196628151),
(580, 2, 1196628151),
(347, 2, 1196628151),
(214, 0, 1196628151),
(74, -2, 1196628151),
(36, -2, 1196628151),
(123, 2, 1196628151),
(506, 11, 1196628151),
(428, 2, 1196628151),
(1, -2, 1196628151),
(510, -4, 1196628151),
(281, 0, 1196628151),
(345, 0, 1196628151),
(511, 4, 1196628151),
(113, 2, 1196628151),
(283, 4, 1196628151),
(507, 4, 1196628151),
(633, -4, 1196628151),
(615, 6, 1196628151),
(606, 0, 1196628151),
(630, -2, 1196628151),
(621, 5, 1196628151),
(626, 0, 1196628151),
(620, -2, 1196628151),
(608, 4, 1196628151),
(605, 0, 1196628151),
(616, 0, 1196628151),
(617, -6, 1196628151),
(623, 0, 1196628151),
(354, 4, 1196628151),
(386, 0, 1196628151),
(547, -2, 1196628151),
(553, -4, 1196628151),
(359, 0, 1196628151),
(164, 2, 1196628151),
(145, -2, 1196628152),
(126, -4, 1196628152),
(156, 2, 1196628152),
(555, 4, 1196628152),
(549, -2, 1196628152),
(388, 2, 1197232393),
(539, 4, 1197232393),
(290, 6, 1197232393),
(537, 11, 1197232393),
(117, 6, 1197232393),
(136, 13, 1197232393),
(538, 15, 1197232393),
(536, 2, 1197232393),
(139, 13, 1197232393),
(8, 3, 1197232393),
(427, -2, 1197232393),
(402, -6, 1197232393),
(352, -8, 1197232393),
(192, -6, 1197232393),
(173, -4, 1197232393),
(260, 1, 1197232393),
(332, -8, 1197232393),
(590, -2, 1197232393),
(580, 0, 1197232393),
(347, -8, 1197232393),
(214, -6, 1197232393),
(74, -4, 1197232393),
(36, -6, 1197232394),
(20, 13, 1197232394),
(569, 2, 1197232394),
(334, 4, 1197232394),
(62, 0, 1197232394),
(190, 2, 1197232394),
(307, 0, 1197232394),
(346, 4, 1197232394),
(448, 4, 1197232394),
(384, 4, 1197232394),
(337, 4, 1197232394),
(272, 7, 1197232394),
(27, -4, 1197232394),
(291, 4, 1197232394),
(128, 0, 1197232394),
(6, -4, 1197232394),
(147, 2, 1197232394),
(301, 2, 1197232394),
(10, 0, 1197232394),
(11, 0, 1197232394),
(468, -2, 1197232394),
(294, 4, 1197232394),
(529, -2, 1197232394),
(316, 16, 1197232394),
(273, 2, 1197232394),
(165, 6, 1197232394),
(310, 2, 1197232394),
(312, 2, 1197232394),
(429, 4, 1197232394),
(567, 2, 1197232394),
(22, 27, 1197232394),
(226, 2, 1197232394),
(188, 2, 1197232394),
(51, 0, 1197232394),
(565, -2, 1197232394),
(396, 10, 1197232394),
(381, -4, 1197232394),
(154, -4, 1197232394),
(176, 6, 1197232394),
(116, 7, 1197232394),
(58, 4, 1197232394),
(285, -4, 1197232394),
(305, 4, 1197232394),
(344, 0, 1197232394),
(498, 22, 1197232394),
(17, 2, 1197232394),
(513, 2, 1197232394),
(233, 0, 1197232394),
(431, -2, 1197232394),
(593, 0, 1197232394),
(597, 4, 1197232394),
(169, -2, 1197232394),
(364, 0, 1197232394),
(488, 4, 1197232394),
(235, 4, 1197232394),
(318, 2, 1197232394),
(601, 2, 1197232394),
(392, 0, 1197232394),
(595, 0, 1197232394),
(464, 0, 1197232394),
(600, 20, 1197232394),
(366, 2, 1197232394),
(652, 6, 1197232394),
(646, 2, 1197232394),
(637, 6, 1197232394),
(651, 9, 1197232394),
(647, 5, 1197232394),
(635, 2, 1197232394),
(636, 0, 1197232394),
(645, -2, 1197232394),
(644, 0, 1197232394),
(648, 4, 1197232394),
(363, 2, 1197232394),
(533, 0, 1197232394),
(138, 4, 1197232394),
(148, 0, 1197232394),
(426, 2, 1197232394),
(25, 4, 1197232394),
(503, 4, 1197232394),
(289, 4, 1197232394),
(287, 2, 1197232394),
(500, -4, 1197232394),
(158, 4, 1197232394),
(114, 0, 1197232394),
(661, 0, 1197232394),
(659, 2, 1197232394),
(493, 2, 1197232394),
(663, 2, 1197232394),
(368, 4, 1197232394),
(662, -4, 1197232394),
(240, 2, 1197232394),
(487, -2, 1197232394),
(223, 0, 1197232394),
(456, 10, 1197232394),
(349, 2, 1197232394),
(225, 6, 1197232394),
(123, 6, 1197232394),
(506, 4, 1197232394),
(428, 2, 1197232394),
(1, -4, 1197232394),
(281, 2, 1197232394),
(345, 0, 1197232394),
(511, -2, 1197232394),
(284, 2, 1197232394),
(115, 0, 1197232394),
(508, -4, 1197232394),
(113, -2, 1197232394),
(283, 4, 1197232394),
(507, 0, 1197232394),
(615, 2, 1197232394),
(606, 4, 1197232394),
(609, 2, 1197232394),
(621, 4, 1197232394),
(610, 0, 1197232394),
(626, 0, 1197232394),
(627, -10, 1197232394),
(620, -2, 1197232394),
(608, 2, 1197232394),
(605, 8, 1197232394),
(616, 4, 1197232394),
(623, 2, 1197232394),
(118, 2, 1197232394),
(317, 4, 1197232394),
(68, 9, 1197232394),
(302, 0, 1197232394),
(293, 6, 1197232394),
(166, 0, 1197232394),
(160, 9, 1197232394),
(335, -4, 1197232394),
(524, 11, 1197232394),
(304, 4, 1197232394),
(162, 6, 1197232394),
(435, 8, 1197232394),
(560, -6, 1197232394),
(77, 4, 1197232394),
(562, 9, 1197232394),
(193, 6, 1197232394),
(699, -2, 1197232394),
(692, 2, 1197232394),
(463, 0, 1197232394),
(327, 0, 1197232394),
(490, 0, 1197232394),
(558, 4, 1197232394),
(59, -2, 1197232394),
(689, 0, 1197232394),
(354, 4, 1197232394),
(547, 2, 1197232394),
(553, 9, 1197232394),
(359, 6, 1197232394),
(164, 0, 1197232394),
(145, 6, 1197232394),
(328, 2, 1197232394),
(163, 6, 1197232394),
(126, 0, 1197232394),
(156, 11, 1197232394),
(555, 4, 1197232394),
(37, 0, 1197232394),
(298, 0, 1197232394),
(243, -4, 1197232394),
(222, 0, 1197232394),
(492, 2, 1197232394),
(323, -2, 1197232394),
(125, -4, 1197232394),
(695, 0, 1197232394),
(696, -6, 1197232394),
(693, 7, 1197232394),
(578, -2, 1197232394),
(24, 4, 1197232394),
(295, 2, 1197232394),
(694, -4, 1197232394),
(124, 6, 1197232394),
(202, 6, 1197232394),
(132, 11, 1197232394),
(41, 7, 1197232394),
(232, 2, 1197232394),
(311, 4, 1197232394),
(308, 2, 1197232394),
(449, 2, 1197232394),
(142, 15, 1197232394),
(231, 4, 1197232394),
(543, 4, 1197232394),
(697, -4, 1197232394),
(678, -2, 1197232394),
(672, -6, 1197232394),
(666, -4, 1197232394),
(664, -2, 1197232394),
(683, -4, 1197232394),
(682, -4, 1197232394),
(668, -6, 1197232394),
(667, -4, 1197232394),
(677, -6, 1197232394),
(674, -6, 1197232394),
(669, 0, 1197232394),
(697, 6, 1197848179),
(681, 11, 1197848179),
(676, 2, 1197848179),
(666, 6, 1197848179),
(664, 2, 1197848179),
(683, 13, 1197848179),
(668, 2, 1197848179),
(677, 4, 1197848179),
(684, 2, 1197848179),
(674, 2, 1197848179),
(669, 0, 1197848179),
(673, 4, 1197848179),
(501, -4, 1197848179),
(47, 2, 1197848179),
(593, -4, 1197848179),
(597, 2, 1197848179),
(169, -2, 1197848179),
(488, 0, 1197848179),
(601, -2, 1197848179),
(392, -4, 1197848179),
(595, -2, 1197848179),
(464, 2, 1197848179),
(600, -2, 1197848179),
(153, -4, 1197848179),
(633, -4, 1197848179),
(615, -2, 1197848179),
(606, -2, 1197848179),
(628, -4, 1197848179),
(609, 2, 1197848179),
(607, 2, 1197848179),
(630, -2, 1197848179),
(621, 2, 1197848179),
(610, 0, 1197848179),
(620, -2, 1197848179),
(611, 2, 1197848179),
(605, 2, 1197848179),
(616, 0, 1197848179),
(623, 0, 1197848179),
(20, 11, 1197848179),
(336, 4, 1197848179),
(569, 4, 1197848179),
(334, 4, 1197848179),
(62, 0, 1197848179),
(190, 6, 1197848179),
(307, 0, 1197848179),
(346, 2, 1197848179),
(448, 4, 1197848179),
(337, 2, 1197848179),
(272, -2, 1197848179),
(241, 0, 1197848179),
(27, 9, 1197848179),
(291, 6, 1197848179),
(128, 4, 1197848179),
(6, -2, 1197848179),
(147, 4, 1197848179),
(301, 0, 1197848179),
(10, 2, 1197848179),
(468, 4, 1197848179),
(294, 6, 1197848179),
(529, 0, 1197848179),
(316, 4, 1197848179),
(273, -2, 1197848179),
(354, 4, 1197848179),
(386, 0, 1197848179),
(547, -2, 1197848179),
(553, 5, 1197848179),
(359, 0, 1197848179),
(164, -2, 1197848179),
(145, 0, 1197848179),
(328, 4, 1197848179),
(163, 2, 1197848179),
(126, -2, 1197848179),
(156, 6, 1197848179),
(180, 0, 1197848179),
(555, -4, 1197848179),
(37, 4, 1197848179),
(121, 4, 1197848179),
(314, 11, 1197848179),
(176, 4, 1197848179),
(116, 13, 1197848179),
(58, 2, 1197848179),
(13, 20, 1197848179),
(338, 2, 1197848179),
(285, 0, 1197848179),
(305, 0, 1197848179),
(344, 4, 1197848179),
(498, 13, 1197848179),
(233, 0, 1197848179),
(431, 2, 1197848179),
(14, 0, 1197848179),
(124, 5, 1197848179),
(202, 0, 1197848179),
(132, -2, 1197848179),
(41, 2, 1197848179),
(232, -2, 1197848179),
(311, -4, 1197848179),
(12, 5, 1197848179),
(308, -4, 1197848179),
(449, -2, 1197848179),
(142, 0, 1197848179),
(231, -2, 1197848179),
(543, -4, 1197848179),
(298, 0, 1197848179),
(222, 2, 1197848179),
(492, 4, 1197848179),
(323, 0, 1197848179),
(125, -4, 1197848179),
(695, -2, 1197848179),
(693, -2, 1197848179),
(499, 0, 1197848179),
(24, 2, 1197848179),
(295, 6, 1197848179),
(694, 2, 1197848179),
(123, 2, 1197848179),
(506, 0, 1197848179),
(1, 0, 1197848179),
(281, 4, 1197848179),
(345, 4, 1197848179),
(2, 0, 1197848179),
(434, 0, 1197848179),
(115, 0, 1197848179),
(113, 2, 1197848179),
(283, 2, 1197848179),
(507, 0, 1197848179),
(228, 4, 1197848179),
(352, 2, 1197848179),
(192, 11, 1197848179),
(173, 4, 1197848179),
(260, 2, 1197848179),
(332, 2, 1197848179),
(201, 6, 1197848179),
(580, 2, 1197848179),
(347, 2, 1197848179),
(214, 4, 1197848179),
(74, 11, 1197848179),
(36, 4, 1197848179),
(118, 0, 1197848179),
(317, -4, 1197848179),
(302, 0, 1197848179),
(523, 0, 1197848179),
(293, -2, 1197848179),
(166, 0, 1197848179),
(335, 2, 1197848179),
(524, -2, 1197848179),
(304, -10, 1197848179),
(162, -5, 1197848179),
(435, -4, 1197848179),
(417, -2, 1197848179),
(77, 6, 1197848179),
(562, 13, 1197848179),
(193, 13, 1197848179),
(692, 6, 1197848179),
(463, 4, 1197848179),
(557, 17, 1197848179),
(327, 4, 1197848179),
(490, 4, 1197848179),
(558, 11, 1197848179),
(689, 0, 1197848179),
(388, -4, 1197848179),
(539, -6, 1197848179),
(541, -2, 1197848179),
(290, -2, 1197848179),
(537, -2, 1197848179),
(425, 2, 1197848179),
(18, -2, 1197848179),
(167, -4, 1197848179),
(538, -4, 1197848179),
(139, -4, 1197848179),
(8, -4, 1197848179),
(427, -4, 1197848179),
(306, -6, 1197848179),
(366, -4, 1197848179),
(652, -2, 1197848179),
(637, 2, 1197848179),
(639, 2, 1197848179),
(651, -4, 1197848179),
(647, 0, 1197848179),
(635, 6, 1197848179),
(636, 0, 1197848179),
(645, 4, 1197848179),
(644, 0, 1197848179),
(648, 4, 1197848179),
(299, 0, 1197848179),
(363, 2, 1197848179),
(138, 2, 1197848179),
(426, 0, 1197848179),
(25, 0, 1197848179),
(503, 4, 1197848179),
(134, 0, 1197848179),
(287, 0, 1197848179),
(500, 4, 1197848179),
(158, 0, 1197848179),
(114, 2, 1197848179),
(654, 6, 1197848179),
(659, 11, 1197848179),
(493, 2, 1197848179),
(663, 13, 1197848179),
(368, 2, 1197848179),
(662, 20, 1197848179),
(487, 4, 1197848179),
(223, 2, 1197848179),
(456, 0, 1197848179),
(349, -4, 1197848179),
(225, 13, 1197848179),
(310, -4, 1197848179),
(312, -4, 1197848179),
(429, 0, 1197848179),
(567, -4, 1197848179),
(22, -4, 1197848179),
(34, -4, 1197848179),
(226, -2, 1197848179),
(171, -4, 1197848179),
(278, -2, 1197848179),
(188, -6, 1197848179),
(51, 0, 1197848179),
(565, -3, 1197848179),
(396, 0, 1197848179),
(381, -6, 1197848179)
;";

$inf_droptable_[1] = "man_communities";
$inf_droptable_[2] = "man_config";
$inf_droptable_[3] = "man_env";
$inf_droptable_[4] = "man_envcat";
$inf_droptable_[5] = "man_news";
$inf_droptable_[6] = "man_offers";
$inf_droptable_[7] = "man_players";
$inf_droptable_[8] = "man_plcom";
$inf_droptable_[9] = "man_plhist";
$inf_droptable_[10] = "man_plscore";
$inf_droptable_[11] = "man_sponsors";
$inf_droptable_[12] = "man_teams";
$inf_droptable_[13] = "man_transfers";
$inf_droptable_[14] = "man_userenv";
$inf_droptable_[15] = "man_users";
$inf_droptable_[16] = "man_trophy";
$inf_droptable_[17] = "man_userhist";

?>